2011-06-28  James Antill <james@and.org>

	* yum/__init__.py: Bump version to 3.4.3

2011-06-28  James Antill <james@and.org>

	* yum/__init__.py:  Don't call repo.doSetup() if we've already setup the repos. BZ
	 717163.   Test: yum in @core == has    setup.        yum rm @core
	 == hasn't setup.

2011-06-28  James Antill <james@and.org>

	* yum/history.py, yum/rpmtrans.py:  Disable the rpmtrans chroot workaround. Use exclusive locking in
	 history.   The only downside here appears to be that we get
	 .sqlite-journal files in /var/lib/yum/history ... which is probably
	 fine.  Also tested fine as a normal user, with read-only access.

2011-06-27  James Antill <james@and.org>

	* yummain.py: Change the logging for NFS path problems from debug to
	critical.

2011-06-24  Nick Jacek <njacek@redhat.com>

	* yummain.py: Checks if we have read and write access in the current
	directory. If not, chdir to /. BZ 698795

2011-06-23  Zdeněk Pavlas <zpavlas@redhat.com>

	* output.py: Make the source xgettext-friendly.  xgettext ignores
	_(var), so localize literals instead.

2011-06-23  James Antill <james@and.org>

	* cli.py: Don't show -c warning, when we've changed it due to
	--installroot. BZ 707358.

2011-06-22  James Antill <james@and.org>

	* yum/rpmtrans.py:  Workaround rpm chroot insanity, so we can use sqlite from
	 unInstStop() cb.   So the problem is that AGAIN, when we log stuff
	 for installed rpms we do it in _instCloseFile, which is outside the
	 chroot ... but when we log stuff for erase rpms we do it in
	 _unInstStop, which is inside the chroot.  sqlite will open it's
	 journal file, which is it has a working path for from outside the
	 chroot ... being inside the chroot breaks this, which results in
	 complete failure of everything.   Fix is to move out of the chroot,
	 before we call the history/sqlite APIs, and then move back in again
	 ... basically what rpm does.

2011-06-22  James Antill <james@and.org>

	* ChangeLog, yum.spec, yum/__init__.py: Update ChangeLog/version for
	3.4.2 release.

2011-06-22  Zdeněk Pavlas <zpavlas@redhat.com>

	* output.py: Clean up the 'Transaction summary' report.

2011-06-21  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	a leaked file descriptor

2011-06-21  Zdeněk Pavlas <zpavlas@redhat.com>

	* yum/__init__.py, yum/logginglevels.py: Fix a leaked file
	descriptor  'yum.log' is now closed when YumBase instance is GC'd.
	Resolves BZ 713924.

2011-06-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: add check to make sure rest in the libc
	collapsing is not a single item list.

2011-06-20  Nick Jacek <njacek@redhat.com>

	* yum/__init__.py: Uses ngettext to pluralise messages produced in
	__init__.py. BZ 552317

2011-06-20  Nick Jacek <njacek@redhat.com>

	* cli.py: Uses ngettext to pluralise messages produced by several
	functions in cli.py. BZ 552317

2011-06-20  Nick Jacek <njacek@redhat.com>

	* output.py: Changes the Transaction Summary so that the plurals are
	printed using ngettext. BZ 552317

2011-06-20  James Antill <james@and.org>

	* yum/__init__.py: Add message to history redo/undo for when nothing
	is done.

2011-06-16  James Antill <james@and.org>

	* yum/rpmtrans.py: Turn a name into a txmbr, if we can. Helps erase
	filelog/scriptout and history.

2011-06-16  James Antill <james@and.org>

	* yum/__init__.py: Add comments on TS_FAILED setting.

2011-06-16  Nick Jacek <njacek@redhat.com>

	* yum/__init__.py, yum/rpmtrans.py: If verifyTransaction detects
	that an install or removal was not successful, it will now set the
	output_state of the pkg to TS_FAILED. BZ 661962  For the case of a
	removal, since the output_state will be TS_FAILED rather than just
	remaining TS_ERASE, yum will now correctly say that the removal
	failed instead of saying that the package was removed.

2011-06-16  James Antill <james@and.org>

	* yum/update_md.py: Add a __unicode__ to the UpdateNotice object, so
	the test code works.

2011-06-14  James Antill <james@and.org>

	* yum/__init__.py: Sort the packages, best we can easily, in
	searchPackageProvides().

2011-06-13  Nick Jacek <njacek@redhat.com>

	* yum/__init__.py, yum/depsolve.py:  Stops "Finished dependency resolution" from being printed multiple
	 times when --skip-broken is used. BZ 626569.

2011-06-13  Marcelo Moreira de Mello <mmello@redhat.com>

	* docs/yum.conf.5: - Fixed small typo at protected_multilib description on yum.conf man
	page  Hello,    This patches fixes a small type at
	protected_multilib description on yum.conf man page.   Cheers,
	Marcelo -- Marcelo Moreira de Mello  From: Marcelo Moreira de Mello
	<mmello@redhat.com> Date: Mon, 13 Jun 2011 16:10:07 -0300 Subject:
	[PATCH]  Fixed small typo at protected_multilib description at
	yum.conf man page

2011-06-13  James Antill <james@and.org>

	* yum/__init__.py: Show the correct "duplicate" package for search
	without --showduplicates.

2011-06-13  James Antill <james@and.org>

	* yum/packages.py: Always sort installed repos. after available
	repos.

2011-06-13  James Antill <james@and.org>

	* output.py: Show from_repo in matchcallback. Only print "Matched
	from" is there is more.

2011-06-08  Nick Jacek <njacek@redhat.com>

	* docs/yum.8: Updated documentation for the new groups command.

2011-06-08  Nick Jacek <njacek@redhat.com>

	* yumcommands.py: Remove the unused group command classes.

2011-06-08  Nick Jacek <njacek@redhat.com>

	* cli.py, yumcommands.py: Adds the Groups command, and removes
	individual command classes for grouplist etc. Adds the group summary
	function.

2011-06-06  Casey Jao <cjao@ugcs.caltech.edu>

	* test/complexremovetests.py: Add complex remove tests for new
	_remove_old_deps code.

2011-06-06  Casey Jao <cjao@ugcs.caltech.edu>

	* test/testbase.py: Make FakePackage use a simulated
	RPMDBAdditionalDataPackage for yumdb_info.

2011-06-06  Casey Jao <cjao@ugcs.caltech.edu>

	* yum/__init__.py: Fix _remove_old_deps to deal with chains of
	revdeps.

2011-06-06  Seth Vidal <skvidal@fedoraproject.org>

	* po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/en_GB.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/gu.po,
	po/hi.po, po/hu.po, po/id.po, po/id_ID.po, po/it.po, po/ja.po,
	po/lt_LT.po, po/mr.po, po/ms.po, po/nb.po, po/pa.po, po/pl.po,
	po/pt.po, po/pt_BR.po, po/ru.po, po/sr.po, po/sr@latin.po,
	po/sv.po, po/uk.po, po/ur.po, po/yum.pot, po/zh_CN.po, po/zh_TW.po: 
	yay transifex

2011-06-02  James Antill <james@and.org>

	* output.py, yum/__init__.py, yum/packages.py: Create list of
	pkgtups we couldn't find, and output them in listTrans.

2011-06-02  James Antill <james@and.org>

	* cli.py, shell.py, yummain.py: Return -1 from doTransaction() if
	user/GPG fails, diff. text. BZ 586690.

2011-06-02  James Antill <james@and.org>

	* yum/transactioninfo.py: Add failed to __init__ of TransData.

2011-06-02  James Antill <james@and.org>

	* yum/repos.py: Fix for pulp directly using RepoStorage() without a
	YumBase().

2011-06-01  James Antill <james@and.org>

	* yum/yumRepo.py: Make empty proxy/proxy_username mean the same as
	unset/_none_. BZ 709188.

2011-06-01  John Lau <jlau@redhat.com>

	* yum/__init__.py: Fix _retrievePublicKey() when called with
	repo=None. BZ 709311

2011-05-31  James Antill <james@and.org>

	* yum/yumRepo.py: Do the timestamp check the correct way around.

2011-05-31  James Antill <james@and.org>

	* yum/yumRepo.py: Fail reverts of repomd.xml when we aren't doing
	timestamp checks. BZ 665919.

2011-05-27  James Antill <james@and.org>

	* yum/misc.py: Work around RHEL-5 python broken getlocale() call. BZ
	708292

2011-05-26  Dennis Gilmore <dennis@ausil.us>

	* rpmUtils/arch.py: we need to set the basearch on arm hardware to
	arm.

2011-05-26  James Antill <james@and.org>

	* yum/rpmtrans.py: Do ts_done create at the same time as ts_all, so
	it's consistent. BZ 707668.

2011-05-26  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* yum/__init__.py: Fix unicode problems with grpid  Running yum
	groupremove with a group name which does not exist and includes
	unicode characters raises a UnicodeDecodeError.  Pass grpid to
	to_unicode before printing it to avoid errors like this.

2011-05-25  James Antill <james@and.org>

	* yum/misc.py: Also ignore ENOTDIR in stat_f. BZ 707422

2011-05-25  James Antill <james@and.org>

	* yumcommands.py: Show which repo. doesn't have a gpgkey.

2011-05-24  James Antill <james@and.org>

	* yum/__init__.py, yummain.py: Don't show depsolve failure messages
	for non-depsolving problems. BZ 597336.

2011-05-24  James Antill <james@and.org>

	* yumcommands.py: Remove usage of INFO_* from yumcommands, as -q
	supresses that. BZ 689241.

2011-05-24  James Antill <james@and.org>

	* docs/yum.conf.5: Tweak color docs. again. BZ 672706.

2011-05-24  James Antill <james@and.org>

	* yum/__init__.py: Sync. Installed provides return msg, with
	available provides return msg.

2011-05-23  James Antill <james@and.org>

	* cli.py: Make yum provides nicer for things like "matplotlib" or
	yum-config-manager.

2011-05-20  James Antill <james@and.org>

	* yum/__init__.py: Don't list the repos. in saved-tx, if we are
	doing an rm transaction.

2011-04-29  James Antill <james@and.org>

	* yum/__init__.py:  Don't use .up object on package install, unless we have to.   Huge
	 perf. gain, now takes ~60% of time to get to y/N choice. 45% when
	 obsoletes are off.   Somewhat ugly workaround needed to get
	 obsoletes data.   Also fixes bug when obsoletes are off and we
	 install something which obsoletes things (they still need to be
	 obsoleted, as rpm will do it).

2011-04-27  James Antill <james@and.org>

	* yumcommands.py: Add repofile to repolist -v output.

2011-04-26  James Antill <james@and.org>

	* docs/yum.8: Try to do a better explanation of how history
	undo/redo/rollback work.

2011-05-04  Seth Vidal <skvidal@fedoraproject.org>

	* po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/en_GB.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/gu.po,
	po/hi.po, po/hu.po, po/id.po, po/id_ID.po, po/it.po, po/ja.po,
	po/lt_LT.po, po/mr.po, po/ms.po, po/nb.po, po/pa.po, po/pl.po,
	po/pt.po, po/pt_BR.po, po/ru.po, po/sr.po, po/sr@latin.po,
	po/sv.po, po/uk.po, po/ur.po, po/yum.pot, po/zh_CN.po, po/zh_TW.po: 
	newest .pot and translations, again

2011-05-04  Seth Vidal <skvidal@fedoraproject.org>

	* po/bn_IN.po, po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/en_GB.po, po/es.po, po/eu.po, po/fi.po, po/fr.po, po/gu.po,
	po/hi.po, po/hu.po, po/id.po, po/id_ID.po, po/it.po, po/ja.po,
	po/lt_LT.po, po/mr.po, po/ms.po, po/nb.po, po/pa.po, po/pl.po,
	po/pt.po, po/pt_BR.po, po/ru.po, po/sr.po, po/sr@latin.po,
	po/sv.po, po/uk.po, po/ur.po, po/zh_CN.po, po/zh_TW.po: merge all
	the translations from transifex

2011-05-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: remove a debug print add an explanation of why we
	skip libc.so.6()

2011-05-04  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py, yum/packages.py: make sure we use rpm ver
	cmp for the sort of the glibc requires  when we're doing
	collapse_libc_requires. ultimately what's causing:
	https://bugzilla.redhat.com/show_bug.cgi?id=701744

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Don't do long option splitting within base option
	completion.  Functions should do the splitting themselves, giving
	them better control over when to stop completing if a split
	occurred.

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Make long option splitting actually work with bash
	4+.

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add history info|list|summary completions.

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add history rollback completion.

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Completion code cleanups.

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Complete history packages-list on available instead
	of installed packages.

2011-04-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Use "declare -F" instead of "type" to check if a
	bash function exists.  Avoids some stat() calls when it doesn't.

2011-04-20  James Antill <james@and.org>

	* docs/yum.8, yumcommands.py: Add history rollback command.

2011-04-20  James Antill <james@and.org>

	* output.py: Fail quickly for merged transactions of 123..xyz etc.,
	which are invalid.

2011-04-20  James Antill <james@and.org>

	* output.py: Allow "last" usage in merged transactions.

2011-04-23  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Ignore path like completions internally in
	_yum_list, add .* to ignored globs.

2011-04-20  James Antill <james@and.org>

	* ChangeLog, yum.spec, yum/__init__.py: Update changelog and
	version, for 3.4.1

2011-04-19  James Antill <james@and.org>

	* yum/rpmsack.py: Fix forced umask settings for yumdb/etc., 0 =>
	022.

2011-04-19  James Antill <james@and.org>

	* yumcommands.py: Don't show first url for mirrors, if we are using
	baseurl. BZ 697885.

2011-04-15  James Antill <james@and.org>

	* ChangeLog: Update changelog

2011-04-14  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5, output.py, yum/config.py:  Add history_list_view, and change default to single-user-commands.
	 BZ 692780.   users            = display users (old behaviour).
	 commands         = display cmdline.  single-user-cmds = display
	 cmdline if only a single user, and >= 50% of
	 entries have a cmd line  ...also adds documentation to yum.conf and
	 yum.

2011-04-14  James Antill <james@and.org>

	* Makefile: Add "ChangeLog" as a symonym to changelog.

2011-04-14  James Antill <james@and.org>

	* test/release.sh: Add "make check" to release.sh.

2011-04-14  James Antill <james@and.org>

	* Makefile: Fixup 'make archive', so it doesn't include random files
	in my dir.

2011-04-14  James Antill <james@and.org>

	* test/release.sh, yum.spec, yum/__init__.py: Final update before
	release, change version etc.

2011-04-14  James Antill <james@and.org>

	* yumcommands.py: Don't spam usage info. for missing arguments, as
	we don't for bad commands.

2011-04-14  James Antill <james@and.org>

	* cli.py: Fix output for: grouplist abcd

2011-04-14  James Antill <james@and.org>

	* yum/rpmsack.py: umask 0777 is "empty", use umask 0 for "full".

2011-04-14  James Antill <james@and.org>

	* cli.py: Work around Panu's change for a single TS, breaks for
	reinstalls.

2011-04-14  James Antill <james@and.org>

	* yum/rpmsack.py: Fix dropCachedDataPostTransaction() for reinstall
	packages. BZ 696720.

2011-04-14  James Antill <james@and.org>

	* test/release.sh: Add release testing script.

2011-04-13  James Antill <james@and.org>

	* yum/rpmsack.py: Work around umask/permission problems, for yumdb
	and rpmdb-index data.

2011-04-11  James Antill <james@and.org>

	* docs/yum.conf.5: Document basename checking of ssl cert. files. BZ
	695427.

2011-04-11  James Antill <james@and.org>

	* yum/__init__.py: Do basename checking of ssl cert. files. BZ
	695427.

2011-04-12  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Use += to append to arrays and strings.

2011-04-08  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Avoid unneeded file/dir/ghost list lookups and list concat when
	dumping deps as XML.   Avoid unneeded returnFileEntries() and list
	concat for provides_for file deps.   Fix _dump_requires() docstring.
	Revert "Allow plugins to signal exit status, bump plugin API version
	to 2.7."   Allow plugins to signal exit status, bump plugin API
	version to 2.7.   Fix bugs in the skip-broken code, this should fix
	some of the weird cases where skip-broken fails today

2011-04-07  James Antill <james@and.org>

	* cli.py:  Make -- work with firstParse, without breaking other options. BZ
	 694394.

2011-04-07  Ville Skyttä <ville.skytta@iki.fi>

	* yum/packages.py: Avoid unneeded file/dir/ghost list lookups and
	list concat when dumping deps as XML.

2011-04-07  Ville Skyttä <ville.skytta@iki.fi>

	* yum/packages.py: Avoid unneeded returnFileEntries() and list
	concat for provides_for file deps.

2011-04-07  Ville Skyttä <ville.skytta@iki.fi>

	* yum/packages.py: Fix _dump_requires() docstring.

2011-04-07  Ville Skyttä <ville.skytta@iki.fi>

	* yum/plugins.py, yummain.py: Revert "Allow plugins to signal exit
	status, bump plugin API version to 2.7."  This reverts commit
	d14bdfe42073859f4c28476e4394e466047c3bfb.  (Accidentally pushed from
	wrong local branch, oops.)

2010-11-05  Ville Skyttä <ville.skytta@iki.fi>

	* yum/plugins.py, yummain.py: Allow plugins to signal exit status,
	bump plugin API version to 2.7.  Useful for example for
	downloadonly, BZ 531323.

2011-03-31  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py, yum/depsolve.py: Fix
	bugs in the skip-broken code, this should fix some of the weird
	cases where skip-broken fails today

2011-04-01  James Antill <james@and.org>

	* cli.py: Make -- work with firstParse. Eg. "install -- emacs
	-emacs"

2011-04-01  James Antill <james@and.org>

	* cli.py: Don't display the 'Ignore option' warning with --version.
	BZ 692866.

2011-03-30  James Antill <james@and.org>

	* test/simpleupdatetests.py, test/testbase.py, yum/packageSack.py: 
	Add tests for update-to/upgrade-to, and fix generic code so tests
	work.

2011-03-30  James Antill <james@and.org>

	* docs/yum.8: Add docs for update-to/upgrade-to, and explain
	update/upgrade behaviour.

2011-03-30  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yumcommands.py: Add update-to and
	upgrade-to commands, as "hidden" alias for update/upgrade.

2011-03-29  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Avoid some "yum list" invocations on strings
	starting with ~.

2011-03-29  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Trivial cleanups.

2011-03-29  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add distro-sync full|different completion.

2011-03-29  James Antill <james@and.org>

	* yum/__init__.py: Tweak "group X has no pkgs." warning, try to deal
	with cond. pkgs. BZ 655281

2011-03-25  James Antill <james@and.org>

	* docs/yum.8: Add "distro-sync full", docs.

2011-03-25  James Antill <james@and.org>

	* cli.py: Add "distro-sync full", which will reinstall packages due
	to checksums.

2011-03-25  James Antill <james@and.org>

	* yummain.py: Add Errors to front of YumBaseError, too many
	spellings of the same thing :(

2011-03-15  James Antill <james@and.org>

	* docs/yum.8, output.py: Add sorts to deplist output, and add docs.


2011-03-15  James Antill <james@and.org>

	* output.py: Sort the pkgs. in depListOutput, also only print the
	latest unless -v.

2011-03-15  James Antill <james@and.org>

	* cli.py: Use --showduplicates in deplist, don't reoutput pkgs. each
	time around loop.

2011-03-14  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   add
	'available' to yum help list output thx to Robert Day for pointing
	this out.

2011-03-14  James Antill <james@and.org>

	* output.py: Add saved_tx to default_addons, for history info
	output.

2011-03-11  James Antill <james@and.org>

	* yummain.py: Commit warn_checks change.

2011-03-11  Seth Vidal <skvidal@fedoraproject.org>

	* yumcommands.py: add 'available' to yum help list output thx to
	Robert Day for pointing this out.

2011-03-10  James Antill <james@and.org>

	* yum/__init__.py: Don't update-install same version diff. arch
	local pkgs.

2011-03-10  James Antill <james@and.org>

	* cli.py: Fix RHEL-5 yum-utils/yumdownloader, when using 3.2.29+.

2011-03-10  James Antill <james@and.org>

	* yum/config.py: Deal with yumvar interpreted values, like baseurl.


2011-03-09  James Antill <james@and.org>

	* yummain.py: Catch PackageSackError from warn checks, BZ 634595.

2011-03-07  James Antill <james@and.org>

	* docs/yum.8: Document --installroot a bit more, let people know
	about --releasever=/.

2011-03-05  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/depsolve.py: Add a unit test to make
	skip-broken go into endless loop when an installed package conflict
	with an update. Fix the cause by in depsolve by putting the
	conflicting po into the problem tuple, so skip-broken knows what to
	remove from the transaction. Also show the full package in the
	conflict message and not just the name.

2011-02-25  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py: Enable the new callback mode for yum itself  API users
	should be converted one-by-one to the new mode...

2011-02-25  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/depsolve.py, yum/rpmtrans.py: Add a new opt-in callback mode
	where only txmbr is used as the key  We really only want the txmbr
	in the key, everything else can be reached through it. This avoids
	copying any data around as txmbrs reside in memory anyway, so the
	key is just a cheap reference to what we already have. With the new
	key -> txmbr helper in the callback, this is truly trivial to handle
	there. The new mode makes life in the callback somewhat easier and
	saves gobs of memory.

2011-02-25  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmtrans.py: Unify callback key guessworks into helper
	function  Add an internal helper method to deal with the changing
	key type, and locate the associated txmbr object when possible. We
	can't find it on erasures, but we always have a name so return
	(name, txmbr) tuples to simplify life for callers.

2011-02-25  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmtrans.py: Eliminate linear search for package names in
	callback  We only care if the name has been seen so a set works for
	the purpose just as well and is faster.

2011-02-24  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmtrans.py: Remove unnecessary "magic number" test
	RPMCALLBACK_TRANS_START is only issued once. That "bytes" happens to
	be a magic value of 6 is just an artifact of truly ancient rpm
	versions from last century issuing RPMCALLBACK_TRANS_START more than
	once.

2011-02-24  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmtrans.py: Simplify callback file open/close  There's never
	more than one active file descriptor at a time so no need to collect
	them to a dict, remove now unneeded _makeHandle(). Also use a python
	file object and return its .fileno() instead of the lowlevel
	os-routines.

2011-02-24  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/depsolve.py: Revert "Don't keep full headers in memory during
	transaction"  This reverts commit
	3302369486dc07edc2428c616ed2b8843562f615. The callback key isn't as
	contained within the callback classes as I'd hoped, various places
	are testing isinstance(h, rpm.hdr) etc. Since changing the callback
	style is an incompatible change, it needs to be an opt-in feature
	enabled by callers who are ready for it. And since its going to be
	incompatible, we can do better than copy data around.

2011-02-21  James Antill <james@and.org>

	* yum/__init__.py: Allow only some GPG keys to be installed. BZ
	606644.

2011-02-21  James Antill <james@and.org>

	* yum/__init__.py: The kernel packages are special, so skip normal
	processing. BZ 678969

2011-02-21  Ricky Zhou <ricky@fedoraproject.org>

	* yum/packages.py: Remove undefined variable (done in
	_RPMVerifyPackageFile). BZ 671198.

2011-02-21  James Antill <james@and.org>

	* yum/packages.py, yum/rpmsack.py: Don't preload
	summary/desc/url/source, also _needed_ for pkgtup only pkgs.

2011-02-21  James Antill <james@and.org>

	* yum/rpmsack.py: Don't cache the hdr, it's just not measurable
	speed wise and they are BIG.

2011-02-21  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py, rpmUtils/transaction.py, yum/__init__.py: Move
	yum-specific ts.check() wrapper back to YumBase private function
	This essentially reverts commit
	c54c9082d702b6ba45620ecf3ca5834b9b104543 which inapproppriately
	dragged yum imports into rpmUtils space, causing recursive imports
	and breakage for other users.

2011-02-18  James Antill <james@and.org>

	* yumcommands.py: Pass any check-update arguments to "list
	obsoletes".

2011-02-18  James Antill <james@and.org>

	* yum/misc.py: Workaround stupid len() assert in 32bit python.

2011-02-18  James Antill <james@and.org>

	* yum/__init__.py: Add workaround for rhnplugin repos. setup, BZ
	678043.

2011-02-15  James Antill <james@and.org>

	* yum/__init__.py:  Fix printing the obsoleters message, BZ 677666.   Happened due to
	 the cleanup in 94d742bf395cc565cf3a0dca138608a9296b1303 giving us a
	 bad "continue".

2011-02-17  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmsack.py: Avoid unwanted header loads from
	RPMInstalledPackage() __getattr__()  At least hasattr() calls for
	_cache_prco_names_* and _prco_lookup were causing headers to be
	loaded when not wanted at all, causing headers for all to-be updated
	packages to be kept in memory throughout the entire transaction.

2011-02-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/parser.py: steps around
	https://bugzilla.redhat.com/show_bug.cgi?id=678301  in general
	though if we have a corrupted .repo file we error out and report it.


2011-02-17  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/depsolve.py: Don't keep full headers in memory during
	transaction  The open/close file callbacks only need NEVRA
	information in the "key". Copy the necessary bits into a regular
	dict and pass that instead of the entire header, the callback wont
	even know the difference as the header behaves like a dict. Saves
	(tens of) megabytes of memory on large transactions.

2011-02-16  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: add rpmdb_only= option to _checkMaybeYouMeant() so we can
	make sure remove foo doesn't suck down the repodata when it doesn't
	need to

2011-02-15  Panu Matilainen <pmatilai@laiskiainen.org>

	* yumcommands.py: Unbreak checkGPGKey()  repo.gpgkey is a list, not
	a string, since at least 2005

2011-02-15  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmsack.py: Use _get_packages() instead of ts.dbMatch() in
	rpmsack where possible  Deal with gpg-pubkey filtering and
	auto_close centrally, eliminating the possibility of accidentally
	leaving zombie rpmdb iterators behind and also reducing code
	duplication.

2011-02-15  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmsack.py: Eliminate long dead _header_from_index() internal
	helper

2011-02-15  Panu Matilainen <pmatilai@laiskiainen.org>

	* yum/rpmsack.py: Generalize rpmsack _all_packages() helper to
	accept dbMatch arguments  Rename to _get_packages() and accept
	arguments to be passed to dbMatch(), adjust callers.

2011-02-15  Panu Matilainen <pmatilai@laiskiainen.org>

	* rpmUtils/transaction.py: Support additional match patterns in a
	single call to ts.dbMatch()  Rpm-level dbmatch iterator requires
	additional mi.pattern() calls for specifying extra match patterns.
	Hide this behind the ts wrapper, dbMatch() now optionally takes
	extra patterns as list of (tag, type, pattern) tuples.

2011-02-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: name it 'saved_tx' so james doesn't misread it
	like an old man.

2011-02-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: store our yum saved transaction file content to
	the the history addon data for this transaction.

2011-02-10  James Antill <james@and.org>

	* yum/update_md.py: Fix recursion problem, with safe_iterparse.

2011-02-10  James Antill <james@and.org>

	* yum/update_md.py: Fix identifier typo.

2011-02-10  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py: Use the same transaction set all the way through  Saves
	another round of re-populating transactions, bringing it down to
	just one. Also move ordering earlier so we can drop unused memory
	before the test-transaction already.

2011-02-10  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py: Tell rpm to release memory it wont need for the
	transaction  Calling ts.clean() releases memory used by dependency
	checks and ordering. Depending on the transaction size, this can be
	tens of megs. And yes its dumb that callers need to bother with such
	issues...

2011-02-09  Panu Matilainen <pmatilai@laiskiainen.org>

	* rpmUtils/transaction.py: Save and restore original transaction
	flags in wrapper test() method  ...and here lies the key to the
	mystery of yum needing to repopulate the transaction after a
	test-run, doh :)

2011-02-09  Panu Matilainen <pmatilai@laiskiainen.org>

	* rpmUtils/transaction.py, yum/rpmtrans.py: Make transaction
	scriptFd setting less voodooish  In older rpm versions ts.scriptFd
	is an invisible write-only pseudo-attribute hack, so __getattr__()
	tricks in the transaction wrapper wont work for it. Add a new
	wrapper method for setting it to make it less gruesome, accept any
	file-like object as the fd argument.

2011-02-09  Panu Matilainen <pmatilai@laiskiainen.org>

	* rpmUtils/transaction.py: Remove cruft from transaction wrapper
	With newer rpm versions these would just raise AttributeErrors, in
	older versions they are broken to various degrees and yum never used
	them for anything anyway.

2011-02-09  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py, yum/__init__.py, yum/config.py, yummain.py: Make
	ts.check() unconditional + adjust related messages  ts.check() is
	not really an optional call, as there are dependencies which yum
	does not check for (notably rpmlib() dependencies). Always call
	ts.check(), looking at the return values.

2011-02-09  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py, rpmUtils/transaction.py, yum/__init__.py: Move
	_run_rpm_check_debug() functionality to the ts wrapper check()
	Nothing in yum cares for the dependency-tuples-of-doom that the
	rpm-level ts.check() returns, having this in transaction wrapper
	check() method seems like a more sensible place than in yum base
	class with a funny name

2011-02-09  Panu Matilainen <pmatilai@laiskiainen.org>

	* cli.py, yum/__init__.py: Eliminate an unnecessary round of
	transaction re-population  Initialize + populate the transaction set
	to be used for the test-run before calling rpm_check_debug to let
	them use the same set, avoiding one round of the fairly expensive
	re-population of the entire transaction.

2011-02-04  James Antill <james@and.org>

	* yum/update_md.py: Hide invalid XML errors for updateinfo, BZ
	663378

2011-01-29  James Antill <james@and.org>

	* output.py: Show from_repo in history output, if available.

2011-02-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sure we write out the sourcerpm tag even if
	it is empty b/c yum 2.4.X and OLD y-m-p freak out otherwise
	createrepo ticket # 12

2011-01-26  James Antill <james@and.org>

	* docs/yum.conf.5: Make the documentation for color in yum.conf
	slightly better.

2011-01-25  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add history repeat completion.

2011-01-25  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Fully drop the rpmdb cache if the transaction failed, or was a test.
	Update docs about history packages-list.   Show error message when
	pkgs-list is given packages, but doesn't match.

2011-01-25  James Antill <james@and.org>

	* yum/__init__.py: Fully drop the rpmdb cache if the transaction
	failed, or was a test.

2011-01-24  James Antill <james@and.org>

	* docs/yum.8: Update docs about history packages-list.

2011-01-24  James Antill <james@and.org>

	* output.py: Show error message when pkgs-list is given packages,
	but doesn't match.

2011-01-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: setup the _repos_persistdir in _getConfig b/c of
	how local repos are setup by repoquery and other tools. fixes rh
	bug: 672588

2011-01-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: when we import CA keys - write out the keyid of
	the ones the user has agreed to  then if we have the same ca key for
	multiple repos we don't constantly reprompt the user

2011-01-21  James Antill <james@and.org>

	* yumcommands.py: Show the "first" baseurl in repolist -v (and the
	number of other urls).

2011-01-19  James Antill <james@and.org>

	* yum/__init__.py: Don't traceback if we haven't setup the ts save
	file (anaconda). BZ 670784.

2011-01-16  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Update conditional use of upstream bash-completion
	stuff to newer version.

2011-01-14  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: fix skipbroken test (Sorry Seth)

2011-01-14  James Antill <james@and.org>

	* yum/__init__.py: Don't try to lock as a normal user, if we are
	using root's cachedir.

2011-01-14  James Antill <james@and.org>

	* yum/__init__.py: Specify errno.EPERM instead of just using "1".
	Make the pid an int.

2011-01-14  James Antill <james@and.org>

	* yummain.py: If we _can't_ create the lock file, don't keep trying.


2011-01-13  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	SKIPBROKEN prefix to problem depsolve debug output show we can grep
	"SKIPBROKEN" to filter the yum debug output to see what problems
	skip-broken tries to resolve. I removed the _(), translation of
	debug messages is not needed (my mistake :) )

2011-01-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: config(noreplace) on the .yum files so you can modify
	them at your leisure

2011-01-12  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/depsolve.py: Add SKIPBROKEN prefix to problem depsolve debug
	output show we can grep "SKIPBROKEN" to filter the yum debug output
	to see what problems skip-broken tries to resolve. I removed the
	_(), translation of debug messages is not needed (my mistake :) )

2011-01-13  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog update

2011-01-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: fix plugin name to be correct

2011-01-13  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2011-01-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: - mark as 3.2.29 in spec and init - update fixme in update() so that
	it is in the right place and explains a bit better   - partial fix
	commented out but didn't want to introduce a change so late

2011-01-12  Seth Vidal <skvidal@fedoraproject.org>

	* etc/0yum.cron, etc/Makefile, etc/yum-cron, etc/yum-cron.sysconf,
	etc/yum-daily.yum, etc/yum-weekly.yum, yum.spec: add yum-cron back
	to yum  - add patch from Marko Myllynen <myllynen@redhat.com> to
	make the random wait behave a bit better - update spec file for
	correct deps

2011-01-12  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py: use sorted(set())
	instead of set(sorted())

2011-01-12  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py: Remove redundant
	dependson lines in skip-broken debug output.  Now we get very long
	skip-broken transaction listings with -d9  SKIPBROKEN:  update
	: ocaml-runtime-3.12.0-3.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64  after this patch
	we will only get  SKIPBROKEN:  update      :
	ocaml-runtime-3.12.0-3.fc15.x86_64 SKIPBROKEN:
	dependson : coccinelle-0.2.5-0.rc1.2.fc15.x86_64

2011-01-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: specific exceptions not a global from
	urlparse.urlparse()

2011-01-11  James Antill <james@and.org>

	* yum/yumRepo.py: Catch stupid errors from urlparse, who knows why.
	BZ 666826

2011-01-10  James Antill <james@and.org>

	* yum/pkgtag_db.py: Fix .count (atm. it's an sqlite obj.), don't
	even run the SQL it's needed.

2011-01-10  James Antill <james@and.org>

	* cli.py: Write the override_sigchecks to the right object, BZ
	668031

2011-01-07  James Antill <james@and.org>

	* cli.py: Fix searching to be more DWIM, again, again, again...
	test: "kvm manager"

2011-01-06  James Antill <james@and.org>

	* yum/__init__.py: Do locking for non-root users, using cachedir. BZ
	590675.

2011-01-06  James Antill <james@and.org>

	* docs/yum.conf.5: Add docs for protected_multilib.

2011-01-06  James Antill <james@and.org>

	* yum/__init__.py: Fix protected_multilib for kernel/etc.

2011-01-05  James Antill <james@and.org>

	* yum.spec: Really not a good idea to conflict with what you are
	providing.

2011-01-04  James Antill <james@and.org>

	* yum.spec: Add conflict against zif.

2011-01-03  john bradshaw <john@johnbradshaw.org>

	* docs/yum.8: fix typo

2010-12-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: prefix=prefix  very true  a tad unnecessary, though
	:)

2010-12-23  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5, yum/repos.py, yum/yumRepo.py: when we setup our
	repo dirs - if we're not root use the gpgdir-ro options

2010-12-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: when importing a gpgkey - write out a -ro version of
	the gpgdir for non-root users to use also setup the
	difficult-to-grok gpgoptions necessary to make a readonly GNUPGHOME
	work with a simple key validation  change setCacheDir() so it can
	take an alternative prefix and so we don't set a prefix then assume
	something else entirely

2010-12-23  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Expose base options and their completions for reuse in yum-utils.
	Do the obvious fnmatch => regex change, for searchPackageProvides
	Merge arg. checks in searchPackageProvides   Add a comment about
	MIRE_GLOB and basenames not working FYI.   Speedup provides
	"perl(*)" etc. by 40% ish. -- No need to check files.   Don't check
	the pkg nums for each lookup, libguestfs fix. BZ 662347.

2010-12-20  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Expose base options and their completions for reuse
	in yum-utils.

2010-12-15  James Antill <james@and.org>

	* yum/__init__.py: Do the obvious fnmatch => regex change, for
	searchPackageProvides

2010-12-15  James Antill <james@and.org>

	* yum/__init__.py: Merge arg. checks in searchPackageProvides

2010-12-15  James Antill <james@and.org>

	* yum/rpmsack.py: Add a comment about MIRE_GLOB and basenames not
	working FYI.

2010-12-15  James Antill <james@and.org>

	* yum/__init__.py: Speedup provides "perl(*)" etc. by 40% ish. -- No
	need to check files.

2010-12-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Don't check the pkg nums for each lookup,
	libguestfs fix. BZ 662347.

2010-12-11  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Use
	exception2msg in utils.py.   Don't write when in cache mode, for
	comps/tags, and catch IOError for comps.   Get the sledgehammer out
	and "fix" unicode exceptions. BZ 662148   Dynamically work out the
	max action width, in the rpm callback. BZ 660576.   Allow ranges of
	transactions in list/summary/pkg-list.   Don't skip
	installed_by/etc. if repoXML or loginuid doesn't exist.   If the
	.localPkg() file has a url xattr, store that in yumdb. BZ 567100
	Don't delete packages when doing a test transaction.   Sig check one
	po from each repo. as we download, to save errors at the end.   Add
	_override_sigchecks, to catch dynamic repos. with --nogpgcheck, BZ
	573725.   Don't offer --*ableplugin options if --noplugins is
	already given.

2010-12-11  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/__init__.py, yum/config.py, yum/repos.py,
	yum/yumRepo.py: big change for having gpgcakeys  The idea is you
	define a gpgcakey for repo. This is the key that once you import
	will let you import everything else automatically.  If you have a
	cakey defined then when yum goes to import any other key it will
	look for a .asc detached signature for that key. if that signature
	is from the cakey you've already imported then yum will import the
	new gpgkey w/o prompting you.  this works for signed packages as
	well as signed repomd.xml files in repos  this also moves all gpg
	keyrings  into a new per-repo persistent directory in
	/var/lib/yum/repos/$basearch/$releasever/repoid so we don't have to
	worry about a yum clean all removing our gpgkeys like we have in the
	past.

2010-12-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: - add default 'has_sig' and 'valid_sig' keys to the keyinfo dicts -
	if the thing we get back is valid gpg but has no sigs then sigs will
	be an empty list :( - make sure we handle that correctly - when
	we're checking a detached signature sometimes we don't care about
	keeping the detached signature around so accept an object that can
	be read()

2010-12-10  James Antill <james@and.org>

	* utils.py, yummain.py: Use exception2msg in utils.py.

2010-12-10  James Antill <james@and.org>

	* yum/__init__.py, yum/comps.py, yum/misc.py: Don't write when in
	cache mode, for comps/tags, and catch IOError for comps.

2010-12-10  James Antill <james@and.org>

	* yum/Errors.py, yummain.py: Get the sledgehammer out and "fix"
	unicode exceptions. BZ 662148

2010-12-07  James Antill <james@and.org>

	* output.py: Dynamically work out the max action width, in the rpm
	callback. BZ 660576.

2010-12-06  James Antill <james@and.org>

	* output.py: Allow ranges of transactions in list/summary/pkg-list.


2010-12-06  James Antill <james@and.org>

	* yum/__init__.py: Don't skip installed_by/etc. if repoXML or
	loginuid doesn't exist.

2010-12-06  James Antill <james@and.org>

	* yum/__init__.py, yum/packages.py: If the .localPkg() file has a
	url xattr, store that in yumdb. BZ 567100

2010-12-06  James Antill <james@and.org>

	* yum/__init__.py: Don't delete packages when doing a test
	transaction.

2010-12-03  James Antill <james@and.org>

	* yum/__init__.py: Sig check one po from each repo. as we download,
	to save errors at the end.

2010-12-03  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/repos.py, yum/yumRepo.py: Add
	_override_sigchecks, to catch dynamic repos. with --nogpgcheck, BZ
	573725.

2010-12-08  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Don't offer --*ableplugin options if --noplugins is
	already given.

2010-11-29  James Antill <james@and.org>

	Merge branch 'groups-language-split' into yum-3_2_X  *
	groups-language-split:   Split "Language groups" out from normal
	groups, using langonly. BZ 652750.

2010-11-23  James Antill <james@and.org>

	* yum/__init__.py: Warn on groupinstall with optional only pkgs
	(@web-development). BZ 655281

2010-11-23  James Antill <james@and.org>

	* test/testbase.py, yum/__init__.py, yum/config.py:  Add protected_multilib config. option, which forces foo.i386 ==
	 foo.x86_64 version wise.   Note that this is kind of valid now, in
	 that there is nothing technically wrong with having foo-1.i686 and
	 foo-2.x86_64 installed. However _by far_ the most common case is
	 for the user to not want this, but yum to solve for it, due to
	 missing %{_isa} etc.  Also "yum check duplicates" will flag it as
	 an error already.

2010-11-22  James Antill <james@and.org>

	* yum/__init__.py: Workaround more problems with auto_close.

2010-11-21  Yuri Chornoivan <yurchor@ukr.net>

	* po/uk.po: l10n: Updated Ukrainian (uk) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-11-15  James Antill <james@and.org>

	* yum/__init__.py: Don't just delete obs. pkgs. (in history undo).
	BZ 652767.

2010-11-15  Tim Lauridsen <timlau@fedoraproject.org>

	* cli.py: fix '* Maybe you meant:' in non english locale

2010-11-15  Misha Shnurapet <shnurapet@fedoraproject.org>

	* po/ru.po: l10n: Updated Russian (ru) translation to 99%  New
	status: 614 messages complete with 0 fuzzies and 1 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-11-12  James Antill <james@and.org>

	* cli.py, output.py: Split "Language groups" out from normal groups,
	using langonly. BZ 652750.

2010-11-12  James Antill <james@and.org>

	* yum/__init__.py: Remove the sqlite-journal, for those repos. still
	using just .xml.

2010-11-11  James Antill <james@and.org>

	* rpmUtils/updates.py: Really minor code cleanup.

2010-11-12  Guido Grazioli <guido.grazioli@gmail.com>

	* po/it.po: l10n: Updated Italian (it) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-11-11  James Antill <james@and.org>

	* yum/depsolve.py:  Remove lookup for oldreqs against rpmdb. Huge speedup on big
	 transactions.   This can't be needed for two reasons:  1. We are
	 only lookup for provides in rpmdb, but those providers could    be
	 being removed.  2. This only happens when we have the exact same
	 req in the old and new    pkg. ... so the exact same thing would be
	 true if there was no update.

2010-11-10  James Antill <james@and.org>

	* yum/depsolve.py, yum/rpmsack.py: Fix huge checkConflicts
	regression due to 4.9.x code conversion.

2010-11-10  James Antill <james@and.org>

	* cli.py: Warn about merged options used in firstParse() (-c, -d,
	-e, -q, -v).

2010-11-10  James Antill <james@and.org>

	* cli.py: Add --config, --debuglevel and --errorlevel options to
	firstParse().

2010-11-09  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Warn about mis-spelling setopt stuff.

2010-11-09  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	update man page for clean_requirements_on_remove   add the
	functionality of remove_with_leaves to core   - Make downgrade
	testcase - fix test DepsolveProgressCallback to handle downgrade -
	fix skip-broken code to handle downgrades - prefix all skipbroken
	debug message with 'SKIPBROKEN:' for easier filtering

2010-11-09  Tim Lauridsen <timlau@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X

2010-11-08  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: update man page for clean_requirements_on_remove


2010-11-05  Seth Vidal <skvidal@fedoraproject.org>

	* test/testbase.py, yum/__init__.py, yum/config.py,
	yum/depsolve.py, yum/rpmsack.py: add the functionality of
	remove_with_leaves to core  - works much better than
	remove_with_leaves - better output - config makes more sense:
	clean_requirements_on_remove = BoolOption(False) - uses yumdb.reason
	to drive it - dep-installs only - testing and opt required

2010-11-05  James Antill <james@and.org>

	* yum/update_md.py: Skip displaying rights into in updateinfo (by
	default).

2010-11-05  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, test/testbase.py, yum/__init__.py: - Make downgrade testcase - fix test DepsolveProgressCallback to
	handle downgrade - fix skip-broken code to handle downgrades -
	prefix all skipbroken debug message with 'SKIPBROKEN:' for easier
	filtering

2010-11-04  James Antill <james@and.org>

	* yum/update_md.py: Skip displaying more useless-ish data in
	updateinfo (by default).

2010-11-04  James Antill <james@and.org>

	* yum/update_md.py: Use repo_gen_decompress for updateinfo, when we
	can.

2010-11-04  Gordon Messmer <yinyang@eburg.com>

	* yum/packages.py: Fix typo in _RPMVerifyPackageFile, which broke
	symlink verification (BZ 649634).

2010-11-04  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: document metadata_expire's default correctly :)

2010-11-03  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't die with zero length args (Eg. yum up '').

2010-11-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yumcommands.py: apply fixes for various issues in
	save/load ts   - name all files .yumtx  - report, correctly, that we
	need the Ts for the load-ts command

2010-11-03  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, test/misc-tests.py, test/skipbroken-tests.py,
	test/testbase.py, yum/__init__.py, yum/config.py, yum/depsolve.py,
	yum/transactioninfo.py, yumcommands.py, yummain.py: add support for
	saving out depsolved transactions and reloading them.  This saves a
	considerable amount of time if you find you have to deal with gpg
	keys, between updates. It is also flexible enough that it could
	allow users with systems in relative, or precise, lockstep, to pass
	around a .ts file and have the deps pre-solved - cutting out a
	considerable amount of time searching for providers.  this adds the
	load-ts/load-transaction command to yum-cli which lets you load them
	from a file

2010-11-03  James Antill <james@and.org>

	* cli.py: Don't die with zero length args (Eg. yum up '').

2010-11-01  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: add a check to _checkMaybeYouMeant() to skip the lookup
	for things starting with @ since htey are groups and none of our
	checks intelligently check that anyway.

2010-10-27  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add options kwargs to searchGenerator() to search
	tags and/or the rpmdb. This is sadly b/c I'm an idiot and didn't do
	these earlier and it makes repoquery give back..... 'odd' results
	when you are only searching licenses and you have pkg tags in the
	repo you're searching against.

2010-10-26  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Be
	more defensive in dropCachedDataPostTransaction()   Add od/ud to
	pkgname_ui states, so we can find things.   l10n: Updated Swedish
	(sv) translation to 100%

2010-10-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: whoops - catch the lookup in
	_search_primary_files() too - catch them separately b/c I don't want
	to chase down any potential callers

2010-10-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmsack.py, yum/sqlitesack.py: os.path.normpath() the filename
	to fix rh bug: #646866 pretty arbitrary problem but at least an easy
	fix

2010-10-26  James Antill <james@and.org>

	* yum/rpmsack.py: Be more defensive in
	dropCachedDataPostTransaction()

2010-10-25  James Antill <james@and.org>

	* output.py: Add od/ud to pkgname_ui states, so we can find things.


2010-10-21  Göran Uddeborg <goeran@uddeborg.se>

	* po/sv.po: l10n: Updated Swedish (sv) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-10-20  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	make sure we mark the other txmbr as obsoleting   fix the unittests
	to remove the FIXMEs b/c now they are fixed.   when depsolving - if
	we have a dep from an installed pkg. Check to see if the thing it
	requires is being updated or obsoleted. If it is being updated then
	try to update the requiring Pkg w/o obsoletes.   make obsoletes a
	little more correct vis-a-vis rpm   Avoid errors with empty
	completion words, BZ 644265.

2010-10-20  Seth Vidal <skvidal@fedoraproject.org>

	* yum/transactioninfo.py: make sure we mark the other txmbr as
	obsoleting

2010-10-19  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Avoid errors with empty completion words, BZ 644265.

2010-10-19  Seth Vidal <skvidal@fedoraproject.org>

	* test/simpleobsoletestests.py: fix the unittests to remove the
	FIXMEs b/c now they are fixed.

2010-10-19  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: when depsolving - if we have a dep from an
	installed pkg. Check to see if the thing it requires is being
	updated or obsoleted. If it is being updated then try to update the
	requiring Pkg w/o obsoletes.  this is only to fix a couple of
	oddball cases where pulling in the obsoleters is.... less likely to
	be the correct thing to do.

2010-10-19  Seth Vidal <skvidal@fedoraproject.org>

	* yum/transactioninfo.py: make obsoletes a little more correct
	vis-a-vis rpm  when we add pkgs to be updated or installed (and they
	are not TrueInstalls) then go ahead and look through them and add
	any pkgs that might be Obsoleted by them when rpm runs the
	transaction. Since rpm will run it whether or not we list it when it
	comes to obsoletes  also add a counter any time we add or remove a
	pkg from the tsInfo so we can always know of state change based on
	that

2010-10-19  James Antill <james@and.org>

	* output.py: Allow packages-list to not take an arg. ... shows
	recent pkgs.

2010-10-19  James Antill <james@and.org>

	* yum/history.py: Split search patterns if we get too many, BZ
	644432

2010-10-19  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Avoid errors with empty completion words, BZ 644265.


2010-10-18  James Antill <james@and.org>

	* yum/depsolve.py, yum/rpmsack.py: Use rpmdb conflict index if
	available, in rpm-4.9.x, no need to cache.

2010-10-18  James Antill <james@and.org>

	* yum/__init__.py: Add internal _rpm_ver_atleast(), for testing rpm
	versions (to feature test).

2010-10-19  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure we're using the right urlgrabber opts
	for retrieving gpgkeys for repos.

2010-10-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	our pkgtup+checksum cache to save every pkgtup, so we don't lose
	pkgs.   l10n: Fix mistake for italian translation   Close
	urlgrabber's curl object after download packages.   Might as well
	add this to the repo. at least.   Fix problems with remove+update.
	Add tests for remove+update, and update+remove.   Allow tests to be
	multi-commands, aka. shell.

2010-10-18  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, test/testbase.py, yum/depsolve.py,
	yum/transactioninfo.py: add 'ud' and 'od' modes to transaction
	members: updated and obsoleted - change the outputs a bit to
	correspond to this. - add depsolve cases to handle this better

2010-10-15  James Antill <james@and.org>

	* yum/rpmsack.py, yum/transactioninfo.py: Fix our pkgtup+checksum
	cache to save every pkgtup, so we don't lose pkgs.

2010-10-15  marionline <fedora@marionline.it>

	* po/it.po: l10n: Fix mistake for italian translation  New status:
	615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-10-11  James Antill <james@and.org>

	* yum/__init__.py: Close urlgrabber's curl object after download
	packages.

2010-10-08  James Antill <james@and.org>

	* docs/repomd.dtd: Might as well add this to the repo. at least.

2010-10-08  James Antill <james@and.org>

	* yum/__init__.py: Fix problems with remove+update.

2010-10-08  James Antill <james@and.org>

	* cli.py, test/simpleremovetests.py, test/simpleupdatetests.py: Add
	tests for remove+update, and update+remove.

2010-10-08  James Antill <james@and.org>

	* test/testbase.py: Allow tests to be multi-commands, aka. shell.

2010-10-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/repoMDObject.py: handle the actual formatting of the distro
	tags properly

2010-10-04  James Antill <james@and.org>

	* yum/rpmsack.py:  Speedup rpmdb.pkglist, roughly .35 of a second to .02.   This is
	 roughly 15-20% of "list updates" time. Dito. yumex.   We won't save
	 any time here for an actual transaction, because we need to load
	 the packages anyway. We could convert this data into packages, with
	 more work ... and that might be worth it, but it's significantly
	 bigger.

2010-10-06  Taylon Silmer <taylon@taylon.eti.br>

	* po/pt_BR.po: l10n: Updated Portuguese (Brazilian) (pt_BR)
	translation to 90%  New status: 559 messages complete with 56
	fuzzies and 0 untranslated.  Transmitted-via: Transifex
	(www.transifex.net).

2010-10-06  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: Fix cut and paste typo

2010-10-05  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py, etc/yum.bash, yumcommands.py: Remove localinstall/update
	from --help and offered bash command completions.
	https://bugzilla.redhat.com/show_bug.cgi?id=618154

2010-10-05  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Reorder completed commands alphabetically, add some
	comments.

2010-10-04  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Include local source package files in deplist file
	completions.

2010-10-04  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Do not require "/" for local package completions.
	https://bugzilla.redhat.com/show_bug.cgi?id=618154#c10

2010-09-30  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, docs/yum.conf.5, yum/__init__.py, yum/config.py: add
	localpkg_gpgcheck option to [main] so users can set whether or not
	to gpgcheck pkgs in local files  documents it too

2010-09-29  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Deal with relative installroot paths, BZ 638321.   Document that
	rhn-plugin will alter ssl* options.

2010-09-29  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: add note about -C using system cache only

2010-09-28  James Antill <james@and.org>

	* cli.py: Deal with relative installroot paths, BZ 638321.

2010-09-28  James Antill <james@and.org>

	* docs/yum.conf.5: Document that rhn-plugin will alter ssl* options.


2010-09-29  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: if the pid we had back to show_lock_owner is empty or
	not an int or what-have-you - then don't try and use it

2010-09-25  James Antill <james@and.org>

	* Makefile: Allow check-po-yes-no to fail, mainly for rpmbuild
	%check.

2010-09-24  James Antill <james@and.org>

	* output.py, yum/history.py: Solve more merge problems with the
	merged transaction branch

2010-09-24  James Antill <james@and.org>

	Fix conflicts in merged-transaction git merge.

2010-09-23  James Antill <james@and.org>

	* yum/rpmsack.py:  Fix possible bug when "manually" setting checksum_type or
	 checksum_data.   We kind of got around this before by always
	 reloading at the end of a transaction, so any bugs were limited
	 until the next transaction performed. But now we almost always just
	 use the index, so we should fix it.   Basically just rm the cached
	 version if anyone changes them, this is fine in a transaction as
	 we'll be writting a new version anyway.

2010-09-23  James Antill <james@and.org>

	* yum/__init__.py:  Remove the bad dropCachedData() calls. Use
	 dropCachedDataPostTransaction(). This is a major speedup, and fixes
	 some weird bugs with lookups giving back different packages than
	 are in the transaction.   Move futureRpmDBVersion() to be before we
	 need the checksums in history.   Always calc. the new
	 simpleVersion() ... as it's much cheaper now than when we next
	 start (who runs without history anyway?:)

2010-09-23  James Antill <james@and.org>

	* yum/rpmsack.py:  Add dropCachedDataPostTransaction() API and document
	 dropCachedData().   Calling dropCachedData() before we are "done"
	 is pretty bad, as we can load a package more than once. It's also a
	 giant perf. hit, esp. for yumdb checksum*. So we Document all that
	 and add a special API to call just after a transaction has run, to
	 cleanup just the stuff we want.

2010-09-23  James Antill <james@and.org>

	* yum/__init__.py: Use repo_gen_decompress for decompressing the
	pkgtags.

2010-09-23  James Antill <james@and.org>

	* yum/__init__.py: Use repo_gen_decompress for decompressing the
	groupfile.

2010-09-23  James Antill <james@and.org>

	* yum/misc.py: Add repo_gen_decompress() API, for caching
	decompressions (fixes non-unique).

2010-09-17  James Antill <james@and.org>

	* yum/packageSack.py: Don't convert obsoletes into packages, saves
	~40% of runtime on Fedora.

2010-09-17  James Antill <james@and.org>

	* yum/packageSack.py, yum/sqlitesack.py: Add argument to
	searchNames() to get it to return pkgtups.

2010-09-15  James Antill <james@and.org>

	* rpmUtils/updates.py: Filter "available updates" based on package
	name, for doUpdate, speedup ~25%.

2010-09-15  James Antill <james@and.org>

	* yum/update_md.py: Add "severity" to updateinfo parsing, another
	element from BZ 624079.

2010-09-14  James Antill <james@and.org>

	* docs/yum.conf.5, shell.py, yum/comps.py, yum/constants.py,
	yum/logginglevels.py, yum/mdparser.py, yum/misc.py, yum/parser.py,
	yum/pgpmsg.py, yum/plugins.py, yum/transactioninfo.py,
	yum/yumRepo.py: Fix annoying rpmlint warnings.

2010-09-14  James Antill <james@and.org>

	* yum/__init__.py:  Can't keep ts around, due to rpmdb.auto_close. BZ 622179.  This
	 kind of sucks as we have to remember in all future code not to keep
	 a ts over any .rpmdb call, it's even better because almost nobody
	 will hit it. It works though, and is simple.   We could maybe fix
	 this "better" by using a weakref in rpmdb, and doing it that way.
	 Or having some manual way to mark auto_close as off. Or just rm'ing
	 auto_close as a bad idea.

2010-09-13  James Antill <james@and.org>

	* yum/yumRepo.py: Check all checksums for repomd, from metalink,
	validation.

2010-09-13  James Antill <james@and.org>

	* yum/misc.py: Add sha384 to available_checksums, so repos. can use
	it. BZ 633270

2010-09-13  James Antill <james@and.org>

	* yum/packages.py: Provide the package name on header open failures,
	use RepoError. BZ 615326

2010-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add 'history package-list' + aliases completion.

2010-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add 'history addon' completion.

2010-09-13  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Wrap long lines.

2010-09-12  Thomas Canniot <mrtom@fedoraproject.org>

	* po/fr.po: l10n: Updated French (fr) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-12  Thomas Canniot <mrtom@fedoraproject.org>

	* po/fr.po: l10n: Updated French (fr) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-11  Martin-Gomez Pablo <pablo.martin-gomez@laposte.net>

	* po/fr.po: l10n: Updated French (fr) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-11  Thomas Canniot <mrtom@fedoraproject.org>

	* po/fr.po: l10n: Updated French (fr) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-10  James Antill <james@and.org>

	* yum/history.py: Make history packages have a "<history>" repoid.

2010-09-09  James Antill <james@and.org>

	* yum/packages.py: Compare repoid nicely in po.__eq__ as well as
	po.__cmp__.

2010-09-09  James Antill <james@and.org>

	* output.py: Don't chop names when they are from different
	transactions.

2010-09-09  James Antill <james@and.org>

	* yum/yumRepo.py: Handle generated .sqlite files, for .xml MD which
	has unique filenames. BZ 628963

2010-09-09  James Antill <james@and.org>

	* yumcommands.py: Add some minor aliases for history sub-commands.

2010-09-09  James Antill <james@and.org>

	* output.py, yumcommands.py: Add history package-list command, to
	show history view from the pkg POV.

2010-09-09  James Antill <james@and.org>

	* yumcommands.py: Show addon-info in the history summary text.

2010-09-09  James Antill <james@and.org>

	* cli.py, shell.py, yum/__init__.py: Add "addon" history information
	for "yum shell", currently triggers non-def.

2010-09-09  A S Alam <apreet.alam@gmail.com>

	* po/pa.po: l10n: Updated Panjabi (Punjabi) (pa) translation to 84%
	New status: 521 messages complete with 1 fuzzy and 93 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-08  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: remove duplicate sparc64v entry which,
	apparently, does nothing

2010-09-07  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py, rpmUtils/tests/updates-test.py: - fix sparcv9/sparc64 update comparison case due to weird
	multicompat setting - this should fix A LOT of oddball complex
	update cases - add better test in  updates-test.py to let us set the
	arch to test more easily

2010-09-07  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add 'history addon-info' completion.

2010-09-04  Ville Skyttä <ville.skytta@iki.fi>

	* output.py: Fix error message for malformed transaction ids in
	history addon-info, allow "last".

2010-09-07  Misha Shnurapet <shnurapet@fedoraproject.org>

	* po/ru.po: l10n: Updated Russian (ru) translation to 99%  New
	status: 613 messages complete with 2 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-07  Misha Shnurapet <shnurapet@fedoraproject.org>

	* po/ru.po: l10n: Updated Russian (ru) translation to 99%  New
	status: 611 messages complete with 4 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-07  Misha Shnurapet <shnurapet@fedoraproject.org>

	* po/ru.po: l10n: Updated Russian (ru) translation to 99%  New
	status: 609 messages complete with 6 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-07  Misha Shnurapet <shnurapet@fedoraproject.org>

	* po/ru.po: l10n: Updated Russian (ru) translation to 99%  New
	status: 609 messages complete with 6 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-07  Misha Shnurapet <shnurapet@fedoraproject.org>

	* po/ru.po: l10n: Updated Russian (ru) translation to 97%  New
	status: 601 messages complete with 14 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-07  Misha Shnurapet <zayzayats@yandex.ru>

	* po/ru.po: l10n: Updated Russian (ru) translation to 96%  New
	status: 595 messages complete with 20 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-06  Misha Shnurapet <zayzayats@yandex.ru>

	* po/ru.po: l10n: Updated Russian (ru) translation to 96%  New
	status: 593 messages complete with 22 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-05  Thomas Canniot <>

	* po/fr.po: l10n: Updated French (fr) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-04  Thomas Canniot <>

	* po/fr.po: l10n: Updated French (fr) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-09-02  Guido Grazioli <guido.grazioli@gmail.com>

	* po/it.po: l10n: Updated Italian (it) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-08-31  Seth Vidal <skvidal@fedoraproject.org>

	* test/packagetests.py: remove self.po.rel bogon from the
	packagetest - since it doesn't do anything but it does seem to
	disturb dmalcolm's tests

2010-08-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: bump urlgrabber req to 3.9.2 for the next urlgrabber
	with username/password

2010-08-30  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5, yum/config.py, yum/yumRepo.py: add
	username/password basic auth options and document in man page

2010-08-30  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updated Panjabi (Punjabi) (pa) translation to 84%   l10n:
	Updated Panjabi (Punjabi) (pa) translation to 74%

2010-08-30  A S Alam <apreet.alam@gmail.com>

	* po/pa.po: l10n: Updated Panjabi (Punjabi) (pa) translation to 84%
	New status: 521 messages complete with 1 fuzzy and 93 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-08-29  A S Alam <apreet.alam@gmail.com>

	* po/pa.po: l10n: Updated Panjabi (Punjabi) (pa) translation to 74%
	New status: 460 messages complete with 46 fuzzies and 109
	untranslated.  Transmitted-via: Transifex (www.transifex.net).

2010-08-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updated Spanish (Castilian) (es) translation to 100%

2010-08-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: - when we're looking at potential providers - if we have a newer
	version of the same pkg installed score down the pkg in the same way
	we score down an obsoleted pkg. seems to fix:
	https://bugzilla.redhat.com/show_bug.cgi?id=626965

2010-08-24  Héctor Daniel Cabrera <logan@fedoraproject.org>

	* po/es.po: l10n: Updated Spanish (Castilian) (es) translation to
	100%  New status: 615 messages complete with 0 fuzzies and 0
	untranslated.  Transmitted-via: Transifex (www.transifex.net).

2010-08-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updated Polish (pl) translation to 100%   Args. for
	install/update/etc. can be provides, and thus. unicode, BZ 622683.

2010-08-24  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: remove duplicate clean dbcache section rh bug:
	https://bugzilla.redhat.com/show_bug.cgi?id=626689

2010-08-23  Piotr Drąg <piotrdrag@gmail.com>

	* po/pl.po: l10n: Updated Polish (pl) translation to 100%  New
	status: 615 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-08-21  James Antill <james@and.org>

	* yum/__init__.py: Args. for install/update/etc. can be provides,
	and thus. unicode, BZ 622683.

2010-08-19  James Antill <james@and.org>

	* cli.py, docs/yum.8:  Make our search command a bit more usable, try name/summary only
	 first:  1. yum search all blah -- still does the old thing.  2. yum
	 search yum alias -- just shows name/summary hits for yum+alias.  3.
	 yum search yum smart -- shows name/summary hits for yum, smart and
	 "traditional" search for yum+smart.  4. yum search 'USB 802.11a' --
	 does the same old thing.  ...this drastically reduces the printed
	 results.

2010-08-19  James Antill <james@and.org>

	* yum/__init__.py: If obsoletes processing is off, don't look for
	obsoletes (mainly local pkgs).

2010-08-17  Seth Vidal <skvidal@fedoraproject.org>

	* po/yum.pot: update .pot file

2010-08-17  Seth Vidal <skvidal@fedoraproject.org>

	* yumcommands.py: - fix for 623753 or so it seems - make sure we to_unicode() the
	__str__() output from an rpmdb problem object.

2010-08-16  James Antill <james@and.org>

	* utils.py, yummain.py: If the lock owner has gone, don't wait for
	it.

2010-08-16  Mads Kiilerich <mads@kiilerich.com>

	* utils.py: Really fix the race for lock owner exiting, BZ 588002.

2010-08-16  James Antill <james@and.org>

	* yum/update_md.py: Don't print files section of updateinfo notices,
	by default.

2010-08-16  Mark J. Cox <mjc@redhat.com>

	* yum/update_md.py: Add summary, solution and rights updateinfo
	data.

2010-08-16  James Antill <james@and.org>

	* yum/update_md.py: Work around bad epoch data in updateinfo.

2010-08-15  Tadashi Jokagi <elf@elf.no-ip.org>

	* po/ja.po: l10n: Updated Japanese (ja) translation to 94%  New
	status: 583 messages complete with 1 fuzzy and 30 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-08-15  A S Alam <apreet.alam@gmail.com>

	* po/pa.po: l10n: Updated Panjabi (Punjabi) (pa) translation to 83%
	New status: 476 messages complete with 0 fuzzies and 93
	untranslated.  Transmitted-via: Transifex (www.transifex.net).

2010-08-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/pgpmsg.py: don't break when we import a single key from a
	single file  this fixes the multiple-key api-fix from
	f5a7625e93ee701fd1dc27b04bc040e8113a2e39

2010-08-11  James Antill <james@and.org>

	* output.py:  Change the format_missing_requires callback, to look for packages
	 of the same name with different versions and output their info.
	 This makes some implicit information explicit, to be clearer for
	 the users. Eg. Before:  Error: Package:
	 gnome-media-2.31.5-4.fc14.x86_64 (fedora)            Requires:
	 libgnome-control-center.so.1()(64bit)            Available:
	 1:control-center-2.31.5-2.fc14.x86_64 (fedora)
	 libgnome-control-center.so.1()(64bit)  ...and after:  Error:
	 Package: gnome-media-2.31.5-4.fc14.x86_64 (fedora)
	 Requires: libgnome-control-center.so.1()(64bit)
	 Available: 1:control-center-2.31.5-2.fc14.x86_64 (fedora)
	 libgnome-control-center.so.1()(64bit)            Removing:
	 1:control-center-2.30.1-2.fc13.x86_64 (@updates/13)
	 Not found            Updated By:
	 1:control-center-2.31.6-1.fc14.x86_64 (updates-testing)
	 Not found  ...this adds a few more lookups, but it's all in the
	 error paths.

2010-08-10  James Antill <james@and.org>

	* yum/__init__.py: Remove old txmbrs when creating a new remove
	txmbr, reinstall X X, BZ 622913.

2010-08-10  James Antill <james@and.org>

	* yum/history.py: Another yum history unicide fix, cmdline with
	utf-8 in it, BZ 622683

2010-08-09  James Antill <james@and.org>

	* yum/pgpmsg.py: Don't break the gpgmsg.decode_msg() API, yum-keys
	plugin uses this

2010-08-09  James Antill <james@and.org>

	* yum/history.py: Fix unicide with rpmdb problems being logged in
	history, BZ 608956

2010-08-09  James Antill <james@and.org>

	* yum/__init__.py: Fix unicide on remove of provides errors, BZ
	622222

2010-08-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py: switch from to_unicode() to to_utf8()

2010-08-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	the history.vtrans_prob_pkgs VIEW for F12 sqlite, *sigh*. BZ 620872


2010-08-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py: when writing out the config data in add_on - do
	the to_unicode() bit so we don't trace out rh bug
	https://bugzilla.redhat.com/show_bug.cgi?id=622301

2010-08-06  James Antill <james@and.org>

	* yum/history.py: Fix the history.vtrans_prob_pkgs VIEW for F12
	sqlite, *sigh*. BZ 620872

2010-08-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: catch ValueErrors from .repo files and repo
	imports  make the errors tell the user more about where the issue
	is. fixes https://bugzilla.redhat.com/show_bug.cgi?id=620101

2010-08-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add verifytransaction time output - so we can
	know how long it is taking

2010-08-03  James Antill <james@and.org>

	* yumcommands.py: Check there is an enabled repo. before running
	"repo. cmds", BZ 620802.

2010-08-02  James Antill <james@and.org>

	* yum/__init__.py: Add a nice way to pick the releasever from
	outside the installroot.

2010-08-02  James Antill <james@and.org>

	* docs/yum.conf.5: Fix default list for installonlypkgs, make it
	clear it's provides.

2010-07-30  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog merge

2010-07-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: 3.2.28

2010-07-23  James Antill <james@and.org>

	* yum/transactioninfo.py: Unnecessarily load yumdb data from old
	packages, for hardlinks (minor hack)

2010-07-22  James Antill <james@and.org>

	* yum/rpmsack.py: Do automatic hardlinking for some yumdb key/values
	that are often shared.

2010-07-22  James Antill <james@and.org>

	* yum/rpmsack.py: Be cleverer about looking in the yumdb cache

2010-07-22  James Antill <james@and.org>

	* yum/rpmsack.py: Add a cache for common yumdb data, that is
	hardlinked.

2010-07-22  James Antill <james@and.org>

	* yum/misc.py: Add a non-exceptional stat wrapper

2010-07-22  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Act
	on --releasever for all utils.py users

2010-07-22  James Antill <james@and.org>

	* utils.py: Act on --releasever for all utils.py users

2010-07-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: if we lock and selinux (or something) keeps us
	from even accessing the lockfile/dir we shouldn't trace back but
	generate a nice-ish lock error.
	https://bugzilla.redhat.com/show_bug.cgi?id=617170

2010-07-20  Seth Vidal <skvidal@fedoraproject.org>

	* yum/repos.py, yum/yumRepo.py: fix for
	https://bugzilla.redhat.com/show_bug.cgi?id=613399 in two ways - so
	that various api callers get  the benefit no matter which objects
	they are using.  If we have a mediaid and no mediafunc and no other
	urls to use - then mark the repo as 'skip_if_unavailable' and
	'disabled' Then if we get any repo obj back from repo.setup() as not
	enabled then mark it as disabled in the repos object - this is
	mostly so our plugins don't accidentally trample all over it.

2010-07-20  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: note legacy existence of localinstall/localupdate and
	that downgrade can take an rpm filename.

2010-07-15  James Antill <james@and.org>

	* yum/Errors.py, yum/__init__.py: Fix API for anaconda catching rpm
	transaction failures, BZ 613817

2010-07-14  James Antill <james@and.org>

	* rpmUtils/arch.py: Fix for /proc isn't mounted, continues as though
	cpuinfo was empty

2010-07-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/logginglevels.py: disable logging.basicConfig() for ticket 525
	-- comment the hell out of it

2010-07-07  James Antill <james@and.org>

	* yum/packages.py: Add the package we are operating on to
	YumVerifyPackage, as self.po

2010-07-07  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Pass the packages that failed to reinstall, fixes provides/files. BZ
	612201.

2010-07-07  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: whoops - make sure I don't change the var name
	w/o correcting it elsewhere :(

2010-07-07  James Antill <james@and.org>

	* cli.py, yum/Errors.py, yum/__init__.py: Pass the packages that
	failed to reinstall, fixes provides/files. BZ 612201.

2010-07-07  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: add archlist_includes_compat option to
	ArchStorage.setup_arch  this allows us to prune out the non-main
	arch level if we just want to look at x86_64 only. It's a shorthand
	for pruning out all the other compat archs (i686, i586, etc)

2010-07-06  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: pass all the args in for buildTransaction()

2010-07-06  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: - add doUtilBuildTransaction() to YumUtilsBase() so we can capture
	errors better  - move around all the exit functions so they are part
	of the class - fix up utf8_width use so we're not just being lucky
	:)

2010-07-02  James Antill <james@and.org>

	Fix conflict on plugin additions!

2010-07-01  James Antill <james@and.org>

	* yum/packages.py: Change pkg.verify slightly so that we don't have
	to init, and add the callback.

2010-07-01  James Antill <james@and.org>

	* yum/__init__.py, yum/plugins.py: Add YumBase.verify_plugins_cb, to
	be used as the callback to pkg.verify()

2010-06-30  James Antill <james@and.org>

	* yum/packages.py:  Giant change to pkg.verify, this is the first step to allow plugins
	 to alter what we are going to verify.  Of course 666 hours after
	 starting this I realize we don't have a YumBase at this point ...
	 so we'll need to create a yb.verify_pkg() or something so we can
	 call the yb.plugins.run(). I knew I shouldn't have listened to Seth
	 ;).   Amusingly this also fixes a few weird edge case bugs.

2010-06-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: clean up some comments referencing the
	ipkgresults dict - since they no longer make any sense

2010-06-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py, yum/plugins.py: add compare_providers plugin hook
	- clean up the ipkgresults vs pkgresults at the top of
	compare_providers - add CompareProvidersPluginConduit to plugins

2010-06-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: comment to think about a conditional to deal with
	y-c-t from rh bug #608984

2010-06-30  James Antill <james@and.org>

	* output.py: Fix history addon-info, show latest transaction info
	when no arg. add _().

2010-06-30  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	the not possible yet, edge case slots deadlock.   Save the full
	args. (including options) for the cmdline data.

2010-06-30  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/__init__.py: - fixes to addon history info  - fix issue writing out config -
	change name of default addon info to make people happy

2010-06-29  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8, output.py, yum/history.py, yumcommands.py: 
	display/retrieve additional history info we have stored  - add
	'addon-info' as an option to history cmd - add return_addon_data as
	method of history class - display that addon info is available in
	yum history info results - update docs to mention it

2010-06-29  James Antill <james@and.org>

	* yum/plugins.py: Fix the not possible yet, edge case slots
	deadlock.

2010-06-29  James Antill <james@and.org>

	* yum/__init__.py: Save the full args. (including options) for the
	cmdline data.

2010-06-28  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updated Russian (ru) translation to 98%

2010-06-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add yum config and enabled repos as additional
	history info - stored per transaction

2010-06-28  Timon <timosha@gmail.com>

	* po/ru.po: l10n: Updated Russian (ru) translation to 98%  New
	status: 560 messages complete with 9 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-06-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py: stupid typo/thinkos in the write_addon_data method
	to history.

2010-06-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Show a nice error message when a user tries to access history.   Fix
	make check, due to rpmdb.readOnlyTS() not being in FakeRpmDb.   Fix
	the indentation on key_installed.   Make the "installing gpg key"
	messages nicer, showing the owning package.   GPG provides can have
	spaces: gpg(Fedora (13) <fedora@fedoraproject.org>).

2010-06-24  James Antill <james@and.org>

	* yumcommands.py: Show a nice error message when a user tries to
	access history.

2010-06-24  James Antill <james@and.org>

	* test/testbase.py: Fix make check, due to rpmdb.readOnlyTS() not
	being in FakeRpmDb.

2010-06-22  James Antill <james@and.org>

	* yum/__init__.py: Fix the indentation on key_installed.

2010-06-22  James Antill <james@and.org>

	* yum/__init__.py: Make the "installing gpg key" messages nicer,
	showing the owning package.

2010-06-22  James Antill <james@and.org>

	* yum/misc.py: GPG provides can have spaces: gpg(Fedora (13)
	<fedora@fedoraproject.org>).

2010-06-23  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yum/__init__.py: - multiple checks to make sure we're not trying to install a
	deltarpm directly - also make sure no bogons filter in for
	localinstall.

2010-06-23  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/updates.py: - make sure when we have multiple identical updating pkgs that we
	don't look at them as complex updates  fixes part of rh bug: 607258


2010-06-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/history.py: - move historyend call to before history.end() - fix a couple of
	typos - check to make sure we're not saving _nothing_

2010-06-21  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Document the semi-special running kernel protection.   Protect
	kernel from any kind of removal, in the protection code.   Protect
	users from manually remove/reinstall the running kernel.   Make "yum
	list kmod\*" look better (ie. repoid is always overflowing).
	Fix/allow reinstalls of installonly packages (BZ 605226):

2010-06-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/history.py, yum/plugins.py: - add historyend and historybegin plugin conduits - add history
	write_addon_data and an addon_data path so we can write out
	arbitrary   data to a file stored per history file and per
	transaction id - add historypluginconduit which gives the user
	access to yumbase.history directly

2010-06-21  James Antill <james@and.org>

	* docs/yum.conf.5: Document the semi-special running kernel
	protection.

2010-06-21  James Antill <james@and.org>

	* yum/__init__.py: Protect kernel from any kind of removal, in the
	protection code.

2010-06-21  James Antill <james@and.org>

	* yum/__init__.py: Protect users from manually remove/reinstall the
	running kernel.

2010-06-18  James Antill <james@and.org>

	* output.py: Make "yum list kmod\*" look better (ie. repoid is
	always overflowing).

2010-06-18  James Antill <james@and.org>

	* yum/__init__.py, yum/transactioninfo.py:  Fix/allow reinstalls of installonly packages (BZ 605226):  . We
	 have to mark them as reinstalls.  . Stop aborting them manually.  .
	 Turn installonly removals off, when they are being reinstalled.
	 ...the only "problem" is that if you do "yum reinstall kernel"
	 we'll reinstall all versions of the kernel that are available.

2010-06-17  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	check for this being a test transaction before updating the yum
	history db   add getTsFlags() and isTsFlagSet() to
	rpmUtils.transaction.TransactionWrapper   for rh bug 604529 - make
	sure when we compare mtime we're comparing the ints vs the ints

2010-06-17  James Antill <james@and.org>

	* output.py: Cleanup package state output in history info output.

2010-06-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: check for this being a test transaction before
	updating the yum history db  If rpm.RPMTRANS_FLAG_TEST is set - then
	the transaction won't actually DO anything. Therefore- don't record
	that it did in the history and don't try to verify the transaction.


2010-06-17  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Work around really long usernames, with no geocos fullname data, BZ
	605039.

2010-06-17  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/transaction.py: add getTsFlags() and isTsFlagSet() to
	rpmUtils.transaction.TransactionWrapper to make it less excruciating
	to see what is set in the rpm transaction flags

2010-06-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: for rh bug 604529 - make sure when we compare
	mtime we're comparing the ints vs the ints and not extra trailing
	fractions of a second.

2010-06-17  James Antill <james@and.org>

	* output.py: Work around really long usernames, with no geocos
	fullname data, BZ 605039.

2010-06-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: fix for writing back out changes to a repo config
	and the repoid in the config has a $var in it  write it back out to
	the right repoid.  closes rh bug:
	https://bugzilla.redhat.com/show_bug.cgi?id=604973

2010-06-16  Yuri Chornoivan <yurchor@ukr.net>

	* po/uk.po: l10n: Updated Ukrainian (uk) translation to 100%  New
	status: 569 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-06-16  Yuri Chornoivan <yurchor@ukr.net>

	* po/uk.po: l10n: Updated Ukrainian (uk) translation to 78%  New
	status: 444 messages complete with 0 fuzzies and 125 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-06-15  James Antill <james@and.org>

	* yum/history.py: Fix history recording installs, from the txmbr
	cleanup

2010-06-14  James Antill <james@and.org>

	* yum/metalink.py: Parse out the new private attribute for urls

2010-06-15  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Added British English translation   l10n: Updated Czech (cs)
	translation to 100%   l10n: Initial Ukrainian translation   Fix 0 vs
	None Epoch handling in compareEVR().   Deal with putting non-en
	rpmdb problems in the history DB   Add name to FakeRepo   Add
	protected.d and vars to the yum.conf man page FILES section   Fix
	the tsflags documentation   Only do installed_by and changed_by if
	we are dealing with installed pkgs.

2010-06-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add 'if self.conf.obsoletes' to the installed-pkg
	obsoletes check for localinstall

2010-06-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: when doing a localinstall check to see if the pkg
	we want to install is obsoleted by something already installed not
	just those things in the repos.

2010-06-15  Bruce Cowan <l10n@bcowan.fastmail.co.uk>

	* po/en_GB.po: l10n: Added British English translation  New status:
	569 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-06-14  Adam  Pribyl <covex@lowlevel.cz>

	* po/cs.po: l10n: Updated Czech (cs) translation to 100%  New
	status: 569 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-06-14  Yuri Chornoivan <yurchor@ukr.net>

	* po/uk.po: l10n: Initial Ukrainian translation  New status: 171
	messages complete with 0 fuzzies and 398 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-06-05  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/miscutils.py, test/packagetests.py: Fix 0 vs None Epoch
	handling in compareEVR().  Previously, None Epochs got stringified
	to literal 'None' strings which do not compare equal with '0'.  Now
	they're explicitly made '0's.  Previous behavior with '' Epochs is
	unchanged.

2010-06-14  James Antill <james@and.org>

	* yum/history.py: Deal with putting non-en rpmdb problems in the
	history DB

2010-06-14  James Antill <james@and.org>

	* yum/packages.py: Add name to FakeRepo

2010-06-14  James Antill <james@and.org>

	* docs/yum.conf.5: Add protected.d and vars to the yum.conf man page
	FILES section

2010-06-14  James Antill <james@and.org>

	* docs/yum.conf.5: Fix the tsflags documentation

2010-06-13  James Antill <james@and.org>

	* output.py: Only do installed_by and changed_by if we are dealing
	with installed pkgs.

2010-06-11  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't return None when transaction is empty in resolveDeps, BZ
	603002   Add installed_by and changed_by to info -v   Fix typo
	info=>list   Fix for UnicodeWarning when comparing provides, BZ
	570819.   Add a dsCallback "r" state for reinstalled, as we are
	doing downgrade   Make .reinstall a real txmbr attribute   Save
	loginuids of installed_by and changed_by to the yumdb   Add caching
	getloginuid, so we can use it outside of history

2010-06-11  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Make the callback ts_state var name less confusing :)   Tell the
	dsCallback() when ts_state==u that it's really an install, when it
	is.   Remove assignment of Depsolve aka. YumBase to packages.base
	Add *verifytrans plugin hooks, so yumdb can be altered from plugins.
	BZ 602354.   Explain that we use history internally, and so what
	turning it off does   Deal with local pkgs that only obsolete
	something installed, BZ 600969.   Add a downgrade state, for users
	(changes what dsCallback.pkgAdded() gets).   Don't do chain removals
	on downgrades, just fail, BZ 592726.   Split each
	install/update/remove/reinstall/downgrade to their own test+print
	Remove giant comment of old code

2010-06-11  James Antill <james@and.org>

	* yum/depsolve.py: Don't return None when transaction is empty in
	resolveDeps, BZ 603002

2010-06-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: - optionally collapse libc.so.6 requires into highest requires
	(default sort order)  our libc.so.6 requires are fairly redundant -
	6 requires per pkg requiring glibc, on avg. The highest versioned
	libc.so.6 requirement is good enough so remove the others.  This
	cuts out about 17-20% of our requires

2010-06-11  James Antill <james@and.org>

	* output.py: Add installed_by and changed_by to info -v

2010-06-11  James Antill <james@and.org>

	* output.py: Fix typo info=>list

2010-06-10  Toshio Kuratomi <toshio@fedoraproject.org>

	* yum/sqlitesack.py: Fix for UnicodeWarning when comparing provides,
	BZ 570819.

2010-06-10  James Antill <james@and.org>

	* output.py, yum/depsolve.py: Add a dsCallback "r" state for
	reinstalled, as we are doing downgrade

2010-06-10  James Antill <james@and.org>

	* yum/__init__.py, yum/transactioninfo.py: Make .reinstall a real
	txmbr attribute

2010-06-10  James Antill <james@and.org>

	* yum/__init__.py: Save loginuids of installed_by and changed_by to
	the yumdb

2010-06-10  James Antill <james@and.org>

	* yum/misc.py: Add caching getloginuid, so we can use it outside of
	history

2010-06-10  James Antill <james@and.org>

	* yum/depsolve.py: Make the callback ts_state var name less
	confusing :)

2010-06-10  James Antill <james@and.org>

	* yum/depsolve.py: Tell the dsCallback() when ts_state==u that it's
	really an install, when it is.

2010-06-10  Paolo Abeni <paolo.abeni@gmail.com>

	* yum/depsolve.py: Remove assignment of Depsolve aka. YumBase to
	packages.base

2010-06-09  James Antill <james@and.org>

	* yum/__init__.py, yum/plugins.py: Add *verifytrans plugin hooks, so
	yumdb can be altered from plugins. BZ 602354.

2010-06-09  James Antill <james@and.org>

	* docs/yum.conf.5: Explain that we use history internally, and so
	what turning it off does

2010-06-08  James Antill <james@and.org>

	* yum/__init__.py: Deal with local pkgs that only obsolete something
	installed, BZ 600969.

2010-06-07  James Antill <james@and.org>

	* output.py, yum/depsolve.py: Add a downgrade state, for users
	(changes what dsCallback.pkgAdded() gets).

2010-06-07  James Antill <james@and.org>

	* yum/depsolve.py: Don't do chain removals on downgrades, just fail,
	BZ 592726.

2010-06-07  James Antill <james@and.org>

	* output.py: Split each install/update/remove/reinstall/downgrade to
	their own test+print

2010-06-07  James Antill <james@and.org>

	* yum/sqlitesack.py: Remove giant comment of old code

2010-06-07  Seth Vidal <skvidal@fedoraproject.org>

	* etc/yum.bash: add 'localupdate' as a completeable command

2010-06-07  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Catch+rethrow ValueError as well as KeyError, accessing rpm hdr
	attribs.   Always try searchNames() in rpm, because .dbMatch('name')
	is so damn fast.   Speedup large list output, like "yum list
	installed"

2010-06-04  James Antill <james@and.org>

	* yum/packages.py: Catch+rethrow ValueError as well as KeyError,
	accessing rpm hdr attribs.

2010-06-04  James Antill <james@and.org>

	* yum/rpmsack.py: Always try searchNames() in rpm, because
	.dbMatch('name') is so damn fast.

2010-06-04  James Antill <james@and.org>

	* output.py: Speedup large list output, like "yum list installed"

2010-06-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sure we add our '\n's in the right place to
	keep the xml output 'pretty'  closes rh bug:
	https://bugzilla.redhat.com/show_bug.cgi?id=600201

2010-06-03  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't fail for returnPackages(patterns=['[g]eany']) etc.   Don't
	bother looking for *, ? ... just wait for searchNames() to fail
	Fix typo in cElementTree_xmlparse

2010-06-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: raise miscerror if the transaction-all file is
	garbage.

2010-06-03  James Antill <james@and.org>

	* yum/rpmsack.py: Don't fail for
	returnPackages(patterns=['[g]eany']) etc.

2010-06-03  James Antill <james@and.org>

	* yum/rpmsack.py: Don't bother looking for *, ? ... just wait for
	searchNames() to fail

2010-06-03  James Antill <james@and.org>

	* yum/misc.py: Fix typo in cElementTree_xmlparse

2010-06-02  James Antill <james@and.org>

	* yum/misc.py: Don't re-import saxutils for each call to to_xml().

2010-06-02  James Antill <james@and.org>

	* yum/comps.py, yum/metalink.py, yum/misc.py, yum/repoMDObject.py,
	yum/update_md.py: Lazily load cElementTree, saves about 10% of
	"import yum" time.

2010-06-02  James Antill <james@and.org>

	* output.py, yum/__init__.py:  Add prerepoconf, and use it to automagically setup .repos on
	 access. This means we don't even need to read the config. files for
	 repos. or set them up when we aren't using them.   This is roughly
	 20% for "yum remove" etc.   This should be really safe because I
	 left in all the old code, so if some output.py API user does:
	 yb.repos yb.setupProgressCallbacks()  ...we don't complain. Dito.
	 yb.setCacheDir() which is much more likely.   Patches are required,
	 to repoquery, for repoquery --installed to benefit but they seem
	 like sane updates to using the new APIs (ie. not calling
	 doSackSetup() explicitly).

2010-06-01  James Antill <james@and.org>

	* yum/rpmsack.py: Fix "remove name-version", really minor API bug
	before last patch

2010-06-01  James Antill <james@and.org>

	* yum/rpmsack.py: Opt. for rpmdb.returnPackages(patterns=...). Drops
	about 30% from remove time.

2010-06-01  James Antill <james@and.org>

	* yum/depsolve.py: Pick already installed packages as "best" with
	provide install

2010-06-01  James Antill <james@and.org>

	* yum/__init__.py: Fix pkgs. that are excluded after being put in
	yb.up ... BZ#597853

2010-05-25  James Antill <james@and.org>

	* output.py: Deal with RHEL-5 loginuid damage

2010-06-01  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py, yum/config.py, yummain.py: add exit_on_lock option for
	rh bug https://bugzilla.redhat.com/show_bug.cgi?id=598527  if the
	lock is held, exit with value and output updated utils.py for this
	as well.  settable on the cli with --setopt=...

2010-06-01  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: in python 3k (and in the new rpm-python
	bindings) rpm is returning flags as LONGS not INTS - so this code
	breaks w/o this fix.  most importantly it breaks mock

2010-05-28  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updates to Finnish (fi) translation

2010-05-27  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* po/fi.po: l10n: Updates to Finnish (fi) translation  New status:
	569 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-05-27  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/misc.py, yum/update_md.py, yum/yumRepo.py: - go through all of our code and change our decompressors to use
	misc.decompress() - this should mean we can access metadata
	compressed using any supported compression library   provided it is
	NAMED accordingly - add fn_only option to misc.decompress() so we
	can get a returned name w/o actually   having the file - useful for
	finding a decompressed file if we only have the compressed one

2010-05-27  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: - cleanup decompress some - keep stub bunzipFile - add lzma support,
	if available

2010-05-21  James Antill <james@and.org>

	* yum/history.py: Fix blank line at end of all scriptlet output.

2010-05-21  James Antill <james@and.org>

	* utils.py: Add --setopt to YumUtilBase commands.

2010-05-21  James Antill <james@and.org>

	* yum/config.py, yum/yumRepo.py: Dump False and 0 as their values,
	and not the empty string.

2010-05-20  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix adding pkgExcluders after a package has
	been loaded. versionlock, at least

2010-05-21  Göran Uddeborg <goeran@uddeborg.se>

	* po/sv.po: l10n: Updates to Swedish (sv) translation  New status:
	569 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-05-19  James Antill <james@and.org>

	* yum/rpmsack.py: Make "blah in ipkg.yumdb_info" be quicker, and
	fail in more useful ways

2010-05-19  Göran Uddeborg <goeran@uddeborg.se>

	* po/sv.po: l10n: Updates to Swedish (sv) translation  New status:
	549 messages complete with 17 fuzzies and 3 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-05-17  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: SKIP-BROKEN: fix issue where the loop detection
	are triggered because the have been a unchanged transaction earlier
	in a skip-broken loop, but was solved by hard reseting the
	transation. It is only a loop if we have a unchanged transaction 2
	times in a row (rhbz # 590454)

2010-05-18  James Antill <james@and.org>

	* yum/__init__.py: Fix obsoleting pkgs. from <install norach> to
	multilib. using archdistance

2010-05-18  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Now do the same testcase for noarch
	=> multilib

2010-05-18  James Antill <james@and.org>

	* yum/__init__.py: Fix for obsoleting pkgs. we are trying to install


2010-05-18  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Add testcase for obsoletes of to be
	installed pkgs. -- 593349

2010-05-17  Ville Skyttä <ville.skytta@iki.fi>

	* docs/yum.8: Man page formatting fixes.

2010-05-15  James Antill <james@and.org>

	* yum/__init__.py: Handle obsoleting pkgs. which are excluded after
	obsoleted_dict setup

2010-05-17  Göran Uddeborg <goeran@uddeborg.se>

	* po/sv.po: l10n: Updates to Swedish (sv) translation  New status:
	529 messages complete with 27 fuzzies and 13 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-05-14  James Antill <james@and.org>

	* yum/history.py: Add comment about vtrans_prob_pkgs and old
	versions of sqlite

2010-05-13  James Antill <james@and.org>

	* yum/rpmsack.py: Deal with bad rpmdb caches better eg. BZ 591382

2010-05-13  James Antill <james@and.org>

	* yum/rpmsack.py:  Be more paranoid about saving the rpmdb version, it's possible PK
	 could be doing somethign weird here ... like loading data, hanging
	 around as user does something in yum (which alters the rpmdb) and
	 then somehow PK saves the rpmdb version.  I can't see how it's
	 possible though, but two extra stats. for a little more paranoia
	 doesn't seem out of place.

2010-05-13  James Antill <james@and.org>

	* yum/packages.py: Filter empty provides/etc. in the non-pritable
	case too.

2010-05-13  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Remove "No transaction set" error, for YumLocalPackage

2010-05-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py, yum/sqlitesack.py: oddball case where rpm coughed
	up an EMPTY provides entry.  safe to skip them - also filed a bug
	with rpm to never let this happen

2010-05-13  James Antill <james@and.org>

	* yum/packages.py: Remove "No transaction set" error, for
	YumLocalPackage

2010-05-09  James Antill <james@and.org>

	* test/simpleupdatetests.py: Comment explaining testUpdateRLEvince1
	and 2

2010-05-08  James Antill <james@and.org>

	* yum/__init__.py: Fix weird logging error, comma separated values
	must be expanded

2010-05-08  James Antill <james@and.org>

	* yum/depsolve.py: Do the second fix, for the previous testcase.
	Seems correct, but not 100%.

2010-05-08  James Antill <james@and.org>

	* yum/depsolve.py: Add a fix for the _old_ bug, and a comment about
	another possible fix.

2010-05-08  James Antill <james@and.org>

	* test/simpleupdatetests.py: Add a couple of depsolve tests, from a
	bug I found updating F-13.

2010-05-06  James Antill <james@and.org>

	* yum/history.py: Fix the VIEW vtrans_prob_pkgs, for newer sqlite
	which gets confused.

2010-05-06  James Antill <james@and.org>

	* output.py, yum/history.py: Save, and then Highlight, the "main"
	package which has a problem

2010-05-06  James Antill <james@and.org>

	* yum/history.py: Fix sorting of historic rpmdb problems

2010-05-06  James Antill <james@and.org>

	* docs/yum.8, output.py: Mark pre-exsting rpmdb problems in history
	list, with 'P'.

2010-05-06  James Antill <james@and.org>

	* yum/__init__.py: Move obsoleted.obsoleter check into the correct
	problem loop

2010-05-06  James Antill <james@and.org>

	* output.py: Output cmdline and rpmdb problems in history info

2010-05-06  James Antill <james@and.org>

	* yum/__init__.py: Save rpmdb problems, and cmdline, into yum
	history

2010-05-06  James Antill <james@and.org>

	* yum/history.py: Add rpmdb problems, and cmdline to the history
	DBv2 update

2010-04-28  James Antill <james@and.org>

	* yum/history.py: Add three views to make look at history by hand
	easier

2010-04-22  James Antill <james@and.org>

	* docs/yum.8, output.py, yum/__init__.py, yum/history.py: Add skip
	broken packages to history transaction.

2010-05-06  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: use the fmtKeyValFill for the output of repos

2010-05-06  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: output list of repos being cleaned up for when we clean.

2010-05-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add --enablerepo to suggestion for handling
	package not matching what is expected to be downloaded. deals with
	folks installing debuginfo pkgs but not have debug repos enabled
	when they run clean metadata

2010-05-05  James Antill <james@and.org>

	* yum/__init__.py: Only do any rpmdbv checks, if history_record is
	set

2010-05-05  James Antill <james@and.org>

	* yumcommands.py: Don't do rpmdb checks, in version, with no history
	(as it's root only now).

2010-05-05  James Antill <james@and.org>

	* yum/rpmsack.py: Revert " Work around mock setting mtime on
	var/lib/Packages, for it's "caches"."  This reverts commit
	a079025ebb241849ba734b47607af9eb0c2ae9a3.   This is not needed
	anymore due to the path change.

2010-05-05  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Move the rpmdb cache to yum
	persistent storage.

2010-05-05  James Antill <james@and.org>

	* yum/transactioninfo.py: Fix deselections like '-*debuginfo' etc.

2010-05-05  James Antill <james@and.org>

	* yum/__init__.py: Parameter was conflicts, the variable passed was
	called res ... typo fix

2010-05-05  James Antill <james@and.org>

	* yum/rpmsack.py:  Work around mock setting mtime on var/lib/Packages, for it's
	 "caches". Somehow the Packages file gets out of sync. with yum's
	 cache/installed in the mock installroot cache, but due to the mtime
	 check we don't see it and thus. blow up.  This does mean we'll blow
	 the cache for normal use whenever ctime changes now ... but
	 hopefully that shouldn't be much more often.   We are only hitting
	 this now due to the installroot fixes that just went in.

2010-05-05  James Antill <james@and.org>

	* yum/history.py: Catch both kinds of exceptions, on sqlite opens
	(RHEL-5 needs this, for one)

2010-04-30  Tim Lauridsen <timlau@fedoraproject.org>

	* rpmUtils/miscutils.py: Make sure we have and int flag + added
	docstrings (rhbz #572770)

2010-05-02  James Antill <james@and.org>

	* yumcommands.py: Use all the passed check sub-commands

2010-04-30  Mads Kiilerich <mads@kiilerich.com>

	* yum/__init__.py: if we get diskspace errors from runTransaction
	but not from the test transaction then emit them quasi-properly.
	I'd love it if this were all different and less error prone to sort
	out. modified patch from
	https://bugzilla.redhat.com/show_bug.cgi?id=516135

2010-04-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/logginglevels.py: if the log file doesn't exist when we
	startup make sure we set the perms for it to 0600. close rh bug
	https://bugzilla.redhat.com/show_bug.cgi?id=552549

2010-04-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py: and do the same for the history db with an
	--installroot

2010-04-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmsack.py: make sure we're not prepending a path which is
	already been prepended with the installroot fixes rh bugs:
	https://bugzilla.redhat.com/show_bug.cgi?id=577627 and
	https://bugzilla.redhat.com/show_bug.cgi?id=560078

2010-04-29  James Antill <james@and.org>

	* yum.spec: Merge obsoletes/provides from Fedora

2010-04-29  James Antill <james@and.org>

	* yum/__init__.py: Ignore problems about packages being removed, BZ
	566820

2010-04-29  James Antill <james@and.org>

	* cli.py, output.py: Add total removal size, when just doing
	removes. BZ 495595

2010-04-29  James Antill <james@and.org>

	* yum/config.py: Add the new, 4.8.0, error class for "cannot open
	DB", BZ 567709

2010-04-29  Tim Lauridsen <timlau@fedoraproject.org>

	* utils.py: Add yum-utils version to history (rhbz #569645)

2010-04-28  Taylon Silmer <taylonsilva@gmail.com>

	* po/pt_BR.po: l10n: Updates to Portuguese (Brazilian) (pt_BR)
	translation  New status: 568 messages complete with 1 fuzzy and 0
	untranslated.  Transmitted-via: Transifex (www.transifex.net).

2010-04-27  James Antill <james@and.org>

	* test/testbase.py: Add protected_packages to FakeConf

2010-04-27  James Antill <james@and.org>

	* yum/packageSack.py: Drop indexes, on internal package classes, in
	dropCachedData

2010-04-27  James Antill <james@and.org>

	* test/yum-leak-test.py: Add more code paths to the leak command,
	runs transactions/etc.

2010-04-27  James Antill <james@and.org>

	* test/yum-leak-test.py: Add install/remove leak checking test

2010-04-24  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5, etc/Makefile, yum.spec,
	yum/__init__.py, yum/config.py:  Move protect-packages plugin into core, and fix some bugs in it.
	 Added some docs. for yum.conf => protected_packages, and yum on the
	 remove command.   Add parse_default to Option, ListOption,
	 UrlListOption ... so we can use the .parse() behaviour.   Default:
	 yum, glob:/etc/yum/protected.d/*.conf  Created dir. and owned it.

2010-04-28  Tim Lauridsen <timlau@fedoraproject.org>

	* cli.py, test/yum-pylintrc, yum/__init__.py, yum/history.py,
	yum/pgpmsg.py, yum/pkgtag_db.py, yum/rpmsack.py, yum/update_md.py: 
	Fix the following pylint errors/warnings  ************* Module cli
	W0311:169: Bad indentation. Found 19 spaces, expected 20 W0311:170:
	Bad indentation. Found 19 spaces, expected 20
	E0602:728:YumBaseCli.distroSyncPkgs: Undefined variable 'Errors'
	************* Module yum W0311:903: Bad indentation. Found 15
	spaces, expected 16 ************* Module yum.pgpmsg W0311:1074: Bad
	indentation. Found 28 spaces, expected 24
	W0108:623:signature.deserialize_subpacket.<lambda>: Lambda may not
	be necessary ************* Module yum.update_md W0311: 79: Bad
	indentation. Found 7 spaces, expected 8 ************* Module
	yum.history W0611: 25: Unused import sql_esc ************* Module
	yum.pkgtag_db E0601: 85:PackageTagDB.search_names: Using variable
	'tag' before assignment W0611: 20: Unused import sql_esc_glob
	************* Module yum.rpmsack W0311:482: Bad indentation. Found
	28 spaces, expected 24 E1103:481:RPMDBPackageSack.returnPackages:
	Instance of 'list' has no 'name' member (but some types could not be
	inferred) E1103:482:RPMDBPackageSack.returnPackages: Instance of
	'list' has no 'name' member (but some types could not be inferred)
	E1103:489:RPMDBPackageSack._uncached_returnConflictPackages:
	Instance of 'list' has no 'conflicts' member (but some types could
	not be inferred) E1103:675:RPMDBPackageSack.fileRequiresData:
	Instance of 'list' has no 'requires' member (but some types could
	not be inferred) E1103:678:RPMDBPackageSack.fileRequiresData:
	Instance of 'list' has no 'pkgtup' member (but some types could not
	be inferred) E9905:1470:RPMDBAdditionalDataPackage._delete: Too many
	arguments for format string

2010-04-26  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5, yum/config.py: change globdir -> glob

2010-04-26  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: add docs for globdir: syntax

2010-04-26  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Get
	rid of uses of has_key().   Fix typo s/link/islink/ on new fsvars.
	feature   l10n: Updates to Russian (ru) translation

2010-04-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py, yum/misc.py: add globdir: syntax to all
	ListOption() and UrlListOption() items in config.py  this allows the
	user to specify globdir:/path/somewhere.d/*.conf and the contents of
	all the files in that dir will be used to populate the config option
	as a list.

2010-04-25  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py, rpmUtils/transaction.py, rpmUtils/updates.py,
	yum-updatesd.py, yum/__init__.py, yum/comps.py, yum/depsolve.py,
	yum/mdparser.py, yum/packageSack.py, yum/packages.py,
	yum/pgpmsg.py, yum/repos.py, yum/rpmsack.py, yum/sqlitesack.py,
	yum/transactioninfo.py, yum/update_md.py, yum/yumRepo.py: Get rid of
	uses of has_key().

2010-04-25  James Antill <james@and.org>

	* yum/config.py: Fix typo s/link/islink/ on new fsvars. feature

2010-04-23  Misha Shnurapet <zayzayats@yandex.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation  New status:
	569 messages complete with 0 fuzzies and 0 untranslated.
	Transmitted-via: Transifex (www.transifex.net).

2010-04-20  James Antill <james@and.org>

	* yum/depsolve.py, yum/transactioninfo.py:  Add a simple "how many packages does this provider require" test.
	 This only goes one level deep, to keep any performance problems in
	 check (and because it's hard :), so in theory it can screw up
	 where:   pkgA => pkgX    pkgX => pkgC    pkgX => pkgD    pkgX =>
	 pkgE   pkgB => pkgY  pkgB => pkgZ  ...with this patch we'd pick
	 "pkgA" because it had "less" requirements, even though it actually
	 requires 1 more thing. However, real world result on F12:  % yum
	 install @core @base gdm [...] Resolving:
	 desktop-notification-daemon   kdebase-runtime => 38 things
	 xfce4-notifyd => 4 things  notification-daemon => 1 thing  ...all
	 are "equal" before this patch, so it's this or shortest name.

2010-04-19  James Antill <james@and.org>

	* docs/yum.8, yum/__init__.py: Add -pkgname to install etc., so we
	can test tsInfo.deselect()

2010-04-19  James Antill <james@and.org>

	* yum/transactioninfo.py: Add tsInfo.deselect() so we can remove it
	from anaconda

2010-04-19  James Antill <james@and.org>

	* cli.py: Speedup distro-sync, only get the latest pkgs for those we
	are interested in

2010-04-16  James Antill <james@and.org>

	* yum.spec: Create the ghost files, to make rpmbuild happy

2010-04-16  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py, yum/packages.py, yum/rpmsack.py: 
	Rename filterObsoleters => obsoletedBy, before it goes public

2010-04-15  James Antill <james@and.org>

	* yum/depsolve.py: Add nocontexts to possible ts flag usage, when
	available

2010-04-15  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py, yum/packages.py, yum/rpmsack.py:  Add pkg.filterObsoleters(), so we don't have to create the provide
	 tuple and test "backwards".  Also convert callers.   We've screwed
	 this up a few times, by doing provides checks instead and this
	 drops a few lines of code anyway ... so should be good.

2010-04-15  James Antill <james@and.org>

	* yum/packages.py, yum/sqlitesack.py, yum/transactioninfo.py:  Add primary_only arg. to returnFileTypes(), use it from
	 transactioninfo sack so that we don't require filelists to be
	 downloaded.

2010-04-15  James Antill <james@and.org>

	* test/testbase.py, yum/__init__.py, yum/packageSack.py,
	yum/packages.py, yum/sqlitesack.py, yum/transactioninfo.py:  Fix the docs. for have_fast*   Rename it from have_fastSearchFiles
	 to have_fastReturnFileEntries to better reflect what it means.  Add
	 a dummy to PO, as that's the logical place for it even though it
	 needs to be in the sack for sqlite to get the answer.   Add some
	 docs. to the package object classes, while we are here.

2010-04-15  James Antill <james@and.org>

	* yum/rpmsack.py: Fix rpmdb.searchPrco() with "globs", can also
	affect getProvides() etc.

2010-04-15  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Add obsoleted and provides index
	checking, don't default to doing them though

2010-04-14  James Antill <james@and.org>

	* test/testbase.py, yum/packageSack.py, yum/packages.py,
	yum/sqlitesack.py, yum/transactioninfo.py: Enable "big update"
	speedup, disable if a repo. doesn't have pkgfiles index.

2010-04-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/repoMDObject.py: to_xml(revision) and make sure elem is None
	by default for RepoData objects.

2010-04-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/repoMDObject.py: new dump_xml methods for repodata and repomd
	and related changes  - add dump_xml methods to RepoData and RepoMD
	so we can write them back out  - also make them more object-y by
	allowing us to create the objects without having   anything to put
	in them so we populate them by hand, if need be.

2010-04-14  James Antill <james@and.org>

	* yum/__init__.py, yumcommands.py: Add a header to the automatic yum
	check output to make it more obvious.

2010-04-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Minor correction to rest testing for
	pkgnames_loaded (harmless)

2010-04-13  James Antill <james@and.org>

	* yum/packageSack.py: Slight speed increase for repodiff, up/11 vs.
	up/12: 8:27 => 1:50 :) :)

2010-04-13  James Antill <james@and.org>

	* Makefile, docs/yum.conf.5, etc/Makefile, yum.spec, yum/config.py: 
	Move /var/lib/yum/vars to /etc/yum/vars as it's not yum generated

2010-04-12  James Antill <james@and.org>

	* yum/rpmsack.py, yum/sqlitesack.py: Don't integrate negative
	pkgnames with provides, probably fine but...

2010-04-12  James Antill <james@and.org>

	* yum/rpmsack.py: Do the pkgmatch_fails negative caching, in _search


2010-04-12  James Antill <james@and.org>

	* yum/rpmsack.py: Do the pkgnames_loaded in the correct place, for
	_search

2010-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/updates.py, yum/__init__.py: Clean up some
	unnecessary/redundant code.

2010-04-10  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add basic version completion.

2010-04-09  James Antill <james@and.org>

	* docs/yum.8: Add more docs for version command

2010-04-09  James Antill <james@and.org>

	* Makefile, docs/yum.conf.5, yum.spec, yum/config.py:  Disallow symlinks, for variables (although it is root only), and
	 tweak docs   Add the vars directory on install, to make it easier
	 for users.  Own the vars directory in the specfile.  Also add uuid,
	 history, plugins and yumdb as %ghost files.

2010-04-09  James Antill <james@and.org>

	* yum/sqlitesack.py: Remove bad assert: yum list blah\*

2010-04-09  James Antill <james@and.org>

	* docs/yum.conf.5, yum/config.py: Add dynamic yumvars from the
	filesystem.

2010-04-09  James Antill <james@and.org>

	* yumcommands.py: Allow users to see just specific version groups

2010-04-09  skvidal <skvidal@fedoraproject.org>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-04-09  James Antill <james@and.org>

	* yum/misc.py, yum/packages.py: Cleanup the docs for re_primary_*()
	to make them less confusing

2010-04-08  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/oldUtils.py, yum/__init__.py, yum/config.py,
	yum/pgpmsg.py, yum/sqlitesack.py: Spelling fixes.

2010-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: - clean up debug statement :( - make provides_for use
	misc.re_primary_filename/dirname

2010-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/depsolve.py: fix for testRL_dcbd1 unittest -
	When we're doing an install for dep - make sure what we're
	installing provides for the thing we need. this should really only
	ever happen on the obsolete pathway.  provides_for as a kwarg should
	probably be added to update(), too.

2010-04-08  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't traceback when lock holder doesn't exist anymore   Use TMPDIR
	for people who don't want to use /var/tmp, yum#337   Add testcase
	for dcbd and lldpad in F13   Fix make check due to
	groupremove_leaf_only   Should work around the reget MD problems
	Pkgname caching for rpmdb.returnPackages() so update is as fast as
	install   Add searchProvides() into the false positive cache
	Speedup repeated calls to .install() with a pattern, via.
	returnPackages().

2010-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: add a provides_for method to package objects  so
	we can check if this package satisfies the specific requirement
	completely (including file deps).

2010-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: make rangecompare accept <, <=, >, >=, =
	instead of just letterflags and numerics  makes certain types of
	comparisons simpler when coming from text.

2010-04-03  James Antill <james@and.org>

	* utils.py: Don't traceback when lock holder doesn't exist anymore

2010-04-01  James Antill <james@and.org>

	* yum/__init__.py: Use TMPDIR for people who don't want to use
	/var/tmp, yum#337

2010-04-01  James Antill <james@and.org>

	* test/depsolvetests.py: Add testcase for dcbd and lldpad in F13

2010-04-01  James Antill <james@and.org>

	* test/testbase.py: Fix make check due to groupremove_leaf_only

2010-03-31  James Antill <james@and.org>

	* yum/yumRepo.py: Should work around the reget MD problems

2010-03-30  James Antill <james@and.org>

	* yum/rpmsack.py: Pkgname caching for rpmdb.returnPackages() so
	update is as fast as install

2010-03-30  James Antill <james@and.org>

	* yum/sqlitesack.py: Add searchProvides() into the false positive
	cache

2010-03-30  James Antill <james@and.org>

	* yum/rpmsack.py, yum/sqlitesack.py:  Speedup repeated calls to .install() with a pattern, via.
	 returnPackages().      Add negative caching to both sqlite and
	 rpmdb.      Add pkg names with a '-' in them to pkgnames_loaded in
	 sqlite.

2010-04-01  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updates to Russian (ru) translation

2010-04-01  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py: fix the documentation to be on the correct
	methods.

2010-04-01  Misha Shnurapet <zayzayats@yandex.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/pgpmsg.py: minor change so that if there are any empty lines
	in the gpgkey file we're checking that we don't traceback.  We won't
	find a key, but at least we don't traceback b/c of it. apparently
	this can happen if the key we're handed is only a subkey.

2010-03-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: change out the repo_setopts fix  so instead of
	hasattr'ing it - we are adding an empty one.

2010-03-30  James Antill <james@and.org>

	* yum/__init__.py: Test for repo_setopts, only there for cli

2010-03-30  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add --setopt to completions.

2010-03-29  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, docs/yum.8, yum/__init__.py: add --setopt option to yum
	cli  this allows setting any config option by name. Either globally
	or in any repo config. globally: --setopt=optname=value repo:
	--setopt=repoid.optname=value

2010-03-28  Timur Malikin <sora_tm@mail.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-28  Timur Malikin <sora_tm@mail.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-26  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add distro-sync completion.

2010-03-25  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5, output.py, yum/config.py,
	yum/depsolve.py: Add groupremove_leaf_only option

2010-03-25  James Antill <james@and.org>

	* output.py: Fix login user column output length, for history
	summary

2010-03-25  James Antill <james@and.org>

	* docs/yum.8, output.py: Show if transactions have error output, in
	history list

2010-03-22  James Antill <james@and.org>

	* yum.spec: Minor description fixup

2010-03-22  James Antill <james@and.org>

	* yum/history.py:  Don't traceback when we can't open the history DB (non-root users
	 by default now), BZ 575917.  Provide a .readable interface for
	 callers to check.

2010-03-16  James Antill <james@and.org>

	* output.py: Add the provides data for each pkg, to
	format_missing_requires. Add relations.

2010-03-11  James Antill <james@and.org>

	* cli.py:  Return an error code if yum can't install any of the specified
	 packages   People want a bash scriptable way to say "X should be
	 installed". So with this patch:  . If _any_ package specified: is
	 installed already; or is found and will be installed == yum returns
	 0 (or at least goes into depchecking etc.)  . If _all_ package(s)
	 are "not found", yum turns the message "Nothing to do" into an
	 error (returns 1, atm).  ...thus:  1. yum install -y a b && echo
	 worked  This will echo "worked" if _either_ a or b is installed
	 after yum finishes, but tries to install both.  2. yum install a &&
	 yum install b && echo worked  This will echo "worked" if both are
	 installed (and if a is not available, b will not even try to be
	 installed).

2010-03-11  James Antill <james@and.org>

	* yum/update_md.py: Add a little more documentation to
	get_applicable_notices()

2010-03-11  James Antill <james@and.org>

	* docs/yum.8: Add documentation for distro-sync command.

2010-03-04  James Antill <james@and.org>

	* cli.py, yumcommands.py:  Add distro-sync command, to "force update" to the latest versions.
	 This should be safe to go in for 3.2.27, as it's an entirely self
	 contained command ... I've tried it here going on multiple
	 directions, and it WMF(tm).

2010-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* docs/yum.conf.5, yum/__init__.py, yum/config.py: Make
	syslog_device configurable.

2010-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* docs/yum.conf.5: Document syslog_ident and syslog_facility config
	parameters.

2010-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* yum/logginglevels.py: Add support for remote syslogs with
	host:port values for syslog_device.

2010-03-24  Ville Skyttä <ville.skytta@iki.fi>

	* yum/logginglevels.py: Fix syslog_indent and syslog_facility
	settings, improve syslog format.

2010-03-24  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* po/fi.po: l10n: Updates to Finnish (fi) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-22  Ville Skyttä <ville.skytta@iki.fi>

	* yum/config.py: Use LOG_USER as default syslog facility everywhere
	in base.

2010-03-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure we aren't overwriting the value of
	'keys'  this determines how many args we pass back in our yielded
	results never noticed it b/c nothing in yum uses keys=True - but it
	broke PK

2010-03-22  Ville Skyttä <ville.skytta@iki.fi>

	* yum/logginglevels.py: Fix unknown syslog facility mapping.

2010-03-18  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2010-03-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.27

2010-03-18  Ville Skyttä <ville.skytta@iki.fi>

	* test/skipbroken-tests.py: Docstring fix.

2010-03-15  Timur Malikin <sora_tm@mail.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-14  Timur Malikin <sora_tm@mail.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-14  Timur Malikin <sora_tm@mail.ru>

	* po/ru.po: l10n: Updates to Russian (ru) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-03-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure when we return items we sort the counts
	of things matched from the tagsdb into the rest of the matches.
	FIXME added to get rid of the silly sorting list as it appears to
	only want to make me cry

2010-03-04  James Antill <james@and.org>

	* yum/packages.py: Make pkgs scriptable: ("%(ui_nevra)s -
	%(ui_from_repo)s" % pkg). BZ 570615

2010-03-04  James Antill <james@and.org>

	* yum/__init__.py: Don't issue warning on yum downgrade, for single
	uinstalled multilib packages

2010-03-04  James Antill <james@and.org>

	* output.py: First split any equal remaining space among overflowed
	columns

2010-03-04  James Antill <james@and.org>

	* output.py: Prefer to overflow the last column, as then grep still
	works

2010-03-02  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: Make skipbroken run again if packages has been
	added to transaction by a postresolve plugin

2010-03-01  elf <elf@elf.no-ip.org>

	* po/ja.po: l10n: Updates to Japanese (ja) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-23  James Antill <james@and.org>

	* yum/pkgtag_db.py: Allow pkgtag_db to be loaded on RHEL-5, should
	work too

2010-02-23  James Antill <james@and.org>

	* yum/packageSack.py: Much faster limiting obsoletes to the newest
	versions of packages

2010-02-23  James Antill <james@and.org>

	* yum/__init__.py: Do process obsoletes for newest packages only.

2010-02-22  James Antill <james@and.org>

	* yum/rpmsack.py, yum/transactioninfo.py: Add package checksums from
	yumdb to the data we store in the rpmdb cache

2010-02-23  Tim Lauridsen <timlau@fedoraproject.org>

	* Makefile: created upload-docs Makefile target to generate epydoc
	and upload it to yum web page

2010-02-23  Tim Lauridsen <timlau@fedoraproject.org>

	* Makefile: update epydoc building code in Makefile

2010-02-20  A S Alam <apreet.alam@gmail.com>

	* po/pa.po: l10n: Adding Punjabi Translation after correcting error
	Transmitted-via: Transifex (www.transifex.net)

2010-02-19  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updates to Spanish (Castilian) (es) translation

2010-02-19  James Antill <james@and.org>

	* yum/rpmsack.py:  Don't preload all the package paths for yumdb on init. Moved to
	 function.   This is fine as _get_dir_name will still do it
	 manually, and the only thing that needs to know more is
	 sync_with_rpmdb ... and that can call
	 _load_all_package_paths(self) when it gets written.  This does a
	 _lot_ of open/stat calls, so is really noticable if the yumdb isn't
	 in cache.

2010-02-19  Héctor Daniel Cabrera <logan@fedoraproject.org>

	* po/es.po: l10n: Updates to Spanish (Castilian) (es) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-18  James Antill <james@and.org>

	* yum/packageSack.py: Don't load all of the rpmdb in
	matchPackageNames(), used by at least rm.

2010-02-18  James Antill <james@and.org>

	* yum/__init__.py: Close history before downloads (maybe stop presto
	doing any damage).

2010-02-17  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updates to Italian (it) translation   l10n: Updates to French
	(fr) translation   l10n: Updates to Italian (it) translation

2010-02-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/i18n.py, yum/misc.py, yum/packages.py, yum/rpmsack.py: - fix up more spots where we were converting the version flags
	wrongly - add i18n.str_eq for doing equality checks against strings
	of dubious types and content - fix a lot of bad provides checks -
	but only with versioned deps.

2010-02-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py, yum/rpmsack.py, yum/sqlitesack.py: if we're
	searching for globs (like from repoquery) we have to take whatever
	we get from the sql results b/c we can't rangecheck globs :(  also
	convert the items coming out of the provides to unicode before
	comparing them b/c frequently they can't convert on their own  boo.


2010-02-17  Guido Grazioli <guido.grazioli@gmail.com>

	* po/it.po: l10n: Updates to Italian (it) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-16  Martin-Gomez Pablo <pablo.martin-gomez@laposte.net>

	* po/fr.po: l10n: Updates to French (fr) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-16  Guido Grazioli <guido.grazioli@gmail.com>

	* po/it.po: l10n: Updates to Italian (it) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: can also raise ValueError, when attempting to pass
	non-int-able strings to int() and FlagtoString catch it

2010-02-15  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updates to Spanish (Castilian) (es) translation   l10n:
	Updates to Italian (it) translation   l10n: Updates to Polish (pl)
	translation   l10n: Updates to Finnish (fi) translation

2010-02-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/depsolve.py, yum/misc.py,
	yum/packageSack.py, yum/rpmsack.py, yum/sqlitesack.py: - make searchPrco do completely specific results - not just matches
	against name  - this required fixing a lot of code but the results
	are now more correct and whatProvides() is   dramatically reduced in
	terms of what it does. - adds searchPrco to the PackageSack object -
	adds misc.string_to_prco_tuple() which combines the partial
	conversions of 'foo > 1.1' that   returnPackagesByDep() and
	whatProvides() had been doing, badly.   this is also a reversal of
	misc.prco_tuple_to_string()

2010-02-12  Héctor Daniel Cabrera <logan@fedoraproject.org>

	* po/es.po: l10n: Updates to Spanish (Castilian) (es) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-12  Guido Grazioli <guido.grazioli@gmail.com>

	* po/it.po: l10n: Updates to Italian (it) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-11  Piotr Drąg <piotrdrag@gmail.com>

	* po/pl.po: l10n: Updates to Polish (pl) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-11  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* po/fi.po: l10n: Updates to Finnish (fi) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: don't translate it twice (whoops)

2010-02-11  Seth Vidal <skvidal@fedoraproject.org>

	* po/yum.pot, yum/__init__.py: If we hit the 'package does not match
	intended download error then chances  are REALLY good that you have
	outdated metadata on gpg-re-signed pkgs. A yum clean metadata will
	fix things - so say that

2010-02-10  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	l10n: Updates to Polish (pl) translation

2010-02-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: fix typo which makes all kernel updates die :(

2010-02-10  Piotr Drąg <piotrdrag@gmail.com>

	* po/pl.po: l10n: Updates to Polish (pl) translation
	Transmitted-via: Transifex (www.transifex.net)

2010-02-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py: put back comment about horrible cutting and
	pasting

2010-02-10  Seth Vidal <skvidal@fedoraproject.org>

	* po/yum.pot, utils.py: spell uninterruptible properly - and remaky
	pot file. - yum ticket 279

2010-02-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py, yum/pkgtag_db.py, yum/sqlitesack.py,
	yum/sqlutils.py: cleanup sql_esc[_glob]  move sql_esc and
	sql_esc_glob to sqlutils from sqlitesack add sql_esc'ing to pkgtag
	db calls remove sql_esc duplication from history.py

2010-02-09  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2010-02-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.26

2010-02-09  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: list -> tuple

2010-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: make old installonly packages been erased by
	installonly_limit depend on the new one, so they will get pulled by
	skipbroken if the new installonly is pulled because of dep problems
	(rhbz #561928)

2010-02-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: make metadata use the default reget setting
	(simple) instead of turning off regets for metadata.

2010-02-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add a little bit more documentation for the
	sorted_lists format in searchGenerator so I don't have to relearn it
	everytime I look at it

2010-02-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/pkgtag_db.py: actually add the pkgtag classes

2010-02-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/misc.py, yum/repos.py: pkgtags db - searching
	this patch adds the pkgtags metatadata and the integrates it into
	our search mechanism. Completely optional repodata format.  Also
	adds a decompress() function from yum.misc that allows for us to
	pass files to it and not care what compression mechanism they are
	using it's a bit simplistic at the moment but can easily be
	enhanced.

2010-02-05  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	a fast mode to pkg.verify(), don't verify the digest if others pass


2010-02-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/repos.py: when we run setCacheDir() we
	should, you know, actually SET the cachedir

2010-02-04  James Antill <james@and.org>

	* yum/packages.py: Add a fast mode to pkg.verify(), don't verify the
	digest if others pass

2010-02-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: conflict with rpm5 b/c the rpm-pythons are diverging
	enough

2010-02-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Another fix for verify, shell=True doesn't work with array args.

2010-02-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: make persistdir a startupconf option  so we don't
	have to hardcode the path to it in yumvar options.

2010-02-04  James Antill <james@and.org>

	* yum/packages.py: Another fix for verify, shell=True doesn't work
	with array args.

2010-02-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	a couple of typos for pkg.verify(), sizes are weird in edge cases:
	catch YumBaseErrors in utils (rhbz #523145)   Remove the extra
	seconds in the .sqlite loading (sucks to be apt ;)   Only show dates
	for commits, in --version   Hack the changelog timestamps, so that
	ordering by timestamps alone

2010-02-04  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5, yum/__init__.py, yum/config.py, yum/misc.py: add
	uuid functionality so we can have additional info to work from
	trivially.

2010-02-04  James Antill <james@and.org>

	* yum/packages.py: Fix a couple of typos for pkg.verify(), sizes are
	weird in edge cases:  . We always use my_st.st_size instead of
	my_st_size, when reporting   errors (but not for the tests!).  . We
	update to the prelink values, even if prelink didn't work.

2010-02-01  Tim Lauridsen <timlau@fedoraproject.org>

	* utils.py: catch YumBaseErrors in utils (rhbz #523145)

2010-01-29  James Antill <james@and.org>

	* yum/sqlitesack.py: Remove the extra seconds in the .sqlite loading
	(sucks to be apt ;)

2010-01-29  James Antill <james@and.org>

	* cli.py: Only show dates for commits, in --version

2010-01-29  James Antill <james@and.org>

	* yum/packages.py:  Hack the changelog timestamps, so that ordering by timestamps alone
	 will always preserve the original rpm order.   Atm. if you have:
	 * Thu Jan 28 2010 Michael Schwendt <mschwendt@fedoraproject.org> -
	 2.2-10  - Fix tuple_copy() further (it was completely broken as the
	 mowgli   * Thu Jan 28 2010 Michael Schwendt
	 <mschwendt@fedoraproject.org> - 2.2-9  - Let set_tuple_cb() work on
	 a copied tuple  ...it can come out in any order (and often comes
	 out backwards atm.) this hacks the changelog timestamps so the time
	 is one second later for the 2.2-10 update.   Fixes trac ticket 7,
	 at least one BZ and lots of annoying threads on f-d-l.   Not 100%
	 on what this will do on the output side, but it's very likely to be
	 fine adding a couple of seconds (and everything should just be
	 printing the date).

2010-02-01  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: catch pluginexit sanely in utils, too: fixes rh bug
	https://bugzilla.redhat.com/show_bug.cgi?id=560341

2010-01-28  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: Call repo.__hash__() less.  On my (typicalish)
	Fedora 11 box, brings down number of those calls in a check-update
	run from ~146k to ~27k and speeds it up by ~7%.

2010-01-28  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: Build SQL to execute only once in
	_yieldSQLDataList().

2010-01-28  James Antill <james@and.org>

	* yum/__init__.py:  Add force arg. to deselectGroup(), to force removal of packages in
	 the group(s).  Needed for kickstart "-@blah" functionlaity, BZ
	 558516

2010-01-28  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: Docstring fixes.

2010-01-28  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	stop format_missing_requires from exploding, if ayum is not set
	(current yumex uses DepSolveProgressCallback(), fixed upstream to
	use DepSolveProgressCallback(ayum=self), but other users can hit
	this too) (rhbz #558770)

2010-01-28  Tim Lauridsen <timlau@fedoraproject.org>

	* output.py: stop format_missing_requires from exploding, if ayum is
	not set (current yumex uses DepSolveProgressCallback(), fixed
	upstream to use DepSolveProgressCallback(ayum=self), but other users
	can hit this too) (rhbz #558770)

2010-01-27  Josh Stone <jistone@redhat.com>

	* yum/__init__.py: Fix typo for errsting, in returnPackageByDep()

2010-01-27  James Antill <james@and.org>

	* yum/pgpmsg.py: Fix API break from pgpmsg update, can't import new
	keys without this

2010-01-27  James Antill <james@and.org>

	* yum/rpmsack.py:  Don't cache fileRequires when the user has butchered their rpmdb
	 Basically if something in the rpmdb has missing file requires, then
	 don't bother caching the file requires data ... we could actually
	 save the Unresolved data too, but I figured it wouldn't be common
	 and we'd just tell people to not do that (hint, tim ;).  We did
	 this at the entry point which we'd never hit, but missed the one we
	 can "easily" hit with rpm --nodeps ... oops.

2010-01-25  James Antill <james@and.org>

	* yum/update_md.py: Add add_notice() API to UpdateMetadata class

2010-01-25  James Antill <james@and.org>

	* yumcommands.py: Fix stupid typo, use rid which we change instead
	of str(repo)

2010-01-22  Mark Rappoport <yum-devel@mark.org.il>

	* yum/update_md.py: allow setting values in an update notice

2010-01-22  James Antill <james@and.org>

	* utils.py: Fix utils basecmd setup, when we don't have any
	commands, BZ 557680

2010-01-21  James Antill <james@and.org>

	* etc/version-groups.conf:  Add yum-metadata-parser to the yum version group.   We had left it
	 out because it was in run_with_packages, but it's only added to
	 that when it's used (so it doesn't clutter history, when it's not
	 used) but that means "yum version" doesn't see it.

2010-01-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/Errors.py: add new exception for pkgtags metadata handling

2010-01-22  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: sed portability fixes.

2010-01-22  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add option argument completions for a bunch of known
	plugin options.

2010-01-21  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	manual tests for format_number.   Fix no script output from
	transaction, BZ 554462   Make sizes without trailing k, M etc
	symbols line up with others.   Speed up __utf8_ucp_width().

2010-01-21  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: change disk space needed message for rh bug: #557145

2010-01-18  James Antill <james@and.org>

	* output.py: Add manual tests for format_number.

2010-01-18  James Antill <james@and.org>

	* yum/rpmtrans.py: Fix no script output from transaction, BZ 554462


2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* output.py: Make sizes without trailing k, M etc symbols line up
	with others.

2010-01-19  Ville Skyttä <ville.skytta@iki.fi>

	* yum/i18n.py: Speed up __utf8_ucp_width().  $ time ./yummain.py
	list available >/dev/null  Before: real    0m16.644s user
	0m15.722s sys     0m0.500s  After: real    0m12.393s user
	0m11.552s sys     0m0.519s

2010-01-18  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: add docs for skip_if_unavailable

2010-01-18  James Antill <james@and.org>

	* yum/history.py:  Fix yumdb.checksum_data access in history using yumdb. BZ 555928
	 Having checksum_type but not checksum_data is really weird though.


2010-01-18  James Antill <james@and.org>

	* docs/yum.8, yumcommands.py: Fix the repolist cacheonly feature,
	document it

2010-01-16  James Antill <james@and.org>

	* docs/yum.8, yumcommands.py:  A few minor tweaks to repolist output:  . Don't output "stats:
	 enabled:" with repolist -v  . Output a * for metalink repos. which
	 don't have the latest MD, in normal repolist.  . Allow user to do:
	 "yum repolist rawhide" and it'll be displayed even if rawhide isn't
	 enabled. Instead of having to do:  yum repolist all rawhide  .
	 Output something close to real package numbers, and number of
	 excluded packages. It's not 100% because we skip it when there are
	 no user configured excludes so 'src' packages etc. don't count
	 then. But this should help with "BUG: yum can't update foo" =>
	 "oops. foo was excluded".  . Tweak column sizing for "yum repolist
	 all updates rawhide".  . Update man page.

2010-01-16  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: Add skip-broken testcase for rhbz
	#555528

2010-01-15  James Antill <james@and.org>

	* yum/__init__.py:  Make installedFileRequires None, when we reset the rpmdb
	 transaction.   Without this although we drop the cache from rpmdb,
	 we've kept a copy the depsolver uses internally ... so we now drop
	 that too.

2010-01-15  James Antill <james@and.org>

	* yum/rpmsack.py: Fix check_dups() to use provides as installonly
	does, Eg. kernel-PAE-devel

2010-01-15  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/depsolve.py: fix error caused by refactoring of
	_err_missing_requires than brake test suite

2010-01-14  James Antill <james@and.org>

	* yum/__init__.py: Sort output in printTransaction() -- skip-broken
	debug output

2010-01-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/repos.py: make sure we're only skipping the exception if we
	are doing a primary or global setup of the repos/sacks and disable
	it if it falls over.

2010-01-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py, yum/repos.py: complete CRACK -- allow repos to be
	explicitly set to be skipped if for any reason they cannot be
	located.  I know I know - I said I would never do this but I gave up
	on it given how horribly broken a number of commonly enabled repos
	are.

2010-01-13  James Antill <james@and.org>

	* output.py, yum/depsolve.py: Move all the formtting for missing
	requires into output/cb

2010-01-13  James Antill <james@and.org>

	* yum/depsolve.py:  Lookup package information, when we get requires fail. This makes
	 it _much_ easier for the user to see wtf. is going on.  Don't
	 output failure information from depsolving by default, just from
	 yummain (duplicated for no reason, AFAICS). This was esp. bad with
	 skip-broken which would output the info. N times. Also unique the
	 errors from po_with_problems, as we do with errors.

2010-01-13  James Antill <james@and.org>

	* yum/depsolve.py, yummain.py: Combine the code for "requires dep.
	problems". Make it nicer/easier to read.

2010-01-12  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: add basecmd and extcmds to utils base so the yumutils
	have those attributes for doTransaction() and others to molest:
	https://bugzilla.redhat.com/show_bug.cgi?id=550010

2010-01-12  Michael Babej <mbabej@redhat.com>

	* yum/rpmsack.py: Fix namerror/typo missing value in rpm problem
	comparisons

2010-01-11  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: make specifying package names more clear and refer to
	it properly throughout

2010-01-08  Ville Skyttä <ville.skytta@iki.fi>

	* output.py: Sort obsoleted packages in transaction listings, remove
	extra newline between.  Before:  | foo
	x86_64   [...] | obsing                        x86_64   [...] |
	replacing  obs2.x86_64 1.0-1.fc11 | |     replacing  obs1.x86_64
	1.0-1.fc11 | | quux                          x86_64   [...]  After:
	| foo                           x86_64   [...] | obsing
	x86_64   [...] |     replacing  obs1.x86_64 1.0-1.fc11 |
	replacing  obs2.x86_64 1.0-1.fc11 | quux
	x86_64   [...]

2010-01-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/pgpmsg.py: fix up raising a string as an exception in
	pgpmsg.py

2010-01-08  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Use
	YumBase.conf.yumvar, for Pungi (and maybe others) ... convert all of
	core   Workaround slight rpm bindings API change, BZ 552178   Don't
	emit extra warnings due to multiple cross arch pkgs, fix by   Add
	searchNames() to packageSack so it can be used from unittests   Add
	tests for cross arch downgrades   Add transactionReset() to
	FakeRpmDb, so tests don't fail   Fix cross arch downgrades via.
	remove + install   Allow downgrades to go across arch changes better
	Return objects from the rpmdb.check_* functions, so it's easier to
	add more   Cleanup the comment about the fix for skip-broken and
	rpmdb-cache

2010-01-07  James Antill <james@and.org>

	* yum/__init__.py, yumcommands.py: Use YumBase.conf.yumvar, for
	Pungi (and maybe others) ... convert all of core

2010-01-06  James Antill <james@and.org>

	* yum/__init__.py: Workaround slight rpm bindings API change, BZ
	552178

2010-01-05  James Antill <james@and.org>

	* yum/__init__.py:  Don't emit extra warnings due to multiple cross arch pkgs, fix by
	 always using the installed pkg arch.

2010-01-05  James Antill <james@and.org>

	* yum/packageSack.py: Add searchNames() to packageSack so it can be
	used from unittests

2010-01-05  James Antill <james@and.org>

	* test/operationstests.py: Add tests for cross arch downgrades

2010-01-05  James Antill <james@and.org>

	* test/testbase.py: Add transactionReset() to FakeRpmDb, so tests
	don't fail

2010-01-04  James Antill <james@and.org>

	* yum/__init__.py: Fix cross arch downgrades via. remove + install

2010-01-04  James Antill <james@and.org>

	* yum/__init__.py: Allow downgrades to go across arch changes better


2010-01-04  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Return objects from the
	rpmdb.check_* functions, so it's easier to add more

2010-01-04  James Antill <james@and.org>

	* yum/__init__.py: Cleanup the comment about the fix for skip-broken
	and rpmdb-cache

2010-01-04  Jens B. Jorgensen <jbj1@ultraemail.net>

	* yum/pgpmsg.py: make pgpmsg.py comply with rfc and handle multiple
	keys per stanza gracefully.

2010-01-04  Seth Vidal <skvidal@fedoraproject.org>

	* Makefile, bin/yum.py: move some wiki.linux.duke.edu references to
	baseurl.org

2010-01-03  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py:  Add transactionReset() to the rpmdb API. Hopefully fixes BZ 550246
	 This lets us clear out the data for the transaction that is about
	 to happen ... Eg. skip-broken, or maybe transaction splitting in
	 the future.   I haven't seen the failure in 550246, but I think
	 this will fix it.

2009-12-29  Piotr Drąg <piotrdrag@gmail.com>

	* po/pl.po: l10n: Updates to Polish (pl) translation
	Transmitted-via: Transifex (www.transifex.net)

2009-12-26  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5: Fix debian man warnings

2009-12-22  James Antill <james@and.org>

	* docs/yum.8: Remove the copy and paste -e from the man page

2009-12-22  James Antill <james@and.org>

	* cli.py, output.py: If we are only installing, display the amount
	of disk space used. BZ 487623

2009-12-22  James Antill <james@and.org>

	* yum/packages.py:  Store downloaded packages in a temp. dir. (non-root is happy, and
	 clenaup is done for us).

2009-12-23  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add --rpmverbosity and history undo/redo last
	completions.

2009-12-22  James Antill <james@and.org>

	* yum/rpmtrans.py: 2nd fix for reading rpm logging from files, "" ==
	raise IOError on pipe()

2009-12-22  James Antill <james@and.org>

	* yum/rpmtrans.py: Use different fds for Tempfile rpm logging, so we
	get different off_t's

2009-12-22  James Antill <james@and.org>

	* cli.py, docs/yum.8, docs/yum.conf.5, yum/config.py,
	yum/rpmtrans.py: Add rpmverbosity config. and cmd-line-option

2009-12-22  James Antill <james@and.org>

	* docs/yum.8, output.py:  Change "history info" to display the last transaction, even aborted
	 ones.   Let undo/redo refer to the last transaction, without the
	 user having to look it up manually.

2009-12-22  James Antill <james@and.org>

	* yum/history.py: Reuse .old() in .last(), and get
	complete_transactions_only for free

2009-12-20  James Antill <james@and.org>

	* yum/__init__.py: Don't throw an error when the rpmdb cache
	directory doesn't exist

2009-12-10  James Antill <james@and.org>

	* yum/depsolve.py: getMembers returns txmbrs not POs ... *sigh*

2009-12-10  James Antill <james@and.org>

	* yum/depsolve.py: Fix when we have file require(s) from just to be
	installed pkgs. The mash bug

2009-12-07  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Rename rpmdb-cache to installed,
	as that's taken

2009-12-07  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Use persistdir instead of
	/var/lib/yum and use root for rpmdb loc.

2009-12-04  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/misc.py, yumcommands.py:  Fixes for clean functions, BZ 544173   When nothing to be done, set
	 removed.  When doing "clean all" fix the var. name.  When doing
	 anything but clean rpmdb, fix the return.  Allow rpmdb as a valid
	 arg.  Fix getFileList() with ext == ''

2009-11-09  James Antill <james@and.org>

	* test/rpmdb-cache.py, yum/depsolve.py, yum/rpmsack.py: Fix filelist
	always being required, by being lax on recording all providers

2009-11-08  James Antill <james@and.org>

	* yumcommands.py: Add "version nogroups*" to version command, to
	ignore version groups data

2009-11-07  James Antill <james@and.org>

	* cli.py, docs/yum.8, test/rpmdb-cache.py, test/testbase.py,
	yum/__init__.py, yum/rpmsack.py:  Add .cleanRpmDB(), so the user can manually clean. And other minor
	 fixes.   Adds the "clean rpmdb" command.  Fixes the clean
	 documentation.   Adds a rpmdb-cache.py testcase, which should show
	 if the cache does not == the rpmdb.   Also minor fixes for writting
	 the caches to disk, as non-root etc.   Adds a .setCacheDir() to the
	 rpmdb, for setting the cachedir.   Also fix "YumBase.setCacheDir()"
	 to use rpmdb.setCacheDir()   Also fix the mock class FakeRpmDb, to
	 have the new methods rpmdb does.

2009-11-07  James Antill <james@and.org>

	* yum/depsolve.py, yum/rpmsack.py:  Add transactionCacheFileRequires() and fileRequiresData()   This is
	 the most scarey part of the rpmdb caching. I think it's good. But
	 it's somewhat complicated, and if we screw it up (it isn't in sync.
	 with the rpmdb) bad things will likely result.  We are protected
	 from rpm doing crazy things due to the way
	 transactionResultVersion() works, so all that matters is that our
	 logic is right for what is in the transaction.  Both
	 installedFileRequires and installedFileProviders should always be
	 updated for the transaction, and thus. be identical to rm'ing the
	 cache.   And I've tested it, and it seems to work :).

2009-11-06  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py, yum/rpmsack.py: Add
	transactionResultVersion() and transactionCacheConflictPackages()

2009-11-06  James Antill <james@and.org>

	* yum/transactioninfo.py: Add tsInfo.futureRpmDBVersion, so we can
	do better quality rpmdb caching

2009-11-04  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py, yum/rpmsack.py: Cache "conflict
	packages", store the pkgtups of the packages with conflicts

2009-11-04  James Antill <james@and.org>

	* yum/depsolve.py, yum/rpmsack.py: Cache checkFileRequires data

2009-11-04  James Antill <james@and.org>

	* yum/rpmsack.py: Add simpleVersion() results to the rpmdb-cache

2009-11-04  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Add cachedir to rpmdb, so we can
	get calculated data quickly

2009-03-12  James Antill <james@and.org>

	* yum/rpmtrans.py: Use a tempfile instead of a pipe for scriplet
	errors, fixes BZ 465766

2009-12-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: as ville suggested for python 3.0 compat

2009-12-21  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	bash completion for the check command.   Fix tuple typo, stupid
	language syntax   Add check command, like smart/apt   Call
	rpmdb.check_*() directly, now that we can instead of asking the
	Remove unnecessary 'Finished Transaction Test' from CLI output.
	l10n: Initial commit of Finnish translation   Fix accidental revert
	in 0a2be676, which I was using to test   Fix moved code typo, dups
	=> deps for deps :)   Do rpmdb checks when we have no history   Use
	showdups for obsoletes, so "list obsoletes" is sane for RHEL like
	repos   Create a _rpmdb_warn_checks function, and use that when we
	find an   Add check_*() APIs to rpmdb, for when version doesn't
	match etc.

2009-12-17  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add bash completion for the check command.

2009-12-17  James Antill <james@and.org>

	* yummain.py: Fix tuple typo, stupid language syntax

2009-12-16  James Antill <james@and.org>

	* cli.py, docs/yum.8, yumcommands.py: Add check command, like
	smart/apt

2009-12-16  James Antill <james@and.org>

	* yummain.py:  Call rpmdb.check_*() directly, now that we can instead of asking
	 the user to do it.  Also call for rpm transaction test failures,
	 Eg. kmods.

2009-12-10  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py: Remove unnecessary 'Finished Transaction Test' from CLI
	output.  The outcome of the test is printed immediately after that
	anyway which should be a good enough hint that the test finished.

2009-12-17  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* po/fi.po: l10n: Initial commit of Finnish translation
	Transmitted-via: Transifex (www.transifex.net)

2009-12-17  James Antill <james@and.org>

	* yum/__init__.py: Fix accidental revert in 0a2be676, which I was
	using to test

2009-12-17  James Antill <james@and.org>

	* yum/__init__.py: Fix moved code typo, dups => deps for deps :)

2009-12-11  James Antill <james@and.org>

	* output.py, yum/__init__.py, yumcommands.py: Do rpmdb checks when
	we have no history

2009-12-11  James Antill <james@and.org>

	* yum/__init__.py: Use showdups for obsoletes, so "list obsoletes"
	is sane for RHEL like repos

2009-12-11  James Antill <james@and.org>

	* output.py, yum/__init__.py, yumcommands.py:  Create a _rpmdb_warn_checks function, and use that when we find an
	 rpmdb version warning.   Change the text on the warning, hopefully
	 Panu will be happier :).   Use the rpmdb.check_* functions, to see
	 if we find any problems.

2009-12-11  James Antill <james@and.org>

	* yum/rpmsack.py: Add check_*() APIs to rpmdb, for when version
	doesn't match etc.

2009-12-11  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Move default urlgrabber options into _default_grabopts(), apply them


2009-12-10  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Tell git to ignore Pydev project files.

2009-12-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: use xreadlines() not readline()

2009-12-08  Ville Skyttä <ville.skytta@iki.fi>

	* yum/yumRepo.py: Move default urlgrabber options into
	_default_grabopts(), apply them to mirrorlist grabs.  This started
	off from noticing that our timeout doesn't get passed to mirrorlist
	grabs, but while at it there was a bunch of other useful options
	missing from that call and the options were unnecessarily copied in
	several places.

2009-12-10  Ville Skyttä <ville.skytta@iki.fi>

	* .gitignore: Tell git to ignore Pydev project files.

2009-12-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: get cmdline and parse out files on it to look for
	other items running  this handles pygtk and lots of python apps, too


2009-12-10  James Antill <james@and.org>

	* docs/yum.8, output.py: Document the secret end column of history
	list, giving away all our sekretz!

2009-12-10  James Antill <james@and.org>

	* test/operationstests.py, test/testbase.py, yum/__init__.py: Test
	cases for previous change

2009-12-10  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py, yum/sqlitesack.py:  Fix bugs where we want to install old versions of multiarch
	 packages, which just upsets everything.   This is mostly a revert
	 of:   commit f6317aabb2734357311b6103286a76054c3cd0e9  Author:
	 James Antill <james@and.org>  Date:   Sat May 31 17:08:44 2008
	 -0400   We want to keep other arches in the multilib_policy=all
	 case. bug#449056  ...but that was because of the confusing name,
	 and the fact we had another bug which caused the problem, which we
	 fixed a few weeks later:   commit
	 40471d1d681f62415487def517ac90f253fafa9b  Author: James Antill
	 <james@and.org>  Date:   Tue Jun 24 17:21:26 2008 -0400        Fix
	 packagesNewestByName() to use comparePoEVR as pkg.__cmp__ uses
	 .arch in         thus we'd only get one pkg from the alph sorted
	 arch.         kind of a weird interface, not quite the "same" as
	 packageNewestByNameArch  ...with that fix I believe the original
	 bug#449056 wouldn't have happened.

2009-12-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: output the variable name you're attempting to set
	when we encounter an option error

2009-12-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: use maps instead of smaps trivial fix

2009-12-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't die if sha2+ is not available, and we aren't using metalink
	Fix md5 == abort() code path, only generate/trust sha2+ for
	metalink=>repomd   Output txmbr evr as e:v-r instead of e-v-r

2009-12-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure we behave correctly if we cannot get
	the cachedir setup  if someone sets the perms on the tmpdir/cachedir
	VERY wrong make sure we emit an error and do something sensible
	about it.  rh bug:
	https://bugzilla.redhat.com/show_bug.cgi?id=543768

2009-12-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/rpmsack.py: move return_running_packages to
	rpmsack from yumbase b/c it belongs there :)

2009-12-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/history.py: make sure history dbs are readable only by root -
	suggested by Josh Bressers

2009-12-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - add docstrings to properties - return_running_packages method to
	YumBase to return list of pkgs   which currently have a file opened
	by a running process

2009-12-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: add two functions to get list of processes and return
	the files the processes have open

2009-12-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: add missing warnings import

2009-12-08  James Antill <james@and.org>

	* yum/misc.py, yum/repoMDObject.py: Don't die if sha2+ is not
	available, and we aren't using metalink

2009-12-07  James Antill <james@and.org>

	* yum/metalink.py, yum/repoMDObject.py, yum/yumRepo.py: Fix md5 ==
	abort() code path, only generate/trust sha2+ for metalink=>repomd

2009-12-04  James Antill <james@and.org>

	* yum/transactioninfo.py: Output txmbr evr as e:v-r instead of e-v-r


2009-12-01  James Antill <james@and.org>

	* yumcommands.py: Make status output nicer for repolist
	disabled/all/enabled, BZ 540489

2009-11-30  James Antill <james@and.org>

	* yum/transactioninfo.py: Add obsoleted packages to obsoleting
	txmbrs

2009-11-30  James Antill <james@and.org>

	* docs/yum.8: Add yum-security link to yum man page

2009-11-24  James Antill <james@and.org>

	* docs/yum.8: Tell people looking for list recent, about
	list-updateinfo new

2009-11-23  James Antill <james@and.org>

	* output.py: Fix the chopping name output in "history info", when we
	obsolete

2009-11-24  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add expire-cache to clean completions.

2009-11-23  James Antill <james@and.org>

	* test/merge-history-transactions-tests.py, yum/history.py: Fix
	installonly installs and "broken" rpmdbv stuff from tracebacks

2009-11-23  James Antill <james@and.org>

	* docs/yum.8, output.py:  UI for merged transactions in "history info".     Eg. yum histry
	 merge 1..2 => Will show the first two transactions    as though
	 they were a single transaction. All the complicated bits    are in
	 YumMergedTransaction.merge(), this is just a UI patch.  Adds this
	 to the man page.   Also changes transaction time to have
	 minutes/hours/days.   Also fixes info's package name chopping to
	 dtrt. for Obsoleting packages.   Also makes "history info" report
	 an error if there are no transactions.

2009-11-22  James Antill <james@and.org>

	* test/merge-history-transactions-tests.py, yum/history.py:  Add merged history API, this is a combined history for multiple
	 history transactions within a single object.  The trans_data member
	 is pretty tricky, so there is a bunch of testcases for that. Mainly
	 because we simplify the output for the user so:           pkgA-1 =>
	 pkgA-2          pkgA-2 => pkgA-3          pkgB-1 => pkgB-2
	 pkgB-2 => pkgB-1 ...becomes:          pkgA-1 => pkgA-3
	 pkgB-1 => pkgB-1 (reinstall) ...note that we just give up if
	 "impossible" things happen, Eg.          pkgA-1 => pkgA-2
	 pkgA-4 => pkgA-5  ...stays as is.   Esp. worth of note is that the
	 "Obsoleting" state is a mask for any of:      Install, Dep-Install,
	 True-Install, Downgrade, Reinstall, Update  ...which I should have
	 worked out before, and not made it a state in history ... but, oh
	 well.   Also add a repoid to YumHistoryPackages so that
	 PackageObject can run __eq__

2009-11-23  James Antill <james@and.org>

	* yum/packages.py: Add documentation about why we output releasever
	in ui_from_repo

2009-11-23  James Antill <james@and.org>

	* yum/packages.py: Change ui_from_repo to compare releasever, and
	print if it's different

2009-11-23  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Add releasever to rpmdb, so we
	can locally compare it to yumdb etc.

2009-11-23  James Antill <james@and.org>

	* yumcommands.py: Convert missed direct usage of from_repo to use
	ui_from_repo

2009-11-18  James Antill <james@and.org>

	* output.py: Cleanup code using ui_nevra and ui_from_repo

2009-11-18  James Antill <james@and.org>

	* yum/packages.py: Add ui_from_repo to POs

2009-11-18  James Antill <james@and.org>

	* yum/packages.py: Add ui_nevra and ui_envra to POs

2009-11-16  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: don't output usage() when the user fatfingers a command

2009-11-16  James Antill <james@and.org>

	* yum/misc.py, yum/packages.py: Allow HTTP:// as well as http://,
	and split the tests for re_remote_url

2009-11-16  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Have localInstall()/etc. use
	YumUrlPackage(), so we act more like rpm.

2009-11-16  James Antill <james@and.org>

	* yum/packages.py: Add YumUrlPackage(), to download packages and use
	YumLocalPackage on them

2009-11-16  James Antill <james@and.org>

	* yum/misc.py: Add "re_remote_url()" for testing if a url is
	"remote"

2009-11-16  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py, docs/yum.8, etc/yum.bash: Add long variants for all
	command line options.

2009-11-16  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Add --releasever to bash completion.

2009-11-16  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Document --releasever   Fix UnicodeDecodeErrors in yumcommands.py
	Docstring typo fix.   Add po/Makevars for gettext plural handling
	Wrap License field, due to 100+ char. joy in Fedora

2009-11-16  James Antill <james@and.org>

	* docs/yum.8: Document --releasever

2009-11-16  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* yumcommands.py: Fix UnicodeDecodeErrors in yumcommands.py  Fix two
	UnicodeDecodeErrors which were raised when running 'yum -v repolist'
	in fi_FI.utf8 with the yet uncommitted Finnish translation.

2009-11-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: ignore transaction files which end with 'disabled' -
	so we can keep ones which are wonky around for debugging but not
	pester the user with them.

2009-11-16  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlutils.py: Docstring typo fix.

2009-11-13  Ville-Pekka Vainio <vpivaini@cs.helsinki.fi>

	* po/Makevars: Add po/Makevars for gettext plural handling  Add the
	po/Makevars file including XGETTEXT_OPTIONS = --keyword=P_:1,2 so
	that the P_ calls will be recognized as plurals by xgettext and
	intltool.

2009-11-13  James Antill <james@and.org>

	* output.py: Wrap License field, due to 100+ char. joy in Fedora

2009-11-13  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: add --releasever option so users can bump from (for
	example) 11 to 12 w/o having to grab the fedora-release pkg from 12
	manually.

2009-11-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py, yum/yumRepo.py: just to make james happy :)

2009-11-12  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Trivial has_key() to "in" changes.   Fix for callers that rely on
	.pkgSackPackages protecting .pkgSack.get*   Fix
	get_running_kernel_version_release   Fix epoch matching in
	rpmdb.returnPackages()   Test the first char of a pattern match, if
	we can

2009-11-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py, yum/yumRepo.py: updating yumRepo dump() method and
	adding YumConf.dump() method to output nicer lists of all of our
	config settings

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py, rpmUtils/arch.py, rpmUtils/transaction.py,
	rpmUtils/updates.py, yum/__init__.py, yum/comps.py,
	yum/depsolve.py, yum/packageSack.py, yum/packages.py,
	yum/pgpmsg.py, yum/plugins.py, yum/repoMDObject.py, yum/repos.py,
	yum/rpmsack.py, yum/rpmtrans.py, yum/sqlitesack.py,
	yum/transactioninfo.py, yum/update_md.py, yum/yumRepo.py,
	yumcommands.py: Trivial has_key() to "in" changes.  This is the
	first one in set of has_key() avoidance changesets.

2009-11-03  James Antill <james@and.org>

	* yum/transactioninfo.py: Fix for callers that rely on
	.pkgSackPackages protecting .pkgSack.get*

2009-11-03  James Antill <james@and.org>

	* yum/misc.py: Fix get_running_kernel_version_release

2009-11-03  James Antill <james@and.org>

	* yum/rpmsack.py: Fix epoch matching in rpmdb.returnPackages()

2009-11-03  James Antill <james@and.org>

	* yum/rpmsack.py: Test the first char of a pattern match, if we can


2009-11-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: fix typo in rpmtrans - fixes rh bug #532933

2009-11-03  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: sed usage portability fixes.

2009-11-02  James Antill <james@and.org>

	* yum/misc.py: Expand get_running_kernel_version_release into
	*_pkgtup, to use it elsewhere

2009-11-02  James Antill <james@and.org>

	Merge commit '6edfd8428a6d424db8dd0ca641875d466d391b1b' into
	yum-3_2_X  * commit '6edfd8428a6d424db8dd0ca641875d466d391b1b':
	Remove the repoid check, the base name check is "better" and this
	kills it   Only search through non-locale group names, if we didn't
	match anything   Match only current language instead of all in
	group/category searches.

2009-11-02  James Antill <james@and.org>

	* yum/comps.py: Only search through non-locale group names, if we
	didn't match anything

2009-10-31  Ville Skyttä <ville.skytta@iki.fi>

	* yum/comps.py: Match only current language instead of all in
	group/category searches.

2009-11-02  Adam Pribyl <pribyl@lowlevel.cz>

	* po/cs.po: update czech translation

2009-11-02  Igor Pires Soares <igor@projetofedora.org>

	* po/pt_BR.po: update brazillian translation

2009-11-02  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Big
	speed boost for depsolving "large" transactions.   Move group name
	bash completion to separate function so it can be used in other
	tools.   Fix: Unicode unequal comparison failed to convert both
	arguments to Unicode   A couple of minor opts for depsolving, in
	checkInstall and checkRemove   Minor opt. for
	allowedMultipleInstalls() and pkg.*_names callers   Fix
	rpmdb.simpleVersion() to ignore gpg-pubkeys, dito. returnPackages()
	Add utf8* calls for history, which is the minimum for real i18n
	there.

2009-11-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: remove the repoid check as it seems to be causing
	more problems than it solves

2009-11-02  James Antill <james@and.org>

	* yum/depsolve.py: Remove the repoid check, the base name check is
	"better" and this kills it

2009-11-02  James Antill <james@and.org>

	* yum/comps.py: Only search through non-locale group names, if we
	didn't match anything

2009-10-31  Ville Skyttä <ville.skytta@iki.fi>

	* yum/comps.py: Match only current language instead of all in
	group/category searches.

2009-10-30  James Antill <james@and.org>

	* yum/packages.py, yum/sqlitesack.py, yum/transactioninfo.py:  Big speed boost for depsolving "large" transactions.   We keep a
	 PackageSack() of what was added to the transaction, so we don't
	 have to query everything in all pkgSacks for every
	 getProvides()/getRequires().   So that we don't have to download
	 filelists, we create our own PackageSack() and use .simpleFiles()
	 ... however in sqlitesack .simpleFiles() doesn't have an index, so
	 we have to create one or perf. goes out the window (simple patch to
	 y-m-p to fix that though).   This are the differences on my box:
	 before  ------  yum up tzdata                        =  4.132 yum
	 upD glibc                        =  5.889 yum upD
	 = 25.964 yum upD --disablerepo=fedora,updates = 18.628 yum upT
	 =  7.326   after  -----  yum up tzdata                        =
	 3.996 =  ~2.5% yum upD glibc                        =  5.590 =  ~5%
	 yum upD                              = 19.550 = ~25% yum upD
	 --disablerepo=fedora,updates = 16.830 = ~10% yum upT
	 =  6.537 = ~10%   Currently keeping the old code as default, until
	 pkgfiles index makes it out there.

2009-10-31  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Move group name bash completion to separate function
	so it can be used in other tools.

2009-10-28  James Antill <james@and.org>

	* yum/packages.py: Fix: Unicode unequal comparison failed to convert
	both arguments to Unicode

2009-10-28  James Antill <james@and.org>

	* yum/depsolve.py:  A couple of minor opts for depsolving, in checkInstall and
	 checkRemove   checkInstall: Don't filter out requires that we
	 provide, as it's done at createrepo time now.   checkRemove: If we
	 have a req. we don't provide, check the things that update/obsolete
	 us for it first.

2009-10-28  James Antill <james@and.org>

	* yum/depsolve.py, yum/packages.py: Minor opt. for
	allowedMultipleInstalls() and pkg.*_names callers

2009-10-27  James Antill <james@and.org>

	* rpmUtils/transaction.py, yum/rpmsack.py:  Fix rpmdb.simpleVersion() to ignore gpg-pubkeys, dito.
	 returnPackages()   Dito. searchPrco() etc.   Add a new rpmdb only
	 method: rpmdb.returnGPGPubkeyPackages() ... so that keys-remove can
	 work.

2009-10-27  James Antill <james@and.org>

	* output.py: Add utf8* calls for history, which is the minimum for
	real i18n there.

2009-10-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: not unicide, unicode - though sometimes it makes
	me feel like that

2009-10-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: and make sure the url and exception are using the
	'proper' ones.

2009-10-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: fix for
	https://bugzilla.redhat.com/show_bug.cgi?id=531781  when grabbing
	gpg keys - if they are not what they should be don't traceback throw
	up a yumbaserror like we would if they are not found.

2009-10-28  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py: Simplify re_full_search_needed "primary" regex.

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py: Cache regex match/search function instead of the
	regex for a small speedup.

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py: Treat square brackets same way in
	re_full_search_needed and refineSearchPattern as in re_glob.

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py, yum/yumRepo.py: Simplify some regexps.

2009-10-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: cleanup a few debug prints and check against
	ghostlists as well.

2009-10-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: also remove filerequires if we have the file

2009-10-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: - don't include requirements in the metadata when the pkg provides
	it   for itself.

2009-10-27  James Antill <james@and.org>

	* output.py: Usernames can contain unicode, so make them unicode.
	Fixes BZ 531338

2009-10-27  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py: Make 'Matched:' section markers translatable.

2009-10-26  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py: Print search strings in the order they were passed.

2009-10-26  Ville Skyttä <ville.skytta@iki.fi>

	* yum/__init__.py: Improve relevance ordering of search results.
	Weigh criteria descending based on order they're given in, and take
	into account the number of fields hit by each combination as well.

2009-10-20  James Antill <james@and.org>

	* yum/yumRepo.py: Get rid of unused block of code

2009-10-26  Ville Skyttä <ville.skytta@iki.fi>

	* yum/__init__.py: Remove unused variable.

2009-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py, docs/yum.8: Clarify that -C uses the system cache, not the
	user one.  http://yum.baseurl.org/ticket/310

2009-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* etc/yum.bash: Remove stale TODO.

2009-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: Fix SQLite names-only simplePkgList.  Thanks to
	James Antill for pointing out a return type issue in the original
	patch.

2009-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* etc/Makefile, etc/yum.bash, yum.spec: Add bash completion.  Should
	work with bash >= 3; does not require bash-completion but uses a few
	functions from it if available.

2009-10-23  Ville Skyttä <ville.skytta@iki.fi>

	* .gitignore: Tell git to ignore tarballs.

2009-10-20  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/yumRepo.py: fix pylint error ************* Module yum.yumRepo
	E0602:1360:YumRepository._commonRetrieveDataMD: Undefined variable
	'download_no_size'

2009-10-20  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/mdparser.py: pylint: fix syntax error (missing comma)

2009-10-20  Tim Lauridsen <timlau@fedoraproject.org>

	* yummain.py: fixed unused imports

2009-10-20  Tim Lauridsen <timlau@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* cli.py, yum/comps.py, yum/depsolve.py: Replace some cmp based
	sorts with key based ones.

2009-10-18  James Antill <james@and.org>

	* yum/depsolve.py: Minor speedup/cleanup for isPkgInstalled().

2009-10-17  James Antill <james@and.org>

	* yum/depsolve.py:  Is base package name installed, added as a compare_providers test
	 Should fix the problem that ticket/296 has   Also add debug output
	 for reqpo common repoid comparison.   Also bump the nudge from 2 to
	 8, so it should nudge past shortest   name.

2009-10-17  James Antill <james@and.org>

	* yum/packages.py:  Add .base_package_name, which parses .sourcerpm or uses .name
	 This is added to RpmBase, so we can do it for installed pkgs too,
	 we could move it even higher as it only actually needs .name to
	 work.   Also get rid of an extra .isSrpm() call.

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* po/.gitignore: Ignore *.mo.

2009-10-16  James Antill <james@and.org>

	* output.py: Use yumdb_info.from_repo in listTransaction for removes


2009-10-15  James Antill <james@and.org>

	* yum/rpmsack.py:  Minor speedup in rpmdb._search().   Don't compare name, because
	 we've already done it if it's not None.   Reorder the rest of the
	 pkgtup comparison to fail quicker.

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py: Don't trigger a full search for everything starting
	with a digit.

2009-10-17  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: Comment spelling fix, remove another stale one.


2009-10-17  Tim Lauridsen <timlau@fedoraproject.org>

	* utils.py, yummain.py:  Add yum locking to YumUtilsBase  move the locking process
	 information from yummain.py into utils.py, so we  can't share it
	 and have the same output for both yum-cli and yum-utils tools
	 using YumUtilsBase.

2009-10-17  Tim Lauridsen <timlau@fedoraproject.org>

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/it.po, po/ja.po, po/ms.po, po/nb.po, po/pl.po, po/pt.po,
	po/pt_BR.po, po/ru.po, po/sr.po, po/sr@latin.po, po/sv.po,
	po/yum.pot, po/zh_CN.po: Refreshed po and pot files

2009-10-16  Ville Skyttä <ville.skytta@iki.fi>

	* yum/yumRepo.py: Fix traceback when downloading one MD w/size.

2009-10-02  Ville Skyttä <ville.skytta@iki.fi>

	* yum/mdparser.py: Deprecate has_key() in favour of "in" for
	metadata entries.  As a side effect, entries are now iterable.

2009-10-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: bump the score of a provider in compare_provider
	if the reqpo pkg and it have the same repository.

2009-10-15  James Antill <james@and.org>

	Merge branch 'group-md-downloads' into yum-3_2_X  *
	group-md-downloads:   Group MD downloads, and use the length to give
	total size.

2009-10-15  James Antill <james@and.org>

	* yum/rpmsack.py: Remove rpmdb version of contains(), the
	PackageSackBase one is identical

2009-10-15  Tim Lauridsen <timlau@fedoraproject.org>

	* po/cs.po: cz translation update by Adam Pribyl

2009-10-14  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2009-10-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.25

2009-10-14  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   fix
	pylint warnings (unneeded lambda)   fix pylint warnings (imports)

2009-10-14  Héctor Daniel Cabrera <h.daniel.cabrera@gmail.com>

	* po/es.po: updated spanish translation

2009-10-14  Seth Vidal <skvidal@fedoraproject.org>

	* Makefile, po/Makefile: make test should do a msgfmt -c on all the
	translations

2009-10-14  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py, yum/depsolve.py, yum/pgpmsg.py: fix pylint
	warnings (unneeded lambda)  ************* Module yum
	W0108:3927:YumBase._limit_installonly_pkgs.<lambda>: Lambda may not
	be necessary ************* Module yum.depsolve
	W0108:594:Depsolve._requiringFromTransaction.<lambda>: Lambda may
	not be necessary ************* Module yum.pgpmsg
	W0108:571:signature.deserialize_subpacket.<lambda>: Lambda may not
	be necessary

2009-10-14  Tim Lauridsen <timlau@fedoraproject.org>

	* cli.py, yum/depsolve.py, yum/sqlitesack.py: fix pylint warnings
	(imports)  ************* Module cli W0611: 42: Unused import
	parsePackages W0611: 41: Unused import rpmUtils ************* Module
	yum.depsolve W0611: 39: Unused import itemgetter *************
	Module yum.sqlitesack W0404: 65: Reimport 're' (imported line 39)
	W0404: 66: Reimport 'fnmatch' (imported line 24)

2009-10-13  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Comment/log message/doc spelling fixes.

2009-10-13  Seth Vidal <skvidal@fedoraproject.org>

	* po/zh_CN.po: - get rid of one translation until we can get a proper fix for
	reordering the arguments - add a %s to the end of another to get rid
	of msgfmt -c complaining about .

2009-10-13  Ville Skyttä <ville.skytta@iki.fi>

	* yum/__init__.py: Comment/log message/doc spelling fixes.

2009-10-13  Göran Uddeborg <goeran@uddeborg.se>

	* po/sv.po: update swedish translation

2009-10-13  James Antill <james@and.org>

	* yum/__init__.py, yum/config.py, yum/repos.py, yum/yumRepo.py:  Remove yum-metadata-parser from the default run_with_package_names
	 list   We now add it conditionally if we are using any repos. with
	 .xml only MD.   This means it isn't logged every time in history
	 (apart from if you have the adobe repo. enabled :).

2009-10-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Drop self._pkgtup2pkgs cache, leak checker to
	the rescue again

2009-10-13  Tim Lauridsen <timlau@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X

2009-10-12  James Antill <james@and.org>

	* output.py, yum/history.py:  Show scriptlet-output and errors in history info   This WFM(tm),
	 but I've only tested it by adding stuff to my sqlite manually.

2009-10-13  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/history.py: fix pylint error (misc. used in line #111)

2009-10-12  James Antill <james@and.org>

	* yum/yumRepo.py:  Group MD downloads, and use the length to give total size.   1. We
	 group all MD that has a size, and report the total size to the
	 user. This is more code than you'd think due to some entries not
	 having size.   2. We now also check mdpolicy, even if the
	 repomd.xml is the latest     according to metalink.  ...this is
	 mainly UI atm., but is also one step on the road to doing multiple
	 MD downloads at once.

2009-10-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: check for file's existence using os.path.lexist()
	instead of exist() so we don't misreport symlinks as missing.  fixes
	rh bug: #475054

2009-10-12  Tim Lauridsen <timlau@fedoraproject.org>

	* Makefile, test/yum-pylintrc: Silence all the stupid Runtime error
	maximum recursion depth exceeded in XXX messages when running pylint
	in python 2.6.  http://bugs.python.org/issue5508  Add some nice
	colors to the pylint output

2009-10-12  James Antill <james@and.org>

	* output.py, yum/__init__.py, yum/history.py:  Add "Dep-Install" as a state to history.   This is mostly an output
	 tweak for "yum history info", however we now don't manually install
	 a Dep-Install on redo.    This means yumdb.reason is correct, and
	 is probably what the user   wants the majority of the time.

2009-10-12  James Antill <james@and.org>

	* yum/packageSack.py:  If X-1 and X-2 both provide/require FOO then X is a leaf node:
	 Given nothing else requires what they provide.   This fixes real
	 false negatives in pkgSack, however this is unlikely to affect
	 rpmdb as there is always just one version installed when we care.
	 Also, a minor memory resource improvement.

2009-10-12  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Import sys for sys.hexversion check, BZ 528233   Update homepage URL
	and mailing list address.   Man page spelling fixes.   Another
	returnLeafNodes speedup (roughly 10%).

2009-10-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: change the lambda/map to a list comprehension

2009-10-10  James Antill <james@and.org>

	* yum/config.py: Import sys for sys.hexversion check, BZ 528233

2009-10-11  Ville Skyttä <ville.skytta@iki.fi>

	* docs/yum-shell.8, docs/yum-updatesd.8: Update homepage URL and
	mailing list address.

2009-10-11  Ville Skyttä <ville.skytta@iki.fi>

	* docs/yum.8, docs/yum.conf.5: Man page spelling fixes.

2009-10-10  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/transaction.py: Another returnLeafNodes speedup (roughly
	10%).  Corresponds to commit
	156db879ce62f8f974ea03d83cee575c4411820d for packageSack leaf nodes
	plus adds breaking req/prov lookup as early as possible, and avoids
	a few unnecessary pkgTupleFromHeader calls.

2009-10-09  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: when we are setting up utils handle -q and -v as we do
	in cli.  part of the fix for:
	https://bugzilla.redhat.com/show_bug.cgi?id=514513

2009-10-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: when we do localinstalls/reinstalls/etc - make
	sure we check disableexcludes to see if we've disabled the exclude
	that might be stopping the localinstall.  This creates a new private
	method of YumBase._is_local_exclude() which takes a package object
	and a list of pkgs to match against it.

2009-10-08  Yuan Yijun <bbbush@fedoraproject.org>

	* po/zh_CN.po: update simplified chinese translation

2009-10-08  Kris Thomsen <lakristho@gmail.com>

	* po/da.po: update danish translation

2009-10-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: change method name to _does_this_update() update
	docstring

2009-10-08  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	updated pt_BR translation by Igor Pires Soares   updated fr
	translation by Michel Duquaine   skipbroken: make the missing
	obsoleted check don't scan all transaction member, but only the
	TS_OBSOLETING, TS_OBSOLETED ones

2009-10-08  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pt_BR.po: updated pt_BR translation by Igor Pires Soares

2009-10-08  Tim Lauridsen <timlau@fedoraproject.org>

	* po/fr.po: updated fr translation by Michel Duquaine

2009-10-08  Tim Lauridsen <timlau@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X

2009-10-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: fix up the naming of the new method to make it
	less studlycaps'd

2009-10-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: if we have some duplicate installed pkgs that do
	not conflict and we update for the newer one but something deps on
	the older one. We shouldn't fail against the rpm tscheck, we should
	fail well before then.  This adds 'YumBase.doesThisUpdate(pkg1,
	pkg2)' which lets this check take less time.

2009-10-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: make sure if our metalink or mirrorlist has any
	odd chars in it that we don't traceback trying to print it  this is
	just like ticket 286 - and it hits rhbug 508422, 502975

2009-10-06  James Antill <james@and.org>

	* test/testbase.py: Add a yumdb_info dict to FakePackage()

2009-10-06  James Antill <james@and.org>

	* yum/config.py, yum/yumRepo.py: Make mdpolicy to be a list, to give
	users/callers greater control

2009-10-06  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py: Preserve "reason=dep" across
	updates and add it for dep. installs.

2009-10-05  Toshio Kuratomi <toshio@fedoraproject.org>

	* yum/yumRepo.py: stops us from tracing back when the mirrorlist
	contains interesting characters/encoding.

2009-10-05  Piotr Drąg <piotrdrag@gmail.com>

	* po/pl.po: update polish translation

2009-10-03  Tim Lauridsen <timlau@fedoraproject.org>

	* docs/yum.8: fix urls in yum man page to point to baseurl.org

2009-10-01  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/transaction.py, yum/rpmsack.py: add a returnLeafNodes()
	to rpmsack  modifies transaction.returnLeafNodes() to take an
	optional argument that returns headers and indexes so we can convert
	it quickly to package objects. This makes
	self.rpmdb.returnLeafNodes() about 2x faster than it was with the
	PackageSackBase.returnLeafNodes()

2009-09-30  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	logger calls in yumRepo, atm. we traceback due to no self.logger

2009-09-30  James Antill <james@and.org>

	* yum/yumRepo.py: Fix logger calls in yumRepo, atm. we traceback due
	to no self.logger

2009-09-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/comps.py, yum/history.py, yum/plugins.py,
	yum/rpmsack.py, yum/rpmtrans.py, yum/sqlitesack.py,
	yum/update_md.py, yum/yumRepo.py: revert yum. import patch reverts
	e2d9da32940161fd5f8ddf28ff7632502618affb as it breaks a bunch of
	things - and will cause us more pain with python3

2009-09-29  Adam Pribyl <pribyl@lowlevel.cz>

	* po/cs.po: fix some problems in czech translation

2009-09-29  James Antill <james@and.org>

	* yumcommands.py: Show obsoletes in check-update if obsoletes
	processing is on, BZ 526064

2009-09-29  James Antill <james@and.org>

	* yum/__init__.py:  Convert all errors to strings, for history to log them. BZ 526294
	 Main problem here is crap comes out of rpm. We really want just [0]
	 for disk space errors ... but alas. other stuff isn't like that.
	 We could try and inspect the data, and guess what error it is, but
	 just dumping it all out works fine atm.

2009-09-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/comps.py, yum/history.py, yum/plugins.py,
	yum/rpmsack.py, yum/rpmtrans.py, yum/sqlitesack.py,
	yum/update_md.py, yum/yumRepo.py: clean up all the import yum.blah
	and from yum.blah import blah  from items inside the module it is
	not necessary.

2009-09-28  James Antill <james@and.org>

	* yum/history.py: to_unicode all text going into the history DB,
	that might need it, BZ 525843

2009-09-26  James Antill <james@and.org>

	* yum/sqlitesack.py: Make a specical codepath for /path/to/*
	searches

2009-09-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: add sizes to all getFile calls. this sets a max
	size for repomd.xml and repomd.xml.asc to 100K, which is probably
	reasonable

2009-09-25  James Antill <james@and.org>

	* yum/misc.py: Fail the checksum size checks on undersized, as well
	as oversized, data

2009-09-24  Piotr Drąg <piotrdrag@gmail.com>

	* po/pl.po: updated polish translation

2009-09-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	verison groups, for the version command.

2009-09-24  Adam Pribyl <pribyl@lowlevel.cz>

	* po/cs.po: add Czech translation.

2009-09-24  Tadashi Jokagi <elf@elf.no-ip.org>

	* po/ja.po: updated japanese translation

2009-09-23  James Antill <james@and.org>

	* docs/yum.8, etc/Makefile, etc/version-groups.conf, yum.spec,
	yum/config.py, yum/packageSack.py, yum/rpmsack.py, yumcommands.py:  Add verison groups, for the version command.   Config. file is
	 /etc/yum/version-groups.conf   Allows you to track subsets of
	 packages to version.

2009-09-23  James Antill <james@and.org>

	* yum/__init__.py, yum/history.py: Explicitly close sqlite, adds
	.close() and calls it on delete (BZ 525297)

2009-09-23  James Antill <james@and.org>

	* yum/yumRepo.py:  Don't traceback on baseurl only repos. which have network failures,
	 BZ 525094   We do this by always having a mirrorurls = [] now,
	 which hopefully protects future snafu's like this.

2009-09-22  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py, yum/packages.py, yum/yumRepo.py: Use basic string
	matching/replacing instead of regexps where appropriate.

2009-09-22  James Antill <james@and.org>

	* yum/history.py: Don't traceback on TS_FAILED txmbrs comming out of
	the transaction

2009-09-22  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py, yum/misc.py, yum/sqlitesack.py:  Fix "yum install '[x/y]bin/zsh'". Also makes the code neater.
	 Because we need matching [], we can't just do a re_glob() of the
	 first char anymore. So we careate a new re_filename() function.
	 This is also clever enough that it doesn't match "[xy]bin/zsh",
	 however negated character classes and character class ranges are on
	 their own (don't do that).   Also add some doc comments to the re_*
	 functions.

2009-09-21  James Antill <james@and.org>

	* yum/depsolve.py: Fix install "*bin/virt-install" to do what
	"/*bin/virt-install" does

2009-09-21  James Antill <james@and.org>

	* docs/yum.conf.5, yum/__init__.py: Add documentation about
	installonly yumdb attr.

2009-09-21  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: minor string change b/c "Packages Used" felt awkward.
	ack'd on irc

2009-09-21  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5: Add documentation for history, and
	version command

2009-09-21  James Antill <james@and.org>

	* output.py: Show uid 0xFFFFFFFF as unset, dito. if loginuid wasn't
	available

2009-09-19  James Antill <james@and.org>

	* output.py, yum/__init__.py, yum/history.py:  Do the OUTER JOIN by hand, so we get Aborted transactions.    Fix
	 output code for displaying aborted transactions.   Tweak obsoletes
	 handling in undo/redo.

2009-09-18  James Antill <james@and.org>

	* output.py, yum/history.py, yum/rpmtrans.py:  Add history callbacks to the RPMTransaction:    Log script output
	 (although not per. pkg).   Mark pkgs. as done, as they complete
	 (still need to post process, due   to the crappy callback API).
	 Change altered_rpmdb to altered_lt_rpmdb and altered_gt_rpmdb.
	 Tweak output in list/info appropriately.

2009-09-18  James Antill <james@and.org>

	* yum/__init__.py, yum/history.py: Add installroot to history

2009-09-17  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/config.py, yum/plugins.py:  Add history_record config.  Use history_record_packages.  Add API
	 for code/plugins to add their package names:
	 base.run_with_package_names.add()     conduit.registerPackageName()
	 Use the config. and API package names in version and history.

2009-09-17  James Antill <james@and.org>

	* yum/history.py: Fix history searching for something with a lot of
	hits, Eg. "*fc11"

2009-09-17  James Antill <james@and.org>

	* output.py, yum/history.py:  Remove the outer joins, sqlite doesn't parse them (and also dies in
	 f12).  Also add limit to old and use it in history list.

2009-09-14  James Antill <james@and.org>

	* yum/__init__.py, yumcommands.py:  Fix history redo/undo to work with obsoletes

2009-09-14  James Antill <james@and.org>

	* output.py:  Minor output UI changes for history   Just display one of
	 Obsoleted/Obsoleting, but count both.   Chop name properly for
	 epoch, display as nevra instead of envra.   Do current rpmdb
	 version check at end of list, not during, as it's IO bound esp. if
	 rpmdb isn't in RAM.

2009-09-14  James Antill <james@and.org>

	* yum/transactioninfo.py: Sort reinstalled and downgraded list from
	makelists

2009-09-11  James Antill <james@and.org>

	* yum/history.py, yum/sqlutils.py: Fix history SQL for py-2.4 and
	that era. sqlite, maybe generic fixes too

2009-08-31  James Antill <james@and.org>

	* yum/__init__.py, yum/history.py:  Log errors when transaction fails, have return_code == 2.   Also
	 fix rpmdb version check on install, so it works if there are no
	 historical transactions.

2009-08-31  James Antill <james@and.org>

	* yumcommands.py: Check rpmdb version against last history
	transaction, in version command

2009-08-31  James Antill <james@and.org>

	* output.py:  Check rpmdb version against latest history transaction.   Also
	 default to last transaction in history info, if no args. given.

2009-08-30  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py, yumcommands.py:  Add speedup to rpmdb version generation.   We only need/use the
	 main version for history collection.   Also speedup version
	 command, in non-verbose case.

2009-08-30  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py:  Add rpmdb version check, and output warning if it doesn't match
	 Added comparison to PackageSackVersion against str().

2009-08-30  James Antill <james@and.org>

	* yum/history.py:  Add "last" function to history, to get the last transaction.   Also
	 added real YumHistoryTransaction() class, and change the
	 trans_with/trans_data members to be dynamic properties.

2009-08-27  James Antill <james@and.org>

	* output.py, yum/history.py, yumcommands.py:  Add search() API to history, and a lot of UI improvements for
	 history.   Add .search() API, which works like "yum list" but
	 returns history transaction IDs that are relevant.   Add ability to
	 search for packages in history list/info/summary. Also integrate
	 with ability to specify multiple transaction IDs.   Better UI for
	 list/info/summary.      Added "action" column to list/summary.
	 Added gecos fullname to list/info/summary (if it fits).
	 Convert "True-Install" => "Install", as that's internal magic.
	 Change Altered number to be what people expect (ie. an update is
	 1).      Use ISO date/time in list/summary.      Have Packages
	 Used, print a readable version of what has happend to      the pkg.
	 Limit list/summary to 19 lines, by default (full screen on 24 row
	 terminal).      Chop end time in info.      Print "Success" for
	 return code == 0.   Add display of packages when using undo/repeat.
	 Highlight packages matched in history info.

2009-08-26  James Antill <james@and.org>

	* output.py, yum/history.py:  Show when rpmdb has been altered without a history transaction
	 Add API to work out when transactions have been altered      => The
	 beg rpmdb_version doesn't match the previous end   Show it to the
	 user in history list.

2009-08-26  James Antill <james@and.org>

	* yum/__init__.py, yumcommands.py: Move history_undo/history_repeat
	into YumBase, like install/downgrade/etc.

2009-08-26  James Antill <james@and.org>

	* output.py, yum/config.py, yumcommands.py: Move the history output
	commands to output.py, keeping yumcommands clean

2009-08-26  James Antill <james@and.org>

	* yum/history.py, yumcommands.py:  Remove dump command.  Fix trans_data_pid_end().  Complete all
	 txmbrs when the transaction finished happily.

2009-08-25  James Antill <james@and.org>

	* yum/transactioninfo.py: Mark txmbr's as reinstall ... so history
	can use it

2009-08-25  James Antill <james@and.org>

	* cli.py: Register the history command

2009-08-25  James Antill <james@and.org>

	* yumcommands.py: Add the history command, so the user can see/use
	the history API

2009-08-25  James Antill <james@and.org>

	* yum/__init__.py: Add history to the YumBase object

2009-08-25  James Antill <james@and.org>

	* yum/history.py:  Add initial version of history APIs.   This records what
	 transactions happened, and by whom etc.   Mostly for auditing in
	 Fedora, but also allows us to do "clever" yum-debug-dump/restore
	 type stuff. Ie. O(1) "supportable" rollback ops.   Note that there
	 is no DB versioning atm. ... and no way to turn this off, so don't
	 put it in production atm. :)

2009-08-25  James Antill <james@and.org>

	* yum/misc.py: Add getloginuid(), so we can see who called "sudo
	yum"

2009-09-18  James Antill <james@and.org>

	* yum/Errors.py, yum/__init__.py: Be nice and don't traceback when
	people screw their rpmdb, BZ 522259

2009-09-21  James Antill <james@and.org>

	* yumcommands.py: Catch and ignore any repo. errors, and allow cache
	only (BZ 524454)

2009-09-18  James Antill <james@and.org>

	* yum/yumRepo.py: Ignore old repomd.xml files if they fail to parse,
	BZ 520614.

2009-09-17  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py, yummain.py: move the sys.excepthook over to utils.py and
	hook it up there.   1. b/c it is tidier over therw  2. b/c now
	yum-utils using that class get it by default

2009-09-17  Seth Vidal <skvidal@fedoraproject.org>

	* yummain.py:  add a way to run yum inside pdb like we do with the profiler and
	 capture the keyboardinterrupt in sys.excepthook  pdb is just handy
	 sometimes sys.excepthook keeps urlgrabber/yum from spewing crap
	 across the screen when someone hits ctrl-c

2009-09-17  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: skipbroken: make the missing obsoleted check
	don't scan all transaction member, but only the TS_OBSOLETING,
	TS_OBSOLETED ones

2009-09-17  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: skipbroken: make the missing obsoleted check
	don't scan all transaction member, but only the TS_OBSOLETING,
	TS_OBSOLETED ones

2009-09-16  Tim Lauridsen <timlau@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X

2009-09-16  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py: Make skip broken handle
	cases where pkg dupes are installed and an update updates both of
	them but has dep problems. Make sure we get all the TS_UPDATED
	members cleaned from the transaction.
	https://bugzilla.redhat.com/show_bug.cgi?id=522112

2009-09-16  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: add doUtilTransaction() method to YumUtilBase.  This
	method handles a bunch of the exit cases we deal with coming out of
	doTransaction() so we don't have to write the same exception
	catching code over and over again. This will be tied into some
	yum-utils updates, too.

2009-09-15  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/arch.py: Fix getCanonSPARCArch() "crash" when called on
	non-SPARC.

2009-09-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: get rid of DeprecationWarning which is cluttering
	up rpmdb open bugs.  this is more or less the same as is in
	sqliteSack - I've checked everywhere else to make sure it is
	anywhere else. Once we stop targetting python 2.4 or 2.5 we can just
	drop this code entirely.

2009-09-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: os.path.normpath() over the installroot dir
	apparently opening a path NOT starting with '/' inside the chroot
	that rpm makes for the transaction will open a file OUTSIDE of the
	chroot no, I'm not sure I get it either.

2009-09-11  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/updates.py: change comment on the tuple order for
	rpmutils - yum ticket 250

2009-09-10  James Antill <james@and.org>

	* yum/sqlitesack.py:  Fix for py sql functions, doesn't like non-int return values.
	 BZ#522032 for: provides /lib/security/pam_loginuid.so (RHEL-5 only)
	 na/ for:       install '*bin/autoheader' (all versions)

2009-09-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: obscure locking error
	https://bugzilla.redhat.com/show_bug.cgi?id=521748  if, for some
	reason the lock/pid file can't be created b/c of an oserror OTHER
	than 'file exists' then we shouldn't be raising the msg but creating
	a new lockerror exception and passing on something like useful
	information

2009-09-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Added updated catalan translation by Xavier Conde

2009-09-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: Prospective fix for
	https://bugzilla.redhat.com/show_bug.cgi?id=519172  If we are
	running compare_providers() and any of the providers are updates for
	something installed then score them up just slightly and make sure
	to not REMOVE the items which are NOT updates for something
	installed. There still should be an obsoletes catch in here - maybe
	even to make sure that an obsoleted pkg is never considered AT ALL
	in compare_providers()  however this makes the bug work out
	correctly and still has all the unittests working

2009-09-07  Tim Lauridsen <timlau@fedoraproject.org>

	* po/ca.po: Added updated catalan translation by Xavier Conde

2009-09-03  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2009-09-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.24

2009-09-03  Igor Pires Soares <igor@projetofedora.org>

	* po/pt_BR.po: update brazilian translation

2009-09-02  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py: make sure our glob match looks for something between
	[ ]'s

2009-09-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: Revert " Fix for
	https://bugzilla.redhat.com/show_bug.cgi?id=520810"  This reverts
	commit 12d9ee9ee22b68c70ebfc81b6f995626526d3cd2.

2009-09-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py:  Fix for https://bugzilla.redhat.com/show_bug.cgi?id=520810   just
	 b/c it looks like a glob doesn't mean it IS a glob:  /usr/bin/[ is
	 a legit file in coreutils but it looks (and acts)  just like a glob
	 - so we need to do an ='s search even if it looks  like a glob.
	 This makes me cranky.

2009-09-01  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: patch for rh bug 503195 - fix double prefixing
	problem by being a little sneaky internally if we have an
	installroot defined that is not '/'

2009-08-31  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/arch.py: adding authenticamd patch from Ville

2009-08-28  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't accidentally exit 1, when someone asks to update a
	non-existant pkg

2009-08-28  James Antill <james@and.org>

	* yum/__init__.py:  Don't accidentally exit 1, when someone asks to update a
	 non-existant pkg   This got introduced in
	 ef6f313d5f97aa7398ac3aa04c4637d8b9da7125 from April, 2009. It's not
	 indended behaviour.

2009-08-28  Seth Vidal <skvidal@fedoraproject.org>

	* test/yum-pylintrc: stupid pylint errorcodes changing grumble

2009-08-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: avoid the code duplication and just do it once
	fix up to last patch

2009-08-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: if we're passed a deptuple keep from passing it
	to the exception like that  do the str() conversion on the tuple. I
	didn't just do the str(depstring) in the msg in case the depstring
	we're passed is [not] unicode and cannot be encoded/decoded
	properly. There's less chance of that if it a dep tuple.

2009-08-27  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	printing of empty transactions, this is pretty hard to do:

2009-08-27  Pekka Pietikainen <pp@ee.oulu.fi>

	* output.py:  Fix printing of empty transactions, this is pretty hard to do:
	 echo ts | yum shell

2009-08-27  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py, yummain.py: Emit non-pipe IOErrors properly and raise
	some semi-useful errors from bunzipFile  when running out of space
	bunzipping a file  - if you hit an IOError it would just kinda
	vanish. This is ultimately due to exIOError() in yummain.py but it
	would be good to make a better error message so we know where the
	file is that had the error, etc  fixes rh bug
	https://bugzilla.redhat.com/show_bug.cgi?id=518720 and probably A
	LOT more that went away b/c someone ran 'yum clean all' and freed up
	the space

2009-08-27  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: document the ssl options

2009-08-27  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Clean up unnecessary/duplicated code.   Fix script error output for
	erase transactions (bz#484729).   Cleanup doUpdate. availdict to
	newpkgs altered as we itered (minor speedup)   Fix makelists for
	reinstall, now that we've changed how they happen   Remove erase
	transactions on reinstall, fixes BZ 512393.   Optimization for
	pkgExcluder, if we have no excluders do nothing.

2009-08-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: add _search_primary_files() to sqliteSack and
	make it handle glob'd filenames but not glob'd DIRECTORY names
	properly for the normal-ish cases.  This should get _search(),
	searchPrco, and searchFiles() on roughly the same page.  future
	note: we need to make a lot of this die in a fire.

2009-08-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: correct searchFiles for primary file search
	when we performing searchFiles() against the sqlitesacks we were not
	checking if the file names were from the set of files that the
	primarydb has already. So we were downloading the filelistsdb in a
	bunch of cases where we simply didn't need to. This fixes the simple
	case of: there are no globs and the file is a primary. It also marks
	a fixme to be finished that there are globs but the globs matches up
	to a primarydb file. I'll get to that one shortly.

2009-08-21  Ville Skyttä <ville.skytta@iki.fi>

	* yum/packageSack.py, yum/packages.py, yum/sqlitesack.py: Clean up
	unnecessary/duplicated code.

2009-08-20  Ville Skyttä <ville.skytta@iki.fi>

	* yum/rpmtrans.py: Fix script error output for erase transactions
	(bz#484729).

2009-08-20  James Antill <james@and.org>

	* rpmUtils/updates.py: Cleanup doUpdate. availdict to newpkgs
	altered as we itered (minor speedup)

2009-08-20  James Antill <james@and.org>

	* yum/transactioninfo.py: Fix makelists for reinstall, now that
	we've changed how they happen

2009-08-20  James Antill <james@and.org>

	* yum/__init__.py:  Remove erase transactions on reinstall, fixes BZ 512393.   The main
	 problem here is that yum doesn't let a user install blah-1, if
	 blah-1 is already installed ... so we require a remove transaction,
	 and then an install transaction of the same thing.  However _rpm_
	 only wants to see the install transaction, and gets upset with the
	 remove transaction as well (it has an implicit remove as part of
	 the install, and so tries to remove twice).   So this fix just
	 removes the "remove transaction" when we add the reinstall "install
	 transaction".

2009-08-19  James Antill <james@and.org>

	* yum/sqlitesack.py:  Optimization for pkgExcluder, if we have no excluders do nothing.
	 This seems like what it'd do anyway, the big differences are:  1.
	 We don't .lower() the elements of pkgtup for each call.  2. We
	 don't store everything we load in the whitelist.  ...this nets me a
	 5-10% improvement ... roughly 2.56 seconds => 2.35 seconds, for
	 check-update.

2009-08-17  James Antill <james@and.org>

	* yum/packageSack.py, yum/rpmsack.py, yum/sqlitesack.py: Fix doc
	comments for returnPackages/simplePkgList, mainly patterns arg.

2009-08-18  Héctor Daniel Cabrera <h.daniel.cabrera@gmail.com>

	* po/es.po: spanish translation

2009-08-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: to_xml() attrib the flags, too - from
	mikeb@redhat.com

2009-08-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Pass "fields" from _setupPkgObjList to _yieldSQLDataList, so we know
	Add optimized simplePkgList() to sqlitesack, significant speedup:
	Add pkgtupByKeyData, so we don't have to create package objects
	Fix whitespace, comments and doc-comments   Split the SQL part of
	_buildPkgObjList() into a separate function   Split the setup part
	of _buildPkgObjList() into a separate function   Fix "instant"
	downloads, BZ 517286

2009-08-17  James Antill <james@and.org>

	* yum/sqlitesack.py:  Pass "fields" from _setupPkgObjList to _yieldSQLDataList, so we
	 know what we are searching for.

2009-08-17  James Antill <james@and.org>

	* yum/sqlitesack.py:  Add optimized simplePkgList() to sqlitesack, significant speedup:
	 This is what the above few patches were for, as this function now
	 just calls them.   Speed differences on my machine:  time (echo |
	 yum update wodim)  Before: 8.0 seconds  After:  6.5 seconds
	 (81.25%)  time yum check-update  Before: 3.9 seconds  After:  2.5
	 seconds (64.10%)

2009-08-17  James Antill <james@and.org>

	* yum/sqlitesack.py: Add pkgtupByKeyData, so we don't have to create
	package objects

2009-08-17  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix whitespace, comments and doc-comments

2009-08-17  James Antill <james@and.org>

	* yum/sqlitesack.py: Split the SQL part of _buildPkgObjList() into a
	separate function

2009-08-17  James Antill <james@and.org>

	* yum/sqlitesack.py: Split the setup part of _buildPkgObjList() into
	a separate function

2009-08-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py, yum/yumRepo.py: ssl patches for new urlgrabber and
	"proper" ssl support add options matching up to the options that
	were implemented in the m2crypto patch to yum and urlgrabber that
	many folks used (centos and rhel5 in particular)      sslcacert =
	Option()     sslverify = BoolOption(True)     sslclientcert =
	Option()     sslclientkey = Option()  Add these options in to every
	place we setup a urlgrabber instance.

2009-08-13  James Antill <james@and.org>

	* output.py: Fix "instant" downloads, BZ 517286

2009-08-12  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Cleanup whitespace for repolist -v   Add expire data to repolist -v
	Fix the Fedora repo. id for rawhide, in i18n post install tests.
	Fix the previous testcase, by:   Testcase to make sure a specifc
	nevra comes out of _compare_providers()

2009-08-12  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: additional LT/LE cases - fleshing them out
	a bit more

2009-08-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add comment about other weird obsoletes cases

2009-08-11  James Antill <james@and.org>

	* yumcommands.py: Cleanup whitespace for repolist -v

2009-08-11  James Antill <james@and.org>

	* yumcommands.py:  Add expire data to repolist -v   This should give enough data to
	 diagnose if there is a problem updating the repo metadata ... as we
	 know have:  1. Latest version from metalink. 2. Version we have. 3.
	 Last time we checked (and how often / how long until we check
	 again)  ...just use seconds, and need to think about how to get
	 some colour in here, for Seth :).

2009-08-11  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: fix in rangeCompare for where the item
	we're comparing it to has LESS than range for example: if e-1.0-0 in
	the range of E < 1.1  There are probably more typeso f insanity here
	- and some more tests to define and I commented about that in the
	code.

2009-08-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure obsoletes are looked up for
	localinstall/updated pkgs this handles the cases where the localpkg
	is a proper update AND an obsolete for a different installed pkg.

2009-08-10  James Antill <james@and.org>

	* test/yum-release-i18n-test.sh: Fix the Fedora repo. id for
	rawhide, in i18n post install tests.

2009-08-05  James Antill <james@and.org>

	* yum/depsolve.py:  Fix the previous testcase, by:  1. We always call into
	 _compare_providers(), don't rely on NewestByNameArch to get the
	 same result.  2. Filter out nevra's, using repo comparison.
	 ...this should fix the weird ncurses-lib problem, however the
	 previous testcase doesn't model that exactly (it just shows a
	 "problem" that if fixed will fix it).  Also the #1 part of the fix
	 probably isn't needed for real life, but is to fix the testcase
	 because of the way the unittests use one repo. with packages from
	 multiple repos. (without using MetaSack).

2009-08-05  James Antill <james@and.org>

	* test/simpleupdatetests.py, test/testbase.py:  Testcase to make sure a specifc nevra comes out of
	 _compare_providers()   This was to try and model the ncurses-libs
	 weirdo in Fedora when the .x86_64 version was available from static
	 repos. and normal repos, but the .i586 versiohn was only in one.
	 Anyway...

2009-08-05  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Testcase for using install instead
	of update in update, for obsoletes

2009-08-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - fix update j\* with an obsoleter - changes the install() to an
	update() which makes it so we're not arbitrarily installing pkgs
	that happen to obsolete something - remove leftover JDBG at james'
	request

2009-08-04  James Antill <james@and.org>

	* cli.py: Do the rpmlib() error check in the Copy&Paste code for yum
	cli

2009-08-04  James Antill <james@and.org>

	* yum/__init__.py:  If the rpm trans. test check fails due to rpmlib, tell the user.
	 We have had significant rpmlib problems, with SHA256 and Xz etc. so
	 we might as well look for it and tell the user not to put stuff in
	 yum's Bug DB.

2009-08-04  James Antill <james@and.org>

	* yum/sqlitesack.py:  Fix "yum list y[u]*" to do the same as "yum list yu*".  The problem
	 is that SQL/sqlite has no mapping for [] to SQL's wildcard
	 matching. So we currently load everything and do it via.
	 parsePackages(). Except we forgot we'd done that, so then returned
	 everything.

2009-08-04  Seth Vidal <skvidal@fedoraproject.org>

	* po/da.po: obvious correction for translation error - caught by
	msgfmt

2009-08-04  Seth Vidal <skvidal@fedoraproject.org>

	* yumcommands.py: reverting 'help recent'.

2009-08-03  James Antill <james@and.org>

	* yum/__init__.py: Allow .install(pkgtup=) to fail nicely, as it
	does for name= and pattern=

2009-08-03  James Antill <james@and.org>

	* yum/__init__.py:  Allow "yum reinstall *" etc. when we have "extra" packages.  The
	 big problem here is that we did:  1. Find all removable pacakges
	 matching the pattern.  2. Go through and try to reinstall them.
	 ...but the first time we failed on #2, we'd throw an exception
	 leaving the rest of the pacakges from #1 in just a remove state.

2009-08-03  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: updated German translation by Fabian Affolter

2009-08-03  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pt_BR.po: updated pt_BR translation by  Igor Pires Soares

2009-07-27  James Antill <james@and.org>

	* test/simpleupdatetests.py:  Add testcase for old multiple arch conflicts problem.   This was
	 fixed a while ago, but the only testcase involves obsoletes too
	 (testConflictMultiplePkgs).  Bascially if we had two conflicts with
	 the same resolution we'd fix the first one and then fail the second
	 because we couldn't do anything.

2009-07-26  Mads Kiilerich <mads@kiilerich.com>

	* po/Makefile: Run msgfmt using the python-format annotations   This
	patch detects errors like "Memory %s" => "Hukommelse %a"  From BZ
	513730

2009-07-20  James Antill <james@and.org>

	* yum/repos.py: Copy quick en/dis able to repos when repo is added

2009-07-20  James Antill <james@and.org>

	* yum/sqlitesack.py: Have pkgtup not be low in excluder, so we can
	use pkg.pkgtup (as we do)

2009-07-17  James Antill <james@and.org>

	* yum/__init__.py, yum/repos.py, yum/sqlitesack.py:  Use new pkgExcluder code to speed up cost excludes.    Add
	 listEnabled() cache to repos.    Add _pkgtup2pkgs to sqlitesack.
	 yum list blah ... now only needs to consider "blah" for cost
	 excludes.  yum list updates ... does everything (worst case), and
	 still 25-30% faster.

2009-07-16  James Antill <james@and.org>

	* yum/sqlitesack.py: Use cleaned pkgobjlist for length as well as
	returnPackages

2009-07-16  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py, yum/sqlitesack.py:  Add excluderid to make some things easier/nicer with repos. going
	 on/off post init. ... add some explanation in the doc comments for
	 addPackageExcluder().

2009-07-15  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix moved code for n, now data["n"], in
	excluder code

2009-07-15  James Antill <james@and.org>

	* yum/sqlitesack.py: Add nevr and pkgtup to pkgExcluder

2009-07-15  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix delPackage() after pkgobjlist has been set


2009-04-16  James Antill <james@and.org>

	* yum/sqlitesack.py:  Cache pkg names, faster for long lived YumBases.    Call
	 searchNames() from searchNevra()    Call searchNames() from
	 returnPackages() (if we can).

2009-07-14  James Antill <james@and.org>

	* yum/__init__.py: Use mark/wash in includepkgs to allow further
	include/exclude(s)

2009-07-14  James Antill <james@and.org>

	* yum/sqlitesack.py: Combine include/exclude tests in pkgExcluder,
	add mark/wash ops

2009-07-12  James Antill <james@and.org>

	* yumcommands.py: Add "help recent", so people can see what new
	commands are available

2009-07-15  Seth Vidal <skvidal@fedoraproject.org>

	* po/nb.po: commit norwegian translation update from Sindre Wetjen -
	yum bug 156

2009-07-10  Jeremy Katz <katzj@redhat.com>

	* docs/comps.rng: Add relax-ng schema for comps and have it
	installed

2009-07-08  James Antill <james@and.org>

	* yum/__init__.py: Fix update of obsoleted pkg. just as install
	does, testRLDaplMessWeirdUp1 fix

2009-07-08  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Add update varients of the weird
	install tests

2009-07-08  James Antill <james@and.org>

	* test/operationstests.py, yum/__init__.py: Fix the obsoletes chain
	problem, as shown by dapl in EL4

2009-07-08  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Add testcase for EL4 dapl issue

2009-07-08  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: add output documentation for yum list to man page for
	rh bug: https://bugzilla.redhat.com/show_bug.cgi?id=509669

2009-07-07  James Antill <james@and.org>

	* yum/packages.py, yum/rpmsack.py, yum/sqlitesack.py:  Real fix for BZ 508445. We were doing inf. recursion in __getattr__
	 due to d03389725e3779928d721370aed9e14afb5304a6.  Real fix is to
	 not test, as we only get there when they don't exist.

2009-07-07  James Antill <james@and.org>

	* yum/packages.py: Revert "Fix speed regression in costExcludes
	(super magic)"  This reverts commit
	1f45838e29ba26dac22215dd9c918fb920569fef.   This was a workaround,
	the language isn't bad we are. See next commit.

2009-07-07  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5: More spelling fixes for the man pages


2009-07-07  James Antill <james@and.org>

	* output.py: Fix print ascii unicode, matchcallback, BZ 508360

2009-07-06  James Antill <james@and.org>

	* yum/packages.py: Fix speed regression in costExcludes (super
	magic)

2009-07-01  Seth Vidal <skvidal@fedoraproject.org>

	* yum/constants.py, yum/yumRepo.py: simple yumrepo verify method -
	similar to the package.verify() method - more tricks to add here

2009-06-30  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8, docs/yum.conf.5: manually commit man page lintian
	patch from Thomas Goirand <thomas@goirand.fr>

2009-06-29  Seth Vidal <skvidal@fedoraproject.org>

	* po/pl.po: apply updated polish translation - closes yum bug 142

2009-06-26  James Antill <james@and.org>

	* yum/__init__.py: Add more clever to _pkgSack init, BZ 508139 and

2009-06-24  James Antill <james@and.org>

	* rpmUtils/miscutils.py, yum/packages.py: Add the reason message for
	hdrFromPackage failing

2009-06-24  James Antill <james@and.org>

	* yum/config.py: Do the module load fallback for iniparse, I believe
	Jesse needs this

2009-06-24  James Antill <james@and.org>

	* yum/__init__.py, yum/config.py, yum/plugins.py: Move all of
	iniprase stuff into. config

2009-06-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/metalink.py: change MetaLinkRepoErrorParseFail to derive from
	RepoError - not YumBaseError ultimately fixes:
	https://bugzilla.redhat.com/show_bug.cgi?id=505156

2009-06-25  Seth Vidal <skvidal@fedoraproject.org>

	* po/de.po: add patch to translation for spacing issue rh bug:
	#349425

2009-06-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: add shlex split for url list options so we can
	handle quoted strings w/spaces in them.

2009-06-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: partial fix for
	https://bugzilla.redhat.com/show_bug.cgi?id=505996 if we notice a
	package obsoletes something the user wants to install, check to see
	if a package by the same NAME is installed and ALSO obsoletes it.
	Until we have the obsoletes dbMatch() database up this is the only
	way we're going to be able to quickly check. Obviously this isn't
	fool proof but it is a start.

2009-06-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Revert "Do not format flags if no version is passed to
	formatRequire."   Expand the tests for rangeCompare()   Make
	unversioned satisfy everything in rangeCompare() also with flag=0.
	Speed up SQL searchFiles() when we can.   Move preconf deletion, so
	rpmdb open fails still have it.   Do not format flags if no version
	is passed to formatRequire.   Use LC_MESSAGES instead of LC_CTYPE
	category in get_my_lang_code   Work around rpmdb locks issue

2009-06-24  Seth Vidal <skvidal@fedoraproject.org>

	* po/fr.po: add the %s so the complete error message can be printed


2009-06-23  James Antill <james@and.org>

	* rpmUtils/miscutils.py: Revert "Do not format flags if no version
	is passed to formatRequire."  This reverts commit
	201776c3a518ecfc3399887e63326ad81448e05d.   This isn't right ... Eg.
	=>, (None, None, None) VS. < (1, 2, 3) is false.

2009-06-23  James Antill <james@and.org>

	* test/packagetests.py: Expand the tests for rangeCompare()

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/miscutils.py: Make unversioned satisfy everything in
	rangeCompare() also with flag=0.

2009-06-23  James Antill <james@and.org>

	* yum/sqlitesack.py:  Speed up SQL searchFiles() when we can.    Eg. "*/blah" can make
	 the function match be == filename    Eg. "*bin/blah" can filter to
	 directories that end in "bin", and do        the filename thing.

2009-06-23  James Antill <james@and.org>

	* yum/__init__.py, yum/config.py: Move preconf deletion, so rpmdb
	open fails still have it. Add "Error:" to rpmdb open failure
	message.

2009-06-23  James Antill <james@and.org>

	Merge branch 'rpmdb-lock-error' into yum-3_2_X  *
	rpmdb-lock-error:   Work around rpmdb locks issue

2009-06-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/miscutils.py: Do not format flags if no version is passed
	to formatRequire.

2009-06-22  James Antill <james@and.org>

	* yum/misc.py: Use LC_MESSAGES instead of LC_CTYPE category in
	get_my_lang_code

2009-06-22  James Antill <james@and.org>

	* yum/__init__.py: Don't redo pkgSack init. when pkgSack is false,
	fixes BZ#507220

2009-06-21  James Antill <james@and.org>

	* yum/packages.py: Unbreak the API break

2009-06-21  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix delPackage excludes, with new exclude code


2009-06-21  James Antill <james@and.org>

	* yumcommands.py: Fix display of/not-of unrevisioned data, in
	version command

2009-06-21  James Antill <james@and.org>

	* yum/packageSack.py: Add abaility to test for equality on
	PackageSackVersion objects

2009-06-19  James Antill <james@and.org>

	* yum/__init__.py: Don't die accessing local pkgs. for yumdb_info

2009-06-19  James Antill <james@and.org>

	* yum/__init__.py: Fix po usage for reinstall, reinstall local etc.


2009-06-19  James Antill <james@and.org>

	* yum/packages.py: Do the right thing when attribute isn't in the
	hdr

2009-06-19  James Antill <james@and.org>

	* yum/rpmsack.py:  Fix _old_ bug in rpmdb.returnNewestByNameArch().   It tracebacks
	 when we have more than one result,     luckily that only happens
	 for installonly pkgs.   Test:
	 yb.rpmdb.returnNewestByNameArch(('kernel', 'x86_64'))

2009-06-19  James Antill <james@and.org>

	* yum/rpmsack.py: Fix comment on _search()

2009-06-19  James Antill <james@and.org>

	* yum/depsolve.py: Speed up install "font(:lang=en)", by a couple of
	seconds

2009-06-19  James Antill <james@and.org>

	* yum/depsolve.py: Speed up install "font(:lang=en)", by a huge
	amount (~21 minutes)

2009-06-18  James Antill <james@and.org>

	* yum/yumRepo.py:  Allow things to set repo directory attributes again (fixes BZ
	 506640).   Use preload on pkgs.   When pkgdir is changed, preload
	 from old pkgdirs.

2009-06-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: catch keyerrors from getpwuid/getpwgid: fixes rh
	bug https://bugzilla.redhat.com/show_bug.cgi?id=506764

2009-06-18  James Antill <james@and.org>

	* output.py: Reset the colours to blank, when we turn color off

2009-06-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: switch to subprocess.Popen from os.popen3 - there
	might be an exception catch we need to add but this seems to work
	correctly in testing. closes rh bug:
	https://bugzilla.redhat.com/show_bug.cgi?id=506707

2009-06-17  Seth Vidal <skvidal@fedoraproject.org>

	* test/depsolvetests.py, yum/depsolve.py: add test case and modify
	compare_providers so that rh bug# 502401 stops freaking people out

2009-06-16  Seth Vidal <skvidal@fedoraproject.org>

	* test/depsolvetests.py, test/misc-tests.py,
	test/simpleupdatetests.py, test/skipbroken-tests.py,
	test/testbase.py, yum/depsolve.py: - comment in depsolve about a new test in compare_providers - fix
	the unittests since we added preconf.arch on all platforms which are
	NOT x86_64 :)

2009-06-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: fix spelling of 'depedancy' which has been there
	for a long arse time.

2009-06-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/update_md.py: so much drama: I said don't make it just raise
	w/o the exception catch

2009-06-13  James Antill <james@and.org>

	* yum/yumRepo.py: Cleanup metadataCurrent.

2009-06-13  James Antill <james@and.org>

	* yum/yumRepo.py: Do metalink cache check when using metalink as
	mirrorlist, BZ#484537

2009-06-12  James Antill <james@and.org>

	* yum/update_md.py: Add comment about UpdateNoticeExceptions

2009-06-12  James Antill <james@and.org>

	* yum/__init__.py: Disable the remove-first/remove-last parts of teh
	installonly change

2009-06-12  James Antill <james@and.org>

	* shell.py: Let aliases be used in shell

2009-06-12  James Antill <james@and.org>

	* output.py: Do the join hack for python "unicode strings", in
	listTransactions

2009-06-12  James Antill <james@and.org>

	* output.py: Split the Summary of listTransaction up, so it doesn't
	have lots of zeros

2009-06-12  James Antill <james@and.org>

	* output.py: Merge branch 'string_changes' into yum-3_2_X  *
	string_changes:   Change the C-c string, for width

2009-06-12  James Antill <james@and.org>

	* output.py, yum/__init__.py, yum/transactioninfo.py:  Add tsInfo.addDowngrade().   Change makelists() to optionally sort
	 downgrade/reinstall lists out of   the install/remove lists.   Use
	 new makelists in listTransaction().

2009-06-10  James Antill <james@and.org>

	* yum/__init__.py: Allow configuration of installonly pkgs. via.
	yumdb option

2009-06-08  James Antill <james@and.org>

	* cli.py, yum/Errors.py, yum/__init__.py: Make the reinstall
	messages nicer, for remove/install problems

2009-06-08  James Antill <james@and.org>

	* yum/sqlitesack.py: Add arch. to loaded data in _packageByKey, call
	_pkgKeyExcluded properly

2009-06-07  James Antill <james@and.org>

	* yum/sqlitesack.py: Add dict based include/exclude, for "large" ACL
	type stuff

2009-06-05  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py, yum/sqlitesack.py:  Add addPackageExcluder API.    Use it for includepkgs/excludepkgs,
	 speeds up includepkgs a lot.    Now possible to do "only
	 glibc.i?86" easily etc.  Don't save pkgs in pkgobjlist, can't work
	 anyway.

2009-06-05  James Antill <james@and.org>

	* yum/sqlitesack.py: Have everything go through,
	_pkgExcludedRKNEVRA, create _delPackageRK().

2009-06-05  James Antill <james@and.org>

	* yum/sqlitesack.py: Expand _pkgExcluded, so we can have one
	function with exclude code.

2009-06-05  James Antill <james@and.org>

	* yum/sqlitesack.py: Tidy up pkgKeyExcluded and packageByKey*

2009-06-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/update_md.py: catch the UpdateNoticeException and skip the
	notice, emitting an error about it suboptimal but...

2009-06-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: apparently rpm can, occasionally make versions
	and releases which contain quotes.  misc.to_xml them as attributes
	for the prcos.

2009-06-01  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, rpmUtils/arch.py, rpmUtils/updates.py, yum/__init__.py,
	yum/config.py, yum/depsolve.py, yum/packages.py, yum/update_md.py: 
	rather far and wide changes to accomodate having arch and releasever
	be settable attributes in yum.preconf. This should work correctly
	now, at least it appears to note - this only lets you set the arch
	it will depsolve and act as - it doesn't make yum run the rpm
	scriptlets using that processor or an emulator so this is only for
	things that can happen BEFORE the transaction.

2009-06-01  Jens Petersen <petersen@redhat.com>

	* docs/yum.conf.5: fix speling error for pckages - rh bug $503123 :)


2009-05-29  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: archstorage object for settable arch/basearch

2009-05-28  Seth Vidal <skvidal@fedoraproject.org>

	* po/da.po: update danish translation from: Kris Thomsen
	<lakristho@gmail.com>

2009-05-25  Tim Lauridsen <timlau@fedoraproject.org>

	* po/sv.po: updated Swedish translation by Göran Uddeborg

2009-05-22  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Use YumBase.setCacheDir() in cli, remove
	cache = 0 from setCacheDir()

2009-05-22  James Antill <james@and.org>

	* yum/__init__.py: Add setCacheDir(), to make setting user cache
	dirs. easier

2009-05-22  James Antill <james@and.org>

	* yum/config.py: Allow users to put config. vars in
	cachedir/installroot/etc.

2009-05-21  James Antill <james@and.org>

	* yumcommands.py: Show metalink data for Fedora 11, with the
	metalink is mirrorlist hack

2009-05-21  James Antill <james@and.org>

	* yumcommands.py: Don't output all of repoid, if only one revision
	of repoid

2009-05-21  James Antill <james@and.org>

	* yum/packageSack.py, yum/rpmsack.py, yumcommands.py: Add from_repo
	and from_repo_rev, dito. avail. Use columns output.

2009-05-21  James Antill <james@and.org>

	* cli.py, yum/packageSack.py, yum/rpmsack.py, yumcommands.py: First
	version of version, command

2009-05-21  Göran Uddeborg <goeran@uddeborg.se>

	* po/sv.po: swedish translation update

2009-05-20  James Antill <james@and.org>

	* yum/rpmsack.py: Don't show .tmp attributes

2009-05-20  James Antill <james@and.org>

	* yum/rpmsack.py: Fix python shutdown weirdo

2009-05-20  James Antill <james@and.org>

	* yum/__init__.py: Add more data to the yumdb

2009-05-20  James Antill <james@and.org>

	* yum/__init__.py: Drop cached rpmdb data at various points, work
	around bad GC

2009-05-19  James Antill <james@and.org>

	* yumcommands.py: Allow users to clean their private cache dirs

2009-05-18  James Antill <james@and.org>

	* yum/misc.py: Speed up tests for: "are we using a valid hash"

2009-05-20  Seth Vidal <skvidal@fedoraproject.org>

	* po/ja.po: add japanese translation from: Tadashi Jokagi

2009-05-19  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2009-05-19  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.23

2009-05-14  James Antill <james@and.org>

	* yum/misc.py: Convert sha to sha1 in digest()/hexdigest()

2009-05-13  James Antill <james@and.org>

	* yum/packages.py, yum/repoMDObject.py, yum/yumRepo.py: Pass size
	parameter to checksum for packages and MD

2009-05-13  James Antill <james@and.org>

	* yum/misc.py: Rely on Checksums() to do the sha to sha1 conversion


2009-05-13  James Antill <james@and.org>

	* yum/misc.py: Add option to check size of checksumed data

2009-05-13  James Antill <james@and.org>

	* yum/packages.py: Set checksum_type to what we'll use, for local
	pkgs

2009-05-13  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yumcommands.py: Add reinstall of local
	rpms

2009-05-13  James Antill <james@and.org>

	* yum/__init__.py: Fix downgrade local, when we have excludes

2009-05-13  James Antill <james@and.org>

	* yum/packages.py: Don't checksum local pkg data

2009-05-13  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Catch error opening repo files

2009-05-13  James Antill <james@and.org>

	* yum/packages.py: Default to the default checksum, not sha256, for
	local pkgs

2009-05-13  Jeremy Katz <katzj@redhat.com>

	* yum/repoMDObject.py: Catch error opening repo files  Rather than
	requiring higher level callers to catch the error, we should catch
	the error at the low-level when opening the repo file and turn it
	into a RepoMDError.  Related to rh bz#500526

2009-05-11  James Antill <james@and.org>

	* yum/transactioninfo.py: Highlight that updated/obsoleted txmbrs
	don't get a real state

2009-05-11  James Antill <james@and.org>

	* output.py: Fix cleanup progress output

2009-05-11  Seth Vidal <skvidal@fedoraproject.org>

	* po/pt_BR.po: apply brazilian portugese translation from Igor Pires
	Soares

2009-05-11  Seth Vidal <skvidal@fedoraproject.org>

	* po/da.po: apply new danish translation from Kris
	(lakristho@gmail.com)

2009-05-11  Seth Vidal <skvidal@fedoraproject.org>

	* po/pl.po: add update of polish translation from: Piotr Drąg

2009-05-07  Tim Lauridsen <tim@localhost.localdomain>

	* Makefile: Added '--graph all' to epydoc Makefile target.  -
	epydoc, graphviz % graphviz-python needed to use it.  - type 'make
	epydoc' and the nice API doc is generated under docs/epydoc

2009-05-06  Tim Lauridsen <timlau@fedoraproject.org>

	* po/fr.po: Updated french translation by Thomas Canniot

2009-05-06  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't alter the class GenericHolder, create an instance   Can really
	get rid of _shrinklist() now   Do patterns processing on
	doPkgLists().obsoletes (and the tuples)   Do patterns processing on
	doPkgLists().updates   Allow callers to drop the .updates etc.
	Deal with iteration in GenericHolder, less weird error or make it
	useful

2009-05-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: add SHA=SHA1 hack to misc.Checksums(), too

2009-05-06  James Antill <james@and.org>

	* yum/__init__.py: Don't alter the class GenericHolder, create an
	instance

2009-05-06  James Antill <james@and.org>

	* cli.py: Can really get rid of _shrinklist() now

2009-05-06  James Antill <james@and.org>

	* yum/__init__.py: Do patterns processing on doPkgLists().obsoletes
	(and the tuples)

2009-05-06  James Antill <james@and.org>

	* yum/__init__.py: Do patterns processing on doPkgLists().updates

2009-05-06  James Antill <james@and.org>

	* yum/__init__.py: Allow callers to drop the .updates etc.

2009-05-06  James Antill <james@and.org>

	* yum/misc.py: Deal with iteration in GenericHolder, less weird
	error or make it useful

2009-05-01  James Antill <james@and.org>

	* yum/__init__.py: Do skip-broken before we run postresolve
	callback, etc.

2009-05-01  James Antill <james@and.org>

	* yum/rpmsack.py: Don't fail removal, if a pkg has no yumdb data

2009-05-01  James Antill <james@and.org>

	* output.py, yumcommands.py: Rename yumdb.repoid to yumdb.from_repo


2009-05-01  James Antill <james@and.org>

	* yum/__init__.py: Add releasever to yumdb

2009-05-01  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/rpmsack.py: - add in verifyTransaction() completely and populate some fields in
	yumdb on install

2009-04-29  James Antill <james@and.org>

	* yum/__init__.py: Turn off total download, when download is
	finished

2009-04-28  James Antill <james@and.org>

	* yum/__init__.py: Don't show multiple obsoletes if multiple
	versions are available

2009-04-27  James Antill <james@and.org>

	* yum/yumRepo.py: Add comment about RepoMDError in retrieveMD

2009-04-27  Seth Vidal <skvidal@fedoraproject.org>

	* yummain.py: add the e.value() patch from Michael Wang from way
	back in January

2009-04-27  James Antill <james@and.org>

	* yum/yumRepo.py: Revert "Catch Errors.RepoMDError, for not valid
	mdtype, and report"  Nothing is expecting this.

2009-04-24  James Antill <james@and.org>

	* cli.py, yum/plugins.py: Add args plugin hook, for aliases, so we
	don't use sys.argv directly

2009-04-24  James Antill <james@and.org>

	* yum/yumRepo.py: Current size of deltaMD isn't representative, so
	remove it from small atm.

2009-04-24  James Antill <james@and.org>

	* yum/yumRepo.py: Add prestodelta to the MD lists

2009-04-24  James Antill <james@and.org>

	* yum/yumRepo.py: Catch Errors.RepoMDError, for not valid mdtype,
	and report

2009-04-23  James Antill <james@and.org>

	* output.py, yum/depsolve.py: Add callbacks (back compat.) to show
	packages in requires/conflicts msgs

2009-04-23  James Antill <james@and.org>

	* cli.py, output.py: Try to convert pkgname into pkg, to work around
	rpm event

2009-04-23  James Antill <james@and.org>

	* yum/transactioninfo.py: Minor speedups to tsInfo.matchNaevr

2009-04-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: update returns a list, not an item

2009-04-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure when we localinstall/localupdate that
	we pass updates to YumBase.update() so all of our logic in there can
	protect us from multiple ver of pkgs being added as updates when
	someone does an update /*.rpm closes rhbug: 496781

2009-04-21  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: make sure we pass the args to the function when they
	exist, not when they don't closes rh bug #496878 original patch from
	Martin Gracik

2009-04-16  James Antill <james@and.org>

	* yum/__init__.py: Fix downgrade to work on same arch. pkgs (still
	not as good as upgrade)

2009-04-16  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix returnPackages() with a repoid, and
	pre-loaded data

2009-04-15  James Antill <james@and.org>

	* yum/depsolve.py: Likely fix for only old packages providing stuff


2009-04-15  James Antill <james@and.org>

	* test/depsolvetests.py: Test for old pkg provides stuff it
	shouldn't problem

2009-04-15  James Antill <james@and.org>

	* output.py: Magic i18n sprinkles to fix yum provides on pkgs with
	(R) in them

2009-04-14  James Antill <james@and.org>

	* yum/packages.py: Only put / in front of "local" repoids

2009-04-14  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Don't do stat() for local* if file
	doesn't end in .rpm. Allow localdowngrade

2009-04-14  James Antill <james@and.org>

	* yum/sqlitesack.py: Speed up searchNames() when we've loaded all
	the pkg objects

2009-04-14  James Antill <james@and.org>

	* yum/sqlitesack.py: Don't show duplicates in searchNames, when
	splitting the query

2009-04-13  James Antill <james@and.org>

	* yum/update_md.py: Fix local repos. to not traceback UpdateMetadata


2009-04-13  James Antill <james@and.org>

	* yum/packages.py: Remove i18n bytes from fake repo ids, fixes
	495303

2009-04-13  James Antill <james@and.org>

	* docs/yum.conf.5: Add note about installonlyn and tokeep to man
	page

2009-04-13  James Antill <james@and.org>

	* yum/yumRepo.py: Fix cost sorting of repos.

2009-04-09  James Antill <james@and.org>

	* yum/yumRepo.py: Add text to tell the user how to get new mirrors

2009-04-08  James Antill <james@and.org>

	* docs/yum.8: Document the groupid feature of grouplist

2009-04-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: add an exception catch for the traceback posted
	here: https://bugzilla.redhat.com/show_bug.cgi?id=494149  It
	_shouldn't_ happen to begin with but since it CAN happen we might as
	well catch it and give off a real error

2009-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - fix to make local package from file:// urls work, at all. :(

2009-04-07  James Antill <james@and.org>

	* docs/yum.8: Add extra "hidden" features documentation for some
	commands

2009-04-07  James Antill <james@and.org>

	* docs/yum.8: Add clean expire-cache, to the man page

2009-04-07  James Antill <james@and.org>

	* yum/__init__.py: Fix copy and paste typo

2009-04-07  James Antill <james@and.org>

	* test/depsolvetests.py: Fix bad testcase, arches are allowed to
	move from .i586 to .i686 on update

2009-04-07  James Antill <james@and.org>

	* yum/__init__.py: Make sure .conf.obsoletes is off for reinstall()


2009-04-07  James Antill <james@and.org>

	* yum/sqlitesack.py: Don't blow up with weird errors on empty search
	lists (API only)

2009-04-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/config.py, yum/yumRepo.py: - revert the copy_local change - fix the duplicate / in config dirs
	when they get the installroot prepended - make the unlinking check
	to see if the file is in the cachedir and only   unlink it if it is.


2009-04-07  Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>

	* docs/Makefile: apply patch from debian maintainer to make the
	docs/Makefile work on non-bourne shells (dash)

2009-04-06  James Antill <james@and.org>

	* yum/__init__.py, yummain.py:  Add message function about pkgs that are in yum-utils, BZ 494432.

2009-04-06  James Antill <james@and.org>

	* yum/depsolve.py: Sort pkgs normally, which have the same score.

2009-04-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add comment about yum-utils to y-c-t msg

2009-04-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: really apply the returnPackageByDep() patch

2009-04-06  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Remove repo setup progress that does nothing   Make translations
	work again   updated Danish translation by Kris   fix indetation
	error, made when commiting ccca634fd6f5bbb11d90eb32ef1b34a27f6d2ed7
	updated Serbian translation by Milos Komarcevic   updated Catalan
	translation by Xavier Conde   Revert part of
	d0ed077f779050930cdcd09b2618966482a430bb.   Only do yumdb_info
	lookups on installed pkgs, fix the column calcs.   Don't try and
	install 20 kernel updates on RHEL   Sort txmbrs the same way we sort
	package objects   Stop all the complaining about smallest first

2009-04-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - make sure returnPackagesByDep() only looks at newest providers -
	stubs for the verifyTransaction() method - this is just a
	placeholder

2009-04-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: do the obsoletes check in compare_providers()
	properly.

2009-04-05  James Antill <james@and.org>

	* yum/repos.py: Remove repo setup progress that does nothing

2009-04-06  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/i18n.py: Make translations work again

2009-04-06  Tim Lauridsen <timlau@fedoraproject.org>

	* po/da.po: updated Danish translation by Kris

2009-04-06  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: fix indetation error, made when
	commiting ccca634fd6f5bbb11d90eb32ef1b34a27f6d2ed7

2009-04-05  Tim Lauridsen <timlau@fedoraproject.org>

	* po/sr.po, po/sr@latin.po: updated Serbian translation by Milos
	Komarcevic

2009-04-05  Tim Lauridsen <timlau@fedoraproject.org>

	* po/ca.po, test/skipbroken-tests.py: updated Catalan translation by
	Xavier Conde

2009-04-04  James Antill <james@and.org>

	* yum/repos.py:  Revert part of d0ed077f779050930cdcd09b2618966482a430bb.    Fix
	 indentation change in pylint cleanup.

2009-04-04  James Antill <james@and.org>

	* output.py, yumcommands.py: Only do yumdb_info lookups on installed
	pkgs, fix the column calcs.

2009-04-03  James Antill <james@and.org>

	* yum/__init__.py: Don't try and install 20 kernel updates on RHEL

2009-04-03  James Antill <james@and.org>

	* yum/transactioninfo.py: Sort txmbrs the same way we sort package
	objects

2009-04-02  James Antill <james@and.org>

	* yum/__init__.py: Stop all the complaining about smallest first

2009-04-01  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmsack.py: revert the dir removal. Don't cleanup the dir
	unless we sync up the rpmdb

2009-04-01  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Cleanup old directories, when we delete the last attribute   Fix
	delete for cached attrs

2009-04-01  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/rpmsack.py: - remove unnecessary yumdb_info check - add back todo for
	sync_with_rpmdb

2009-04-01  James Antill <james@and.org>

	* yum/rpmsack.py: Cleanup old directories, when we delete the last
	attribute

2009-04-01  James Antill <james@and.org>

	* yum/rpmsack.py: Fix delete for cached attrs

2009-04-01  James Antill <james@and.org>

	* output.py: Output yumdb repoid in list/info.

2009-04-01  James Antill <james@and.org>

	* yum/rpmsack.py: Readd sync_with_rpmdb() function for Seth to fill
	in

2009-03-31  James Antill <james@and.org>

	* yum/rpmsack.py: Speed up __iter__ and __contains__ etc. using
	self._read_cached_data

2009-03-31  James Antill <james@and.org>

	* yum/rpmsack.py: Minor changes to yumdb:   . Add _read_cached_data,
	so we don't hit the FS for each access.   . Add _sanitize, and
	_sanitize pkg.name for dir.   . complain if get_package() doesn't
	get any args.   . Remove sync_with_rpmdb from old plan where data
	would be in rpmdb

2009-03-31  James Antill <james@and.org>

	* output.py: Add comment for translators

2009-03-31  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmsack.py: - add __iter__ function and make sure no one plays silly-buggers
	with attribute names - also deal with @$%(*&%$ pkgnames which are a
	single char

2009-03-31  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py, yum/rpmsack.py: allow arbitrary metadata to be
	added to installed package objects items appear at
	packageobject.yumdb_info.

2009-03-31  James Antill <james@and.org>

	* cli.py: Fix indentation for pylint

2009-03-31  James Antill <james@and.org>

	* yum.spec: Obsolete allow-downgrade plugin now it's in core

2009-03-31  James Antill <james@and.org>

	* yum/plugins.py: Go back to using optparser for plugins (plugins
	can still opt in).

2009-03-31  Tim Lauridsen <timlau@fedoraproject.org>

	* cli.py, yum/plugins.py: group commandline options added by plugins


2009-03-31  Tim Lauridsen <timlau@fedoraproject.org>

	* cli.py, utils.py: group yum options if used from util

2009-03-31  Tim Lauridsen <timlau@fedoraproject.org>

	* utils.py: add support of grouping utils options

2009-03-30  James Antill <james@and.org>

	* yum/update_md.py: Add repos arg. to __init__ for UpdateMetadata

2009-03-30  James Antill <james@and.org>

	* yum/__init__.py: Allow pkgtup as an arg. to
	install/update/remove/etc.

2009-03-30  James Antill <james@and.org>

	* rpmUtils/oldUtils.py, test/yum-leak-test.py, yum/misc.py: Re-add
	and document API in yum.misc for unicode/utf8

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* Makefile: Cleanup pylint Makefile targets and excluded oldUtils.py


2009-03-30  James Antill <james@and.org>

	* yum/packages.py:  Don't just use YumAvailablePackage.__init__ to setup
	 _verify_local_pkg_cache, because noone (YumAvailablePackageSqlite,
	 etc.) calls that function.

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/yumRepo.py: pylint: remove duplicate __cmp__ method

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/packages.py: pylint: Access to member
	'_verify_local_pkg_cache' before its definition line 697

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/sqlitesack.py: pylint:
	E0203:178:YumAvailablePackageSqlite._loadFiles: Access to member
	'_files' before its definition line 200

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/sqlitesack.py: pylint: make searchName have the same signature
	as the parent method it overloads

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* output.py: make the interupt_callback handler attributes at little
	nicer and shout up a pylint warning

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* test/yum-pylintrc: extra pylint config to limit false positives

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* test/yum-pylintrc: extra pylint excludes

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* test/yum-pylintrc, yum/comps.py, yum/mdparser.py: pylint: unneed
	pass lines and extra pylint excludes

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* test/yum-pylintrc, yum/sqlitesack.py, yumcommands.py: pylint:
	indentation and unneed pass lines and extra pylint excludes

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* test/yum-pylintrc: Excluded some extra warning in pylint profile

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po, test/yum-pylintrc: updated German translation by Fabian
	Affolter

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/yumRepo.py: fix Traceback if mirrorlist is read from the
	cache, then the url var is not defined

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* rpmUtils/updates.py: pylint: indentation

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* rpmUtils/arch.py: pylint: indentation

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/transactioninfo.py: pylint: indentation

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/sqlitesack.py: pylint: unused imports

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/sqlutils.py: pylint: tabs -> spaces

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* cli.py, output.py, yum/comps.py, yum/repos.py, yum/rpmsack.py,
	yum/sqlitesack.py, yumcommands.py, yummain.py: fixup regrestion
	introduced by removing unused imports from yum.misc

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: get to_unicode from yum.i18n, not misc

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/plugins.py: fix unused imports pylint warnings

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/pgpmsg.py: fix Raising a string exception pylint warnings

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* test/yum-pylintrc, yum/packages.py: fix unused imports pylint
	warnings and added some warnings to the pylint excludelist

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/packageSack.py: fix indentation pylint warnings

2009-03-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/misc.py: fix indentation and unused imports pylint warnings

